sisu (7.3.0-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [67a3368] version & changelog, open commit window
  * [e1082e5] changelog & urls housekeeping, more required
    - keep manual changelog?
      could rely on git changelogs
    - qi modified to match current urls
    - lots of url related stuff needs checking
  * [2767c04] bugfix, typo, variable duplicated
  * [c28f87a] version & changelog, tag for release
  * [4c43d00] version & changelog, open commit window
  * [615892d] nix flake, install & devShells etc.
  * [5ca3396] nix .env, add ./result/bin path
  * [830c43f] nix flake check
  * [09394d8] nix packages, added graphicsmagick
    - some fiddling with packages, determine what is
      needed where
  * [4573e88] nix flake shell ruby-3.2 update
  * [95628d2] sisu, update sisu links, (continue ...)
  * [1b7e9c7] texpdf address issue with texlive-2023
    - reported on debian in relation to live-manual
    - make use of latex output for sisu.spine.d
      - was developed more recently, a comprehensive
        output update with focus on utf-8 improvements
        available in more recent version of texlive
      - tested forward does not appear to be
        similarly affected
      - other issues likely to appear as no attempt is
        made to fully backport the output for spine.d
        to sisu.rb
  * [254371a] updates nix flake & ruby 3.3, nix direnv 2.4.0
  * [089b9b2] texpdf ...
  * [14ddc81] texpdf papersize & papermargins
  * [3a0bb67] texpdf, cjk issues not resolved
    - font rendition bugs where tested
  * [c93c52d] texpdf, cjk issues not resolved
    - ctex preferable to xeCJK? (if/when it works)
    - note: the current round of texpdf changes relate
      to a bug report on the old live-manual
      for debian-live to wit:
      https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1052693
    - apparently sisu-pdf does not produce latex
      suitable for the latest texlive (texlive-2023)
    - some of the latex output changes here are from
      sisu:spine, the dlang version of sisu
  * [6d070b2] version & changelog, tag for release
  * [1cfc6b9] ./debian/ things
    - debian/control add sisu-pdf texlive deps, primarily cjk related
    - debian/control sisu git
    - debian/compat bumped up
    - debian/watch removed, source only upload

 -- Ralph Amissah <ralph.amissah@gmail.com>  Tue, 31 Oct 2023 17:12:28 -0400

sisu (7.2.1-2) unstable; urgency=medium

  * [e15f402] source only upload for migration to testing

 -- Ralph Amissah <ralph.amissah@gmail.com>  Sun, 01 May 2022 18:53:49 -0400

sisu (7.2.1-1) unstable; urgency=medium

  * [888aace] version & changelog, open commit window
  * [df3dbe0] changelogs cosmetic substitution (org-mode)
  * [38f77ad] texpdf, indent values, use formula (to replace table)
    - values changed to work better with portrait a4 & letter
  * [444465c] version & changelog, tag for release
  * [cb1f7d5] version & changelog, open commit window
  * [480ff5a] markup modification: distinguish blocks and groups
    - use where appropriate instead of poem
  * [172c041] markup modification: table attributes
  * [e4af625] re-introduce depreciated table markup for table attributes
  * [7ad0324] markup modification: code blocks attributes, numberlines
  * [682f720] re-introduce depreciated markup for numbering codeblocks
  * [e98d958] qi_libs.rb helper, force git version tag when tag requested
  * [fc418a6] version & changelog, tag for release
  * [63e76b8] version & changelog, open commit window
  * [1de0161] texpdf setotherlanguage & add package geometry
    - otherlanguage not always present
    - landscape title page needs geometry package
  * [09505b0] xmls, utf8 default, removed character translations
  * [58bbcd8] emacs sisu-mode.el, syntax highlighting match https
  * [88ed8a0] ruby 2.7 fix
  * [05d5571] sisu.org minor adjustment to opening description
  * [58c3732] nixify (start to nixify)
  * [081fbd4] nix ruby 3.0 (available)
  * [90051a7] org mode (ruby code within)
  * [320954e] org mode: fix transcription typo (code fix)
  * [d26ae4d] org mode: fix file naming typo
  * [cffaeb8] ruby3, code runs (check output)
  * [fc00c1e] nix: update things nix
  * [39e7b73] nix: adjust, packages in shell.nix
  * [dd6bd13] org, create output path if necessary, should not be
  * [ff09514] rb file headers change, org-mode tangle whitespace issue
  * [90fe39c] nix ruby 3.1 (use)
  * [47a49f9] org-mode, track bin files
  * [0a87b8f] org-mode and ruby file headers modified
    - org-mode file headers modified to preserve
      org-mode ruby syntax highlighting
  * [b349dd2] org-tangle files with new headers
  * [e481fdd] ruby variable passing breakage, make constant?
  * [338db72] project config minor, also .gitignore
  * [28d3bcd] debian/ changes for build

 -- Ralph Amissah <ralph.amissah@gmail.com>  Thu, 28 Apr 2022 12:48:30 -0400

sisu (7.2.0-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [bc5c371] version & changelog, open commit window
  * [72f48a2] changelogs cosmetic substitution (org-mode)
  * [fc93e26] texpdf, indent values, use formula (to replace table)
    - values changed to work better with portrait a4 & letter
  * [1fca2f9] version & changelog, open commit window
  * [f71f907] markup modification: distinguish blocks and groups
    - use where appropriate instead of poem
  * [433ff7c] markup modification: table attributes
  * [93db1ab] re-introduce depreciated table markup for table attributes
  * [143481f] markup modification: code blocks attributes, numberlines
  * [2c80909] re-introduce depreciated markup for numbering codeblocks
  * [74b029f] qi_libs.rb helper, force git version tag when tag requested
  * [a0a5927] debian/gbp.conf

 -- Ralph Amissah <ralph.amissah@gmail.com>  Tue, 03 Sep 2019 12:52:52 -0400

sisu (7.1.12-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [17829cb] version & changelog, open commit window
  * [3acdc33] changelogs cosmetic substitution (org-mode)
  * [7ef0238] texpdf, indent values, use formula (to replace table)
    - values changed to work better with portrait a4 & letter
  * [c7cf86c] version & changelog, tag for release

  [ Daniel Baumann ]
  * [1d5f680] Updating package to debhelper 11.
    Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
  * [cb37980] Updating package to standards version 4.1.5.
    Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
  * [724b9e2] Updating vcs urls.
    Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
  * [b391ff0] Setting Rules-Requires-Root to no.
    Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
  * [17d9e40] Removing dpkg compression options, not needed anymore.
    Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
  * [9037efc] Running wrap-and-sort -bast.
    Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>

  [ Ralph Amissah ]
  * [2a3350c] debian/control some suggests (including CJK for pdf)
    - sisu-pdf, sisu-complete: suggests added for texlive CJK
      needed for pdf output of Chinese, Japanese and Korean languages
      left out as a dependency as substantial in size, install as required
    - sisu-postgresql, sisu-sqlite, suggest replaces depends:  ruby-fcgi
      (sisu-sqlite and sisu-postgresql populate sql databases), an
      example search form that uses ruby-fcgi is provided as a convenience
      and as such the dependency is discretionary (ruby-fcgi is for the time
      being an orphaned package)
    - sisu, suggest replaces depends: keychain

 -- Ralph Amissah <ralph.amissah@gmail.com>  Thu, 18 Jul 2019 12:24:48 -0400

sisu (7.1.11-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [ff31523] version & changelog, open commit window
  * [90e27c8] html, minitoc, default off
    * default where no instruction given changed to false
      (requested, as minitoc is sub-optimal for viewing with
      smaller devices (when present minitoc is placed on left
      part of screen together with content to its right))
  * [486a84f] --no-metadata turns off appending metadata to doc
    * (Closes: #746742)
      "please implement --no-metadata similar to --no-manifest"
  * [daba106] version & changelog, tag for release

 -- Ralph Amissah <ralph.amissah@gmail.com>  Fri, 14 Jul 2017 07:19:17 -0400

sisu (7.1.10-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [e4d9cab] version & changelog, open commit window
  * [63825bd] sisu.vim (syntax highlighting) back reference related fix
    * provided by Bram Moolenaar
  * [55df651] texpf_format (debian texlive packages for usepackage .sty)
    * update notes
  * [71d9615] version & changelog, tag for release
  * [86f1de6] debian/control dependencies mostly for sisu-pdf (texlive)
    * sisu-pdf texlive dependencies, update
    * use default httpd (remove nginx-light as preferred default)
  * [dc4cb37] debian/control Standards-Version: 4.0.0; debian/compat 9

 -- Ralph Amissah <ralph.amissah@gmail.com>  Sun, 02 Jul 2017 17:27:26 -0400

sisu (7.1.9-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [5b9b6b7] version & changelog, open commit window
  * [c3c2422] html css, (root) heading size
  * [ab9d0a0] version & changelog, tag for release
  * [953e59a] debian/watch newer version, and move url to sisudoc.org

 -- Ralph Amissah <ralph@amissah.com>  Sun, 31 Jul 2016 21:26:09 -0400

sisu (7.1.8-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [05757ba] version & changelog, open commit window
  * [6532732] headers, year set 2016
  * [feffc6a] header hyperlink delimiters, now square brackets
  * [aed0c99] sisu-mode.el 7.1.8 as committed to Gnu elpa
    * submissions with much feedback from Stefan Monnier
    * 2016-02-22
  * [c558a2b] sisu.org add to header and minor update
  * [3c8723a] txt_orgmode, update (dp add email header field)
  * [ee91e62] json, an output representation, first pass
  * [eea0f68] version & changelog, tag for release
  * [16af880] debian/control update standards version: 3.9.7

 -- Ralph Amissah <ralph@amissah.com>  Fri, 26 Feb 2016 00:41:58 -0500

sisu (7.1.7-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [f4963b4] version & changelog, open commit window
  * [a6a3601] sisu-mode.el apply patch from Kevin Ryde of 2015-12-18
  * [804502e] sisu-mode.el, tic block markup, and minor arrangement
    * moves outline-regexp
    * adjustment to autoload list
  * [c716980] version & changelog, tag for release
  * [aa913a8] debian/sisu.emacsen-startup apply patch from Kevin Ryde

 -- Ralph Amissah <ralph@amissah.com>  Tue, 05 Jan 2016 09:56:37 -0500

sisu (7.1.6-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [3c0ac73] version & changelog, open commit window
  * [923d361] emacs sisu-mode.el & sisu-mode-autoloads.el
    *  sisu-mode.el, minor update and modify format to reduce diff with FSF
       version
    *  sisu-mode-autoloads.el, added (see elpa 3.0.3 & Kevin Ryde recent post)
  * [9664f4d] emacs sisu-mode.el match tic style markup blocks ```
      (revisit required)
  * [bc2b328] documentation related to search, needs further review
  * [86cf7cf] filename reference version update sisu_7a_sqlite.cgi
  * [07970cd] ao_images, require 'rmagick' (instead of 'RMagick' depreciated)
  * [96ace83] version & changelog, tag for release
  * [b553831] debian/sisu.install debian/sisu.emacsen-startup emacs related
    tinkering
    * debian/sisu.install emacs files sisu-mode.el sisu-mode-autoloads.el
    * debian/sisu.emacsen-startup used by dh_installemacsen
    * see debian bug #807793, Kevin Ryde

 -- Ralph Amissah <ralph@amissah.com>  Tue, 15 Dec 2015 00:47:01 -0500

sisu (7.1.5-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [5640ed7] version & changelog, open commit window
  * [c0b6f1b] minor clean, a file removed
  * [f3a5e91] version & changelog, tag for release

 -- Ralph Amissah <ralph@amissah.com>  Tue, 02 Jun 2015 13:58:39 -0400

sisu (7.1.4-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [a79af02] version & changelog, tag for release

 -- Ralph Amissah <ralph@amissah.com>  Thu, 21 May 2015 23:11:13 -0400

sisu (7.1.3-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [a271416] version & changelog, open commit window
  * [53e4791] date, some remaining year updates 2015
  * [0a971e4] constants, search, db name, period before and after db version
    * aesthetic change, the current db name base becomes SiSU.7a.
    * existing databases must be reinitialized
    * (database structure is unchanged)

 -- Ralph Amissah <ralph@amissah.com>  Thu, 21 May 2015 19:26:06 -0400

sisu (7.1.2-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [4b49caf] version & changelog, open commit window
  * [8b1af12] bin/sisu juggle multiple install & run options, resolve issue
  * [17f9306] version & changelog, tag for release

 -- Ralph Amissah <ralph@amissah.com>  Mon, 18 May 2015 18:40:47 -0400

sisu (7.1.1-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [e58fbdc] version & changelog, open commit window
  * [6217cf0] bin/sisu , install name check (stable & git versions)
  * [164ba29] qi (quick install) gem install git version option
  * [9979682] qi (quick install) gem install version
  * [d020a0b] bin/sisu juggle multiple install & run options
  * [5ccf158] qi pkg manage changelog
  * [4748a2e] version & changelog, tag for release

 -- Ralph Amissah <ralph@amissah.com>  Mon, 18 May 2015 10:03:36 -0400

sisu (7.1.0-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [fba0e3e] version & changelog
  * [98461ac] changelogs, clean up some cruft
  * [ee8b3b2] qi (quick install) cleaning
  * [c606ff1] ao_references, fix
  * [40b8304] appendices: bibliography & glossary, worked on
    * bibliography & glossary make activated by markup headers
      1~!biblio & 1~!glossary
    * bibliography tags altered
      (introduced in 5.8.0 v6 project dir branch)
    * version bump for change in behavior
  * [ab31d70] documentation update !bibliography & !glossary
  * [02d744a] version & changelog, tag for release

 -- Ralph Amissah <ralph@amissah.com>  Fri, 15 May 2015 00:24:54 -0400

sisu (7.0.0-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [4e86b5c] version & changelog v7
    * version info changes cause break, fixed in next commit
  * [960c308] lib/sisu/*, single libs directory (c&d gone) (7)
    * removed lib/sisu/{current,develop} dir branches
      v7 (v5 & v6 retired)
    * simplify dir structure, offer single version per snapshot
    * have enjoyed carrying stable and development versions v5 & v6
      in a single tarball, may return to this structure
  * [6ca9586] documentation, reflect absence of version directory branches
  * [c0f6a9e] version & changelog, tag for release
  * [5c3f839] debian/sisu.install in lib/sisu.rb, out bin/sisu[56]

 -- Ralph Amissah <ralph@amissah.com>  Fri, 01 May 2015 19:00:52 -0400

sisu (6.5.0-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [4706c1f] c&d: version & changelog
  * [caa1ddc] gitignore adjustments
  * [0de7dc3] setup.rb s/Config/RbConfig/
  * [1323f18] c<-d: sync, roll develop into current dir branch (5==6)
    * two dir branches, same library contents
      (v5 synced & updated with v6)
  * [2ade55a] d: v6 made default branch (prior to v7 dir restructuring)
    * v5 invocation available as legacy, but is the same as v6
    * qi_libs, gem metadata, minor
    * sisu_packaging.org: ruby require list; update sisu description
    * bin/ chmod 755
  * [1b360ea] version & changelog, tag for release

 -- Ralph Amissah <ralph@amissah.com>  Fri, 01 May 2015 18:52:59 -0400

sisu (5.8.0-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [fa76295] v5 v6: version & changelog (upstream "UnFrozen" early)
    * "UnFrozen" prior to original time intended (end of Debian Freeze
      for Jessie), reason: the upstream bugfix 5.7.2 intended for
      Jessie (packaged for Debian as 5.7.1-2) was not accepted; this
      means even if another patch does get sent for Jessie, it will
      not be from upstream branch)
    * post Debian:Jessie development commits
  * [9c443e4] year set 2015 (prepare for the new year)
  * [1db1a6e] qi, (quick install) header update (also rbuild)
  * [2f2a115] sisu-mode.el emacs, outline mode "folding" for sisu
  * [ce99ce5] CHANGELOGS formatted for viewing as emacs org-mode files
    * indentation, line-breaking, and formatting characters only changes made
  * [a0242f5] org files related to sisu, break up and place in own subdir
  * [17c8e96] org files, minor editing
  * [98c8c90] v5 v6: code headers reformatted for viewing as org-mode files
  * [4db4dcc] c&d: project dir structure, libs moved under new branch names
    * libs & version files under new branch names: current & develop
    * previously under branch version numbers (v5|v6)
    * version .yml files moved
    * associated adjustments made as required, notably to:
      bin/sisu se* qi* (file headers); breakage potential, testing
      required
    * [on dir names, want release to (alphabetically) precede
      next/development, considered (cur|dev)
      (current|(dev|development|progress|next)) (stable|unstable),
      alpha sorting fail (release|(next|develop))]
  * [71badaf] c&d: version & branch info, changes related to move of lib dirs
  * [1b77c14] d: track changes to sisu_version info
  * [6472970] d: in dp (param) project_details used instead of sisu_version
  * [802c362] d: misc mostly minor
    * html endnote segment, heading endnote, link back to html scroll
    * epub endnote segment fails, issue with match, fix
    * dp, remark if no existing option selected
  * [da4985c] d: ao, rearrange, introduce new file
  * [e0fcd08] d: txt outputs, reorganize, introduce new files
  * [a37a13f] d: orgmode, add orgmode structure output to txts
  * [1625f31] d: html, segments, reorganize, introduce new file
  * [563195c] d: epub, reorganize, introduce new file
  * [5803430] d: xmls, reorganize, introduce new file
  * [6bb4c19] c&d, cgi, search form, html ref, remove leading o ocn, bugfix
    * in html (on use of html5), removed leading 'o' before ocn, not
      reflected in generated cgi, sample search form, so, does not
      jump to the (otherwise correctly) identified location
  * [7d9281c] c&d: html, output by filename, filenames, fix
  * [7d8015c] d: persist, address garbage collection issue, bug, fix
    * related to code related changes (re: "persistence") in
      recent reorganization of txt, html, epub, xmls etc.
  * [4b2eb9f] gitignore, ignore
    * another emacs tmp file pattern
    * rb dev tmp backup files, should they ever exist ignore
  * [81c9e52] sisu.org consider
  * [8afb40c] c&d: small fixes
  * [881e80c] c&d: html, ocn link back to self reinstated
    * requested, used as quick means to get object url reference link
    * d: removed ocn_html_identifier variable, unnecessary in html5
      (requirement previously forced by html4)
  * [059e312] c&d: po4a (& git) revisited, revisit
  * [7f0d5e9] c&d: po4a, book index, reinstate
  * [f23af59] d: po4a, init, if lang src == translation, empty translation field
  * [311c40a] d: po4a, stub for auto-translate
    * intention (stub only, not implemented)
      * '--po4a --trans --glob test.sst' run against
        en/test.sst fr/test.sst
      * '--po4a --trans-en:fr en/test.sst'
      to send identical text objects to translate.google using 'trans'
      and populate po file with results for placing future translation
      under po4a management
  * [dd224ef] d: po4a, reorganize a bit
  * [a25c640] d: po4a, continue reorganization (translation request dev stopped)
    * --po4a run against different language versions of sisu markup
      files (representing the same document in different languages)
      initializes po4a structure to place those documents under future
      po4a management
    * includes command line translation request
      (use command line program 'trans' to pass request to
      translation.google.com, stopped for now)
      NOTE in case future development is restarted: to test, remove
      code line 'auto_translate?(:skip)' that follows
      'def auto_translation(src_txt,markup=:src)'; place identical
      english sisu markup files in en/test.sst fr/test.sst (or under
      the language code to be tested) and run against en/test.sst
      fr/test.sst e.g. '--po4a --trans --glob test.sst'
      this send identical text objects to translate.google using
      'trans' and populate po file with results for placing future
      translation under po4a management, however in initial tests
      insufficient cleanly translated paragraphs were returned,
      so stopped development for now. (no attempt at initialization
      of new non-existent files using --trans-en:es,fr,de format)
    * [hub_options, if development of trans is pursued later consider
      the possibility of modifying the --trans string options to add
      an optional timeout value, &; possibly modifying po4a code so
      timeout may occur a fixed number of times before skipping
      translation request attempts for the remainder].
  * [1668192] d: composite documents (.ssm), extract insert files list
  * [01ce3c4] c&d: some cruft
  * [b2ccc63] bin + c&d: RbConfig (instead of Config, switch)
  * [802bf61] bin/sisu + c&d: SiSU_is now methods (instead of hash)
  * [127db38] d: utils_response, ease selection options
  * [23a3bb7] d: utils_response, rely on module (remove class) extend module
    * update a couple of affected files
  * [28097d4] sisu po4a ruby thor Rakefile equivalent (& cosmetic edit to qi)
  * [b36588c] bin/sisu-misc-utils + c&d: lib sisu_thor_lib currently only po4a
    * uses po4a to create po files with empty translation strings
    * in appropriately configured directory e.g.
      "data/doc/sisu/markup-samples/manual" have file named:
      "languages_source_and_targets" containing e.g.:
        source: en
        targets: de fr es ja ru zh
      command examples:
        ruby ~snx/bin/sisu-misc-utils po4a --next --clean
        ruby ~snx/bin/sisu-misc-utils po4a --next --distclean
        ruby ~snx/bin/sisu-misc-utils po4a --next --make
  * [6ae2316] d: po4a, provide po4a.cfg file
  * [adf811c] d: po4a_shelf, shelf current po4a, change tack
  * [45d6d69] d: po4a, initialize either directly with sst or passed through ao
    * creates source language directory with source markup files
      (.sst .ssm .ssi) & the po4a.cfg configuration file, then runs
      po4a to place the markup source under po4a translation
      management
    * --po4a-sst uses original sisu markup source as described above
    * --po4a-ao passes sisu source markup through document abstraction
      before converting back to a sisu markup source markup equivalent
      of the original document, it does this in an attempt to get more
      uniform output, and put footnotes for example if any in a form
      that is easier to translate
      --po4a-ao -v --trans-en:fr,es en/live-manual.ssm
      --po4a-ao -v --trans-en:fr,es en/live-manual.ssm \
        es/live-manual.ssm
      in the latter example also runs sisu marked up "es" document
      through document abstraction and returns a sisu markup source
      version of the document, and against this gettext is (or can be
      run) to (attempt to) have the source and target languages
      together in the po/es file
    * all quite rough, will need to be revisited,
    * these for now replace the renamed --po4a-shelf (formerly --po4a)
  * [19d976c] gitignore, minor
  * [9a05bd6] c&d: misc, largely but not entirely cosmetic
  * [2462490] c&d: ao regex matches, auto match possessives ending in 's
    * header regex matches for bold & italics, auto match possessives
      ending in 's
  * [70cf530] d: manpage fix
  * [aae3c4c] d: manifest add html ids to label/identify content
  * [64dfdcc] d: ao & elsewhere, use of map & select
  * [e7ce21a] d: bibliography marked up section of citations & metadata
    * if any order is as follows: endnotes; bibliography; index
    * to trigger, identify the bibliography section using heading
      1~biblio
    * and either:
      * provide tagged bibliography at end of document, along with
        an id for use in footnotes & the short title that should
        be used to substitute the id
      or:
      * tag citations in footnotes that should appear in
        bibliography
    * bibliography currently sorted on last name year and title
    * first pass (see documentation to be provided)
  * [28203de] documentation update to mention bibliography
  * [8a8d714] gitignore, minor adjustment
  * [1661513] c&d: cleaning
  * [aa72429] d: ao_doc_objects fix for ao_doc_str
  * [8f28f4c] c&d: se_programs for "which" i/o redirection of error message
  * [906634e] c&d: pass info needed make run better without install
  * [7ae4b45] c&d: sort image path when run from project dir (not installed)
  * [28c2105] sisu.org, prevent subscripting (by underscore) mangles file paths
  * [096c888] sisu packaging notes
  * [72fbfab] qi (quick install) fix
  * [490b371] install related, qi (quick install) & rake
  * [0949796] documentation, acquiring source & installation, minor
  * [d0ad76e] bin/sisu when run from dir tree, check git describe version info
  * [0ec4b39] d: hub, if run from dir tree check git describe version info
  * [ae27356] gitignore adjustments
  * [55cfe3b] sisu.org git download info
  * [2f5043b] qi libs, minor, remove debian specific url
  * [b2ff4e7] c: hub options, fix
  * [6b91440] c&d: se_info_env, program images path
  * [e0edf0e] version & changelog, tag for release
  * [f7a336c] debian/copyright date
  * [f98fa23] remove debian/patches prepared during Debian Jessie freeze
  * [2a4bc8b] debian/control description modified, minor

 -- Ralph Amissah <ralph@amissah.com>  Sat, 25 Apr 2015 14:22:12 -0400

sisu (5.7.1-2) unstable; urgency=medium

  [ Ralph Amissah ]
  * [b6e6eb5] v5 v6: version & changelog (Frozen: bugfix & documentation changes
      only)
    * NOTE: sisu is in development freeze mirroring the Debian release cycle;
      bugfix & documentation update only, pending the release of Debian Jessie
    * (as sisu upstream) the cleanest git workflow solution to the Debian freeze
      appears to be to follow the Debian freeze with respect to upstream
      alterations of sisu (bugfix & documentation only), incrementing upstream
      version number as usual, whilst building package as required for Debian
      freeze version of sisu 5.7.1-*
  * [e206fef] v5 v6: ao, composite documents, on --verbose report loading of
      .sst files, fix
    * without fix sisu reports loading of .ssm & .ssi files but not .sst
      (sub-documents are imported correctly and resulting document outputs are
      correct and unaffected, but unless aware of this bug it would seem
      otherwise until the correct operation of sisu was manually verified e.g.
      by examining documents produced); (issue somewhat mitigated by not being
      the most common sisu operation)
    * sisu is in development freeze, this fix is provided for Debian Jessie
      (Closes: #767761)
  * [a45079f] version & changelog (revert to 5.7.1 state, minimize 5.7.1-2 diff)
  * [3ea8131] debian/control sisu description, minor refinement
    * (Closes: #767776)
  * [f3cd973] .gitignore ignore .pc quilt dir

 -- Ralph Amissah <ralph@amissah.com>  Sun, 02 Nov 2014 21:40:58 -0500

sisu (5.7.1-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [0dd55e1] v5 v6: version & changelog (tidy & simplify, output related)
  * [84957a4] v5 v6: html, remove trailing backslash for empty linebreak &
      paragraph, <br> <p>
  * [41ad83d] v5 v6: html_format, "id"s for objects & footnotes
  * [2c73f30] v5 v6: db, text search & display field, footnotes moved to end of
      text object
    * cleaner, more useful search results
    * cleaner text search field
    * separate footnote fields redundant for search purposes
  * [18ee309] v5 v6: cgi, sample search form, find & display endnotes from
      parent text object
    * remove dedicated endnote search section (as endnotes found & listed from
      reference text field)
    * cleaner search results

 -- Ralph Amissah <ralph@amissah.com>  Sun, 19 Oct 2014 21:20:09 -0400

sisu (5.7.0-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [758d2cb] v5 v6: version & changelog
  * [2f0c9ef] v5 v6: qrcode, sha call, fix
  * [ff3eb78] v5 v6: epub tune, --maintenance, fix
  * [69d4763] v5 v6: db, --maintenance sql, separated out postgresql & sqlite
    * could share "maintenance" db import sql file (as done previously),
      consider
  * [1f0232a] v5 v6: bin/sisu, hub, urls --maintenance, fix
  * [61b9cb5] v5 v6: moved files: harvest* to html_harvest*
  * [92b4747] v5: html, reduce difference with v6 (removal of some trailing
      slashes <p> <br>)
  * [4648523] v5: html, reduce difference with v6 (mostly removal of bgcolor)
    * note: html_format.rb has differences, else same
  * [e283681] v5 v6: constants, remove ocn html leader
    * resulting hashtag #1 instead of #o1
  * [b99857d] v5 v6: html_format, label, re: object number object names
  * [7103705] v5 v6: html, epub, set document body language
  * [53b74ba] v6: '*_parts', remove defaults.rb & some relics related to sisu
      skins, long gone
    * old code removed & substituted as required by *_parts
    * attending code changes, fairly wide ranging, test
  * [32fd8f3] v5: merge v6: remove defaults.rb & some relics related to sisu
      skins

 -- Ralph Amissah <ralph@amissah.com>  Sun, 12 Oct 2014 10:57:52 -0400

sisu (5.6.9-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [659b10c] v5 v6: version & changelog
  * [3883915] sisu.org move stuff done to sisu-done.org
  * [0bd17c9] v5 v6: cleaning, minor
  * [97864e9] v5 v6: --act provides info on current --act0 to --act9 settings
    * makes it easier to make use of acts 0 to 9
  * [14b5f96] v5 v6: html, tiny first nudge toward html5 (v5 v6 differ)
    * document headers, other minor
  * [aa2ad4d] documentation, minor (on --act)

 -- Ralph Amissah <ralph@amissah.com>  Fri, 03 Oct 2014 20:15:47 -0400

sisu (5.6.8-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [7ee8929] v5 v6: version & changelog
  * [a073657] qi (quick installer) minor
  * [4a794af] v5 v6: xml cosmetic code, minor
  * [558fe23] v5 v6: manifest, renamed html_manifest
  * [33b94cc] v5 v6: sql, clean searchable text
    * update for (ao/dal) text representation, fix legacy action
  * [ca70dde] v5 v6: header comment reduction, minor
  * [a929a0c] debian/control update standards version: 3.9.6

 -- Ralph Amissah <ralph@amissah.com>  Sun, 28 Sep 2014 22:23:31 -0400

sisu (5.6.7-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [52ad2ab] v5 v6: version & changelog
  * [61c58ce] vim syntax, sisu.vim, update git url and email address
  * [bd5a952] update urls to git repo
  * [cd3bd14] touch dates

 -- Ralph Amissah <ralph@amissah.com>  Fri, 19 Sep 2014 19:40:52 -0400

sisu (5.6.6-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [64968ca] v5 v6: version & changelog
  * [57f76ce] v5 v6: hub, /tmp processing directory checks
  * [b1e7b97] v5 v6: se, env, lingual: mono / multi, rc settings
  * [48e7c35] v5 v6: se, processing, adjustments to default settings for --act0
      to --act9
  * [6e1e2b4] sisurc, update samples
    * adjustments to default settings for --act0 to --act9 (to match current
      "se")
    * removed sisurc examples to organize output by filetype, filename,
      monolingual, as one word diff
      output_dir_structure_by: language
      # (language|filetype|(filetype_mono|monolingual)|filename|filename_mono)
      # language
      #   (language and filetype directories);
      # filetype
      #   (filetype directories, filename includes language code);
      # filetype_mono (or monolingual)
      #   (filetype drectories, no language codes in filenames)
      # filename
      #   (directory output similar to v1 v2, filename includes language code);
      # filename_mono
      #   (directory output similar to v1 v2, filename without language code)
  * [5dce93c] v5 v6: ao, expansion of links to internal filepaths (re: syntax
      based shortcut)
    * expansion of sisu output filepaths (sync with use of --act0 to --act9)
  * [47afa95] v5 v6: ao, feedback on markup document structure (heading level)
      errors
    * adjustment to (existing) provided feedback, based on:
      * level A~ title, required;
      * levels B~ C~ D~ optional sequential document divider headings
        (Part, Section etc. equivalent);
      * level 1~ required, heading level preceding substantive text; followed by
      * levels 2~ 3~ 4~ optional, sequential headings
        (1.1, 1.1.1, 1.1.1.1 equivalents)
  * [165276e] v5 v6: ao, auto naming (segment & tag), exceptions, avoidance of
      name collisions
    * (i) auto naming attempts to extract a suitable numeric name from document
      headings if available, at times one appears to be available but is re-used
      elsewhere in the document, (as where the document has Parts or Sections
      and naming starts again within these sections from 1); (ii) this is
      treated as an exception and an alternative sequential naming scheme is
      triggered; (iii) if a document heading does not provide a suitable numeric
      name, another sequential scheme is used

 -- Ralph Amissah <ralph@amissah.com>  Fri, 12 Sep 2014 21:39:01 -0400

sisu (5.6.5-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [ec29e71] v5 v6: version & changelog
  * [94cf89b] v5 v6: link/path fixes
    * manifest, link where no "document harvest"
    * html, home button links url (remove slash)
    * harvest_authors, by_filetype, manifest path
  * [8422ce1] v5 v6: shared_metadata, requires xml_shared
  * [6a13e63] v5 v6: xml xhtml outputs, &amp; issues
  * [57c8b06] v5 v6: (for html) set default to navigation bar off
  * [984b76e] v5 v6: html navigation, enable turn off (nav buttons on remaining
      html segments)
  * [cf1ec23] v5 v6: ao_numbering, provide more information on duplicate
      numbering before stop
  * [98066f7] v5 v6: ao_doc_str, if faulty document structure, stop; if
      --no-stop option, skip

 -- Ralph Amissah <ralph@amissah.com>  Fri, 05 Sep 2014 23:25:10 -0400

sisu (5.6.4-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [062ca59] v5 v6: version & changelog (& rakefile)
  * [4397887] debian/control fcgi (alternative for wheezy)
  * [81c7c3f] v5 v6: cgi_sqlite, expansion of variable (default db name), double
      quotes, fix
  * [48ed403] v5 v6: misc, for when external dependencies unmet
  * [c7da8f7] v5 v6: version, touch date
  * [97f9882] debian/control, openssl: sisu, remove depends; sisu-complete, add
      depends

 -- Ralph Amissah <ralph@amissah.com>  Mon, 01 Sep 2014 23:25:11 -0400

sisu (5.6.3-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [3e26d06] v5 v6: version & changelog (& rakefile)
  * [1fe52e4] setup/ (start using) Rakefile Rantfile link to setup/rbuild
  * [7248e7c] qi, start using ruby-thor (for rake like tasks)
  * [91ac721] sisurc, minor
  * [967a86f] v5 v6: cosmetic code
  * [32d773a] v5 v6: hub, sisu version info, when & what to report
  * [90f6210] v5 v6: dp, texpdf, copyright_and_license, minor fix, used by
      texpdf
  * [6db8f29] debian/control
    * old conflicts & replaces removed
    * depends added:
      * sisu: xz-utils (for sisupod)
      * sisu-complete: ruby-thor, qrencode & tree
    * suggests added:
      * sisu: sisu-markup-samples & ruby-thor
      * sisu-complete: sisu-markup-samples

 -- Ralph Amissah <ralph@amissah.com>  Fri, 29 Aug 2014 21:17:59 -0400

sisu (5.6.2-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [b62b612] v5 v6: version & changelog (& rakefile)
  * [38caf64] rbuild, gem build a selected tagged sisu version
  * [6c757d0] v5 v6: cosmetic code
  * [aa2a606] vim, emacs, syntax hilighting, restrict heading matches, minor
  * [766b4b6] v5 v6: texpdf, output, copyright & license
  * [0fda4e9] v5 v6: ao_expand_insertions, blocked text match, adjust
  * [e1b6e75] v5 v6: ao, book index related
  * [0f1666f] v5 v6: hub options, introduce "error override" --no-stop or
      --errors-as-warnings
  * [29fc7f3] v5 v6: start making use of --no-stop command
  * [1508dff] documentation related, sisu manual book index, and --no-stop
      command
  * [e291e46] debian/control sisu-complete, imagemagick or graphicsmagick
      dependency
    * needed to process images

 -- Ralph Amissah <ralph@amissah.com>  Wed, 20 Aug 2014 21:52:39 -0400

sisu (5.6.1-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [a57d156] v5 v6: version & changelog (& rakefile)
  * [f6ad656] v5 v6: webrick, wb.cgi fixed & omitted/(use discarded)
  * [9680068] v5 v6: hub, organisation & loose ends
    * tweak triggers
    * split file further
    * remove mod

 -- Ralph Amissah <ralph@amissah.com>  Tue, 12 Aug 2014 00:15:30 -0400

sisu (5.6.0-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [d7f17dc] v5 v6: version & changelog (& rakefile)
  * [8090342] v5: merged v6 libraries
    * commandline, --act0 to --act9, rc-config with flag:act[0-9]
      * configurable command line options increased to 0 - 9 (instead of 0 - 5)
      * use --act0 to --act9 (previous flags -1 to -5; -0 to -9 now available)
      * default --act0
      * rc config with flag:act0 to flag:act9 (previously roman numerals)
      * legacy roman numeral configuration works (for now)
    * use opt.act, code internals (simplify, cleaner; remove opt.cmd
        & opt.mod)
    * hub, further changes related to use of opt.act; hub file split
  * [6bc3b81] v5 v6: extend document structure, headings A - D, 1 - 4
    * sql db table structure changed (needs to be rebuilt)
  * [23b07d9] documentation related

 -- Ralph Amissah <ralph@amissah.com>  Fri, 08 Aug 2014 00:38:52 -0400

sisu (5.5.6-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [94106f1] v5 v6: version & changelog (& rakefile)
  * [39e11a4] v5 v6: code file renames, fairly extensive
    * v5 file renames sync with v6 for easier comparison
    * v5 here (5.5.6) remains as in previous version (5.5.5)
  * [c10a6dc] v6: commandline, --act0 to --act9, rc-config with flag:act[0-9]
    * configurable command line options increased to 0 - 9 (instead of 0 - 5)
    * use --act0 to --act9 (previous flags -1 to -5; -0 to -9 now available)
    * default --act0
    * rc config with flag:act0 to flag:act9 (previously roman numerals)
    * legacy roman numeral configuration works (for now)
  * [64e5c91] v6: use opt.act, code internals (simplify, cleaner; remove opt.cmd
      & opt.mod)
    * v5 dp, indentation changed to retain easy comparison with v6
  * [3a7ba13] v6: hub, further changes related to use of opt.act; hub file split

 -- Ralph Amissah <ralph@amissah.com>  Fri, 08 Aug 2014 00:21:47 -0400

sisu (5.5.5-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [cf8ecbb] v5 v6: version & changelog (& rakefile)
  * [1fa2ba3] v5 v6: options, minor fixes
  * [a79f986] v5 v6: ensure reset of parsed document directory path
    * needed in the case of html for some subsequent processing

 -- Ralph Amissah <ralph@amissah.com>  Tue, 29 Jul 2014 19:56:41 -0400

sisu (5.5.4-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [4cde4b1] v5 v6: version & changelog (& rakefile)
  * [2907137] v5 v6: ao_numbering, auto name segment, tweak to make behave as
      intended
    * further testing required

 -- Ralph Amissah <ralph@amissah.com>  Thu, 24 Jul 2014 20:55:52 -0400

sisu (5.5.3-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [09223f6] v5 v6: version & changelog (& rakefile)
  * [3b753e3] v5 v6: db, rescue where no tables, attempt to initialize db and
      retry
    * internally run the equivalent of --createall
    * (if successful) permitting completion of --import or --update command
    * make use of action triggers
  * [c59e0ee] v5 v6: db, reorganize previous commit

 -- Ralph Amissah <ralph@amissah.com>  Wed, 23 Jul 2014 18:15:16 -0400

sisu (5.5.2-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [a9f81c2] v5 v6: version & changelog (& rakefile)
  * [41796e3] v5 v6: cosmetic code
  * [e1af490] v5 v6: bin/sisu, hub, hub close (ensure), remove /tmp/ processing
      dir
  * [b9b01e5] v5 v6: html_lite_shared, issue, fix
  * [dc51608] v5 v6: options, sisupod parsing, fix
  * [e3121a4] v5 v6: db, minor
  * [94aa154] v5 v6: db, pg import, fix
    * remove dbi from rescue, no longer using ruby-dbi
    * ruby-pg query SELECT MAX
  * [f36e8bf] v5 v6: db, pqsl, sqlite, reorganise triggers
  * [ab10de3] v5 v6: sysenv, reorganise, break up file, multiple se_* files
  * [67533e4] v5 v6: sysenv, revert to use of stub_pwd to correct hub post
      processing behavior
    * revert to use of stub_pwd (instead of preferred base_markup_dir_stub
      introduced in 5.5.1) to bring back correct hub (post) processing behavior
  * [0ec06db] v5 v6: sysenv, processing shortcuts, options, adjust
    * (further refinement necessary)
  * [743e040] documentation related

 -- Ralph Amissah <ralph@amissah.com>  Tue, 22 Jul 2014 21:56:47 -0400

sisu (5.5.1-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [db6adeb] v5 v6: version & changelog (& rakefile)
  * [f89b2e6] documents / documentation related
    * COPYRIGHT, date
    * sisu.org, minor
    * README
    * manpage
  * [ebc9b30] v5 v6: bin/sisu, hub, options, pass message:
      sisu_called_from_directory
  * [639c57e] v5 v6: sysenv, general, base_markup_dir_stub (replace pwd_stub)
  * [03c2846] v5 v6: ao_numbering, auto name segment, extract "number" from
      heading, refine
  * [9100b4d] v5 v6: src_share, cosmetic code
  * [7222b36] v5 v6: src, sisupod, bring back in line
  * [84fcc4f] v5 v6: docbook, code & other blocks markup
  * [8a09a5f] v5 v6: docbook, url links, urls
  * [796915d] v5 v6: docbook, images, and adjustment
  * [d891734] v5 v6: docbook, css (needs work), also doc header, sisu processing
      info
  * [99f57f7] v5 v6: docbook, status, under construction notice removed (still
      much to do)
  * [3a3037c] v5 v6: base images & css
  * [3628703] v5 v6: base images & css, continue
  * [4ef1c30] v5 v6: document images (more to clean up)
  * [837c58f] debian/copyright dates

 -- Ralph Amissah <ralph@amissah.com>  Tue, 15 Jul 2014 19:05:51 -0400

sisu (5.5.0-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [26ec305] v5 v6: version & changelog (& rakefile)
  * [d1c4bb3] v5 v6: ao_numbering, auto name segment, extract "number" from
      heading, fix
  * [561b662] v5 v6: ao_numbering, check that all auto given number based seg
      names are unique
  * [cc3380a] v5 v6: ao_composite, variable name
  * [86ce218] v5 v6: ao_composite, nested includes, .ssi (insert) can now
      include .ssi & .sst
    * .ssm can contain/include .sst or .ssi
      .sst files can be processed independently, they do not contain other files
      .ssi files have been only insertions of text & are not processed
      independently but as part of an ssm
      change proposed:
      .ssm unchanged,
      .sst unchanged,
      .ssi as before, but can include .sst or .ssi, so:
      files are only insertions & are not processed independently but as part of
      an .ssm or another .ssi
      i.e. as before with the addition that it like a .ssm can contain/include
      .sst or .ssi
    * requested feature, (Closes: #744408)
      User beware. In previous versions there has been a deliberate attempt to
      keep it easy to follow documents & not have to dig through different
      levels of includes, as this is more likely to lead to errors in markup.
      The idea of nested includes has not been attractive (messy for a
      document), however, this is now made possible, use with care
      * it is not as easy to see document structure at a glance, and structural
        errors may be introduced and will need to be taken care of (requiring
        document markup debugging)
      * allowing .ssi to also include other .ssi or .sst could lead to infinite
        recursion if an .ssi includes another which includes itself; stopping
        after an additional level of includes seems arbitrary, and possibly
        prone to error if you are dealing with many documents
    * requires testing
    * version bump, new behavior added to .ssi one of the 3 sisu filetypes
  * [3daec54] v5 v6: src sisupod, cosmetic code arrangement
  * [a93f8d5] v5 v6: src, sisupod composite source, nested includes
  * [bf076ed] documention related

 -- Ralph Amissah <ralph@amissah.com>  Fri, 11 Jul 2014 00:29:17 -0400

sisu (5.4.5-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [86ca0ae] v5 v6: version & changelog (& rakefile) (git, ref log instead of
      shortlog)
  * [4080aa4] bin/sisu, some cosmetic long line breaking
  * [58c41f6] bin/sisu, processing dir related
    * e.g. using live-manual/manual as sample, the following should work as
      expected
      available: ca de en es fr it ja pl pt_BR ro; select: en & ja:
        sisu --html -v en/live-manual.ssm ja/live-manual.ssm
      or for all available translations:
        sisu --html -v **/live-manual.ssm
      (these previously would have broken after processing the first directory)
      sisu command equivalent for all available translations being (unaffected):
        sisu --html -v --glob live-manual
  * [0c80533] v5 v6: ao, auto seg naming, adjustments
    * re: seg numbering, fixed width, leading zeros (introduced: 5.4.3 / 6.0.9)
  * [51ac999] sisu.org, README minor

 -- Ralph Amissah <ralph@amissah.com>  Mon, 07 Jul 2014 01:38:15 -0400

sisu (5.4.4-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [d7255c6] v5 v6: version & changelog (& rakefile)
  * [618c5f1] v5 v6: ao, fix, re: seg numbering, fixed width, leading zeros
      (new in 5.4.3)
    * provisional fix (check related issues against 5.4.2)

 -- Ralph Amissah <ralph@amissah.com>  Fri, 04 Jul 2014 13:51:10 -0400

sisu (5.4.3-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [0c41882] v5 v6: version & changelog (& rakefile)
  * [cc39efe] sisu.org minor
  * [954419b] v5: merge what was sisu_6.0.8 into v5
    * ao,
      * syntax, able optionally to indicate the language syntax of a code block
      * syntax, introduce box text block/group
      * syntax, introduce tics quotes markup (blockquote equivalent)
    * docbook,
      * ocn & footnote numbers (as xml comments)
      * metadata header (docinfo)
      * quotes (blockquote)
      * tables
      * images
      * code block
    * vim syntax, add
      * code block, language syntax, optional
      * box block
      * quote block
  * [ccb082f] vim syntax, version & date (code block, language syntax; box
      group; quote)
    * now applies to v5 branch
  * [4187161] v5 v6: files renamed: ao_composite.rb, html_concordance.rb
    * ao_composite.rb (from composite.rb)
    * html_concordance.rb (from concordance.rb)
  * [9347018] v5 v6: ao, code cosmetic rearrangement
  * [844f927] v5 v6: ao, (param), book index, strip white spaces around terms
    * fix uppercase first character where spaces used
  * [60411ad] v5 v6: ao, quote block, insert text indent markup (book index
      markup unchanged)
  * [e881dff] v5 v6: ao, doc objects, layout group open & close, identify,
      is_for
  * [f74de43] v5 v6: ao, segment numbering, fixed width, leading zeros
    * alphanumeric sorting
  * [1b3d9ac] v5 v6: epub, a fix, double check
  * [d850e67] v5 v6: sysenv, developer _CONSTRUCTION_ZONE warning setup modified

 -- Ralph Amissah <ralph@amissah.com>  Tue, 01 Jul 2014 01:01:04 -0400

sisu (5.4.2-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [c184329] v5: version & changelog (& rakefile)
  * [943cfb4] ao, fix bug in previous version (5.4.1) from sloppy cherry pick
      of v6
    * ao_doc_str (codeblock)

 -- Ralph Amissah <ralph@amissah.com>  Sun, 22 Jun 2014 10:43:22 -0400

sisu (5.4.1-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [d4d5086] v5 v6: version & changelog (& rakefile)
  * [66b72ea] v5 v6: ao, misc, mostly minor cleaning
  * [83137da] v5 v6: indent spaces, minor
  * [5d168b3] v5 v6: ao, code blocks, clean trailing newlines
  * [de1c383] v5 v6: ao, turn id numbers (for tags) into a hash
  * [afdedc9] v5 v6: ao, regex match for tics "```" followed by space tweaked
  * [46410b1] v5 v6: ao, Symbol to match grouped text open & close (instead of
      String)
  * [64d8e1b] v5 v6: ao, introduce way of removing unrecognized tic markers
    * this is to provide some forward compatibility with new markup
      (unrecognized new tic marks are removed)
    * noisy, reports to screen on tics that are to be removed, unless quiet is
      on
    * review
  * [fa8a138] v6: ao, syntax, able optionally to indicate the language syntax of
      a code block
  * [dffa229] v6: ao, syntax, introduce box text block/group
  * [ac65458] v6: ao, syntax, introduce tics quotes markup (blockquote
      equivalent)
  * [4f5b055] v6: docbook, tags (name touch)
  * [e0c38cb] v6: docbook, ocn & footnote numbers (as xml comments)
  * [beb28d6] v6: docbook, metadata header (docinfo)
  * [16380ed] v6: docbook, quotes (blockquote)
  * [8ed75b2] v6: docbook, tables
  * [c7eddcb] v6: docbook, images
  * [e7ce3d1] v6: docbook, code block
  * [e6ba016] vim syntax, code block, language syntax; box group; quote

 -- Ralph Amissah <ralph@amissah.com>  Thu, 19 Jun 2014 22:37:29 -0400

sisu (5.4.0-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [108142f] v5 v6: version & changelog (& rakefile)
    * will merge v6 into v5, 5.4 version bump
  * [16c3047] v5: merge v6 to v5, version bump to 5.4.*, reason adds structure
      check
    * ao, document structure check, stop processing on major error
      (with error message & text at location of failure)
      [reason for version bump the addition of structure check]
    * utils, add ok code marker
    * ao, heading with no ocn, distinguish ~# from -#
      * ~# is general & means no ocn (for any object to which it is applied)
      * -# is relevant only for 1~ dummy headings & instructs that they should
        be removed from output where possible
      * applied so far to pdf, odt & plaintext
    * ao_images, reduce warnings when ruby RMagic absent as program used
        directly
      * reduced dependency on ruby RMagic library (as some time way back had
        issues)
    * ao, document markup structure check, skip processing file on major error
      * with error message & text at location of failure
    * texpdf, urls in creator cause breakage
    * texpdf, mailto markup links set for normal text objects
    * texpdf, '&' in heading breaks toc (now removed from toc (not heading)),
        bug
      * revisit, bug
    * texpdf, for urls switch to sans serif (small fontsize)
      * instead of typewriter, latex default
    * texpdf, pdf colored hyperlinks configurable
      * --pdf-hyperlinks-color
        --pdf-hyperlinks-no-color or --pdf-hyperlinks-monochrome
      * ['default']['pdf_hyperlinks']='color'
        (other options switch hyperlink color off 'no-color' 'color-off'
        'monochrome')
    * texpdf, pdf default font size configurable (cli & sisurc.yml)
        (no fractions)
      * --pdf-fontsize-12 --pdf-fontsize-8
      * default:
        texpdf_fontsize: 12
    * texpdf, headings and table of contents representation
      * fixes 1~ and 2~ result in the same formatting
        1~ 2~ & 3~ now differentiated, see discussion in sisu.org under #744383
      * fixes :A smaller formatted than :B
        A~ B~ C~ now the same size, see discussion in sisu.org under #744383
      * :B and :C result in the same formatting, issue explained see sisu.org
    * texpdf, (internal coding) fontface, rename texpdf_font texpdf_fontface
    * texpdf, (internal coding) use symbols to identify page orientation
    * param, metadata rights, line-breaks instead of semicolons separating
        rights
      * fixes remove trailing semicolon after :copyright:
    * digests sha512 option implemented
      * options sha512 sha256 md5
      * command line --sha512
      * rcconf.yml ['defsault']['digest'] = sha512
    * xml object citation numbering (docbook fictionbook)

 -- Ralph Amissah <ralph@amissah.com>  Sun, 25 May 2014 10:08:45 -0400

sisu (5.3.6-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [b76284d] v5 v6: version & changelog (& rakefile)
  * [569827d] documentation updates
    * sisu.org info on ruby-dbi removal affecting sisu in debian
    * sisu.org moved to data/doc/sisu (softlinked from root dir)
    * CHANGELOG simplify maintenance
    * note version changes
    * misc
  * [b17d90b] v6: utils, add ok code marker
  * [307ecb4] v5 v6: db, use symbols to identify sql engine
  * [7bfd567] v5 v6: db, remove ruby-dbi, for: pg ruby-pg, sqlite ruby-sqlite3
      (already uses)
    * ruby-pg require for postgresql
    * ruby-sqlite3 require for sqlite3 (done previously: already using
      ruby-sqlite3 rather than ruby-dbi)
    * ruby-dbi remove calls (in any common files & sisu pg and sisu sqlite3)
    * separate pg and sqlite db actions
  * [bcb074a] v5 v6: cgi, sample search forms: use ruby-pg & ruby-sqlite3;
      remove ruby-dbi
  * [1524845] debian/control sisu-postgresql added depends ruby-pg, omission
      corrected
    * removed ruby-dbi using ruby-pg instead

 -- Ralph Amissah <ralph@amissah.com>  Sun, 18 May 2014 09:48:17 -0400

sisu (5.3.5-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [e132337] v5 v6: version & changelog (& rakefile)
  * [e38554e] v5 v6: coding, various minor cosmetic
  * [f06613b] v6: xml object citation numbering (docbook fictionbook)
  * [388eef4] sisu.org start using emacs:evil:org; update .gitignore
    * (emacs:evil mode gifts a "vim" of "alternative" powers! ;)
      heretic
  * [e170f0f] sisu.org introduce a bug list
    * primarily DBT (Daniel's welcome bug flood)
  * [5b60731] v5 v6: ao_syntax, address possible manual use of url
      delimiters「」
  * [080d49e] syntax hilighting, line break without spaces<br>flagged as error,
      close
    * for line breaks in sisu markup use \\ instead of <br>
    * the case described is meant to be flagged as an error
    * close bug, no action taken further explanation in sisu.org
    * (Closes: #744356) re-open if necessary
  * [fbe2d78] syntax hilighting, includes with files in subdirectories fix
    * (Closes: #744355)
  * [b28cf1c] v5 v6: composite, fix includes, provide extra newline after
      inserted comment
    * (Closes: #744360) [n|u] sisu: includes do not work properly
  * [90d3eab] v5 v6: composite (inserts), missing includes doesn't give an
      error, fix
    * (Closes: #744379) see sisu.org for comment
  * [d5b2fa8] v5 v6: metadata, pdf, remove link to manifest page where
      --no-manifest is used
    * (Closes: #744378)
  * [58020c1] v5: digests cleaning
  * [3ea1652] v6: digests sha512 option implemented
    * options sha512 sha256 md5
    * command line --sha512
    * rcconf.yml ['defsault']['digest'] = sha512
    * (Closes: #744402)
  * [369b764] v5 v6: param, metadata add 'Copyright:' tag to output related to
      copyright
    * (Closes: #744381) syntax: inconsistency \:copyright: and \:license:
  * [d5b13ca] v6: param, metadata rights, line-breaks instead of semicolons
      separating rights
    * (Closes: #744358) remove trailing semicolon after :copyright:
  * [1716ccd] v6: texpdf, (internal coding) use symbols to identify page
      orientation
  * [09fc878] v6: texpdf, (internal coding) fontface, rename texpdf_font
      texpdf_fontface
  * [2b2e66c] v6: texpdf, headings and table of contents representation
    * (Closes: #744386) 1~ and 2~ result in the same formatting
      1~ 2~ & 3~ now differentiated, see discussion in sisu.org under #744383
    * (Closes: #744399) :A smaller formatted than :B
      A~ B~ C~ now the same size, see discussion in sisu.org under #744383
    * #744383 :B and :C result in the same formatting, issue explained see
      sisu.org
  * [df9e421] v6: texpdf, pdf default font size configurable (cli & sisurc.yml)
      (no fractions)
    * --pdf-fontsize-12 --pdf-fontsize-8
    * default:
        texpdf_fontsize: 12
    * (Closes: #744405)
  * [9d76329] v6: texpdf, pdf colored hyperlinks configurable
    * --pdf-hyperlinks-color
      --pdf-hyperlinks-no-color or --pdf-hyperlinks-monochrome
    * ['default']['pdf_hyperlinks']='color'
      (other options switch hyperlink color off 'no-color' 'color-off'
      'monochrome')
    * (Closes: #744391) no color on a4 portrait
      see discussion in sisu.org
  * [4c27c79] v6: texpdf, for urls switch to sans serif (small fontsize)
    * instead of typewriter, latex default
    * (Closes: #744353)
  * [41d62d5] v6: texpdf, '&' in heading breaks toc (now removed from toc (not
      heading)), bug
    * revisit, bug
  * [f9fb402] v6: texpdf, mailto markup links set for normal text objects
    * (Closes: #744357) but testing required
  * [62c48ac] v6: texpdf, urls in creator cause breakage
    * (Closes: #744541)
  * [f408992] v6: ao, document markup structure check, skip processing file on
      major error
    * with error message & text at location of failure
  * [d6f28e0] v6: ao_images, reduce warnings when ruby RMagic absent as program
      used directly
    * reduced dependency on ruby RMagic library (as some time way back had
      issues)
  * [57f00b9] v5 v6: bin/sisu, ensure return to start dir
  * [cd4b4e4] v6: ao, heading with no ocn, distinguish ~# from -#
    * ~# is general & means no ocn (for any object to which it is applied)
    * -# is relevant only for 1~ dummy headings & instructs that they should be
      removed from output where possible
      * applied so far to pdf, odt & plaintext
  * [e2f6efc] documentation, notes, update
  * [612c53f] debian/changelog, remove depends on ruby-dbi, address autoremoval
      from testing
    * address sisu autoremoval from testing for depends on ruby-dbi
      sisu 5.3.4-1 is marked for autoremoval from testing on 2014-06-10
      It (build-)depends on packages with these RC bugs: 746081: ruby-dbi ...
      * debian/control, remove dependency on ruby-dbi in
       * sisu-postgresql
       * sisu-sqlite
    * current situation (bugs in sisu re: pg & cgi; sqlite3 is ok)
      * sisu-sqlite works fine, depends on ruby-sqlite3
      * sisu-postgresql is broken till fixed to work with ruby-pg
        (or ruby-dbi fixed)
      * sample cgi search froms (cgi database query forms) are broken till

 -- Ralph Amissah <ralph@amissah.com>  Mon, 12 May 2014 23:36:27 -0400

sisu (5.3.4-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * v5 v6: version & changelog (& rakefile)
  * v5 v6: ocn, object citation numbering, --no-numbering option & default
      tuning
    * add less cryptic --numbering --no-numbering command-line options
      (to --no-ocn)
    * plaintext & odt switch default to ocn==true for consistency with other
      output
    * [decide how fine-grained ocn/numbering switches could be: could be per
      output
      type by command-line instruction (see txt & odt); currently set per sisu
      instruction for all outputs]

 -- Ralph Amissah <ralph@amissah.com>  Fri, 14 Feb 2014 00:30:21 -0500

sisu (5.3.3-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * v5 v6: version & changelog (& rakefile)
  * v5 v6: cgi, sample search form (generator), using cgi ENV variables
  * examples: nginx conf; cgi search forms pgsql & sqlite
  * documentation, minor update
  * debian/control, sisu-postgresql & sisu-sqlite add suggests web server &
      fcgiwrap
    * fcgiwrap & nginx-light or httpd (sample nginx setup provided in project)
  * debian/watch refine watchfile match (now that debian diff also uses xz)

 -- Ralph Amissah <ralph@amissah.com>  Sun, 09 Feb 2014 00:00:53 -0500

sisu (5.3.2-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * v5 v6: version & changelog (& rakefile)
  * v5 v6: ao, html book index linking, follow --strict option
  * v5 v6: utils, code markers & messages, notes/warning/errors, fix
  * v5 v6: sysenv, concordance redirected paths, watch
  * manual Rakefile, README & minor config adjustment

 -- Ralph Amissah <ralph@amissah.com>  Wed, 05 Feb 2014 18:46:53 -0500

sisu (5.3.1-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * v5 v6: version & changelog (& rakefile)
  * v5 v6: html, cleaning, minor
  * v5 v6: wrappers round require
  * v5 v6: error/warn messages
  * v5 v6: epub, odt, check availability of zip program
  * v5 v6: ao, set document tags
  * v5 v6: html, name tag related (output "cleaning")
  * v5 v6: options, html --strict instruction
  * v5 v6: options, ocn switch on/off instructions (& defaults for plaintext &
      odt)
  * v5 v6: ocn: strict html; turn on/off rules for txt & odf
  * v5 v6: html, endnote name and nameref make compliant (epub use same)
  * v5 v6: epub, hash digests used only if available
  * v5 v6: html, (output) cleaning
  * v5 v6: cgi (pgsql & sqlite), fix
  * removed html man pages (man2html)
  * sisu manual directory moved
  * sisu manual update
  * README & manpage (sisu.1) update

 -- Ralph Amissah <ralph@amissah.com>  Wed, 05 Feb 2014 01:29:18 -0500

sisu (5.3.0-1) unstable; urgency=low

  [ Ralph Amissah ]
  * v5 v6: version & changelog (& rakefile), make true on next commit
    * next commit:
      * v4 branch closed
      * v5 stable branch
      * v6 development branch opened (copy v5)
  * v5 v6: made true, branches: v6 development; v5 stable; v4 closed
  * debian/sisu.install debian/sisu.manpages add v sisu6 remove sisu4

 -- Ralph Amissah <ralph@amissah.com>  Sun, 26 Jan 2014 02:36:27 -0500

sisu (4.2.21-1) unstable; urgency=low

  [ Ralph Amissah ]
  * v4 v5: version & changelog (& rakefile) [v4 about to be closed]
  * bin/sisu changes to simplify switching to new stable & development branches
  * debian/control sisu-sqlite sisu-postgresql depends ruby-fcgi
    * instead of libfcgi-ruby1.9.1, make ruby agnostic

 -- Ralph Amissah <ralph@amissah.com>  Sun, 26 Jan 2014 02:05:12 -0500

sisu (4.2.20-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * rakefile version update for previous version (should have been)
  *  v4 v5: version & changelog (& rakefile)
  * v4 v5: bin/sisu & some related lib changes
    * good time to consider rollover: closing v4 branch, replacing it with v5 &
      introducing v6 for development, proposed for this release + 1
  * v4 v5: sysenv for texpdf, fix for when tex to pdf generator is absent
  * debian/control sisu depends openssl (instead of recommends), convenience
    * * used fairly extensively within sisu to generate digests

 -- Ralph Amissah <ralph@amissah.com>  Mon, 20 Jan 2014 18:57:09 -0500

sisu (4.2.19-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * v4 v5: version & changelog (& rakefile)
  * README clean info related to unsupported --help option
  * bin/sisu experimentation
    * start preparing for ruby changes
    * work on fix for bug related to gem path & system installed sisu
  * debian/sources/options, remove unbreakable spaces
    * (Closes: #735671)
  * debian/control depend on ruby | ruby-interpreter; remove rubygems dependency
    * select default ruby interpreter, note, only ruby 1.9.3 currently tested
    * remove errant depends rubygems (relates to older ruby not used by sisu)
    * (Closes: #735585) together with debian/sisu.install changes
  * debian/sisu.install use vendor_ruby; use bin/sisu (remove debian/bin/sisu)

 -- Ralph Amissah <ralph@amissah.com>  Fri, 17 Jan 2014 22:01:58 -0500

sisu (4.2.18-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * v4 v5: version & changelog (& rakefile)
  * v4 v5: texinfo, fixes
  * v4 v5: texpdf, report to screen on pdf output, link to a generated file-size
    * decide how to deal with as multiple document file-sizes may be produced
  * v5: ao, counter for various grouped / blocked texts & tables
    * of particular use for poems which are broken into verse
  * v5: heading recalibration, code (downstream) changes, continue
  * v5: asciidoc, file extension (for now .ad), inline footnotes, minor

 -- Ralph Amissah <ralph@amissah.com>  Sun, 12 Jan 2014 21:30:55 -0500

sisu (4.2.17-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * v4 v5: version & changelog (& rakefile)
  * v5: date 2014: headers bin/sisu & lib/; code constants.rb
  * bin/sisu, version dir (fix) & version info
    * (ensure SiSU_version_dir) fix
    * sisu version info, yml info also when installed via ruby gem
    * downstream libs
  * v4 v5: fixes
    * ao_doc_str, nodes, possible parents, correction
    * epub, url closure decoration
    * sysenv, qrcode report absent program, minor
    * html scroll toc, clean links where none, exclude metadata
  * v5: asciidoc, rename AsciiDoc module, & recalibrate headings
  * v5: docbook, fictionbook, some tidying
  * v5: cosmetic code, case statement
  * v5: version (5.2 version bump) & changelog (& rakefile)
    * markup rule change; document structure rule be introduced:
      * single document root == document title == heading level A~
      * adds possible level D~
      * (earlier v5, development branch insulated from v4)
  * v5: single document root A~ (recalibrate headings); level D~ possible
    * :A~ document title, single document root (ln==0)
    * introduce additional possible heading level, D~
    * markup rule change: single document root
    * breaks much downstream code, recalibrate (fix, test, fix & test again)
    * v4 & v5 bifurcate (diverge "un-merge-ably")
  * v5: vim syntax, v5.2 match heading level D~
  * v5: heading recalibration, code (downstream) changes
    * here no doubt remains breakage (test, fix & test again)
  * debian/bin/sisu sync bin/sisu

 -- Ralph Amissah <ralph@amissah.com>  Mon, 06 Jan 2014 23:08:29 -0500

sisu (4.2.16-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * v4 v5: version & changelog
    * along with date correction for occurrence of disk crash, which happened a
      week later than recorded, and in between previous releases.
  * v4 v5: Rakefile, (installer), reduce actions
  * debian/control, new standards version, additional recommends rubygems
    * updated: "Standards Version: 3.9.5"
    * sisu recommends rubygems

 -- Ralph Amissah <ralph@amissah.com>  Sun, 15 Dec 2013 21:24:13 -0500

sisu (4.2.15-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * v4 v5: version & changelog
  * v4 v5: Rakefile, (installer) improve, re-arrange
  * v5: docbook, structure, a fix
    * construction zone: structure okish; docbook generated not usable

 -- Ralph Amissah <ralph@amissah.com>  Mon, 09 Dec 2013 22:29:54 -0500

sisu (4.2.14-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [bd7ae5d] v4 v5: version & changelog
  * [ff66e3f] v4 v5: rake create build & install sisu gemspec; (.gitignore),
      work on
    * gemspec adjusted to install only libraries related to a version (v4 or v5)
    * select sisu version to create, build & install
  * [676eba5] v4 v5: bin/sisu, simplify in relation to sisu gem
  * [6e0b06a] debian/bin/sisu sync bin/sisu

 -- Ralph Amissah <ralph@amissah.com>  Tue, 03 Dec 2013 20:45:56 -0500

sisu (4.2.13-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [8cbc5ed] v4 v5: version & changelog
  * [f37d75f] v5: dal_doc_str.rb, changes related to collapsed level
    * for headings added for structure, without ocn
    * testing required
  * [e130be5] v5: dal_endnotes, removed a space that should no longer be
      necessary
    * testing required
  * [85ec6ba] v5: minor code related to line-breaks
  * [f0869d1] v5: xml sax rename file
  * [6e2061a] v5: xmlns xlink using xl
  * [da5e7ff] v4 v5: rake create build & install sisu gemspec; bin/sisugem (add
      .gitignore)
    * rake gemcbi #(create build install sisu gem)
    * rake gemspecscreate && \
      rake gembuild && \
      sudo rake geminstall
    * rake gemspecscreate && \
      gem build sisu5.gemspec && \
      sudo gem install --no-rdoc --no-ri \
      sisu-5.1.0.gem
    * bin/sisu updated (modified to take account of gems)
    * bin/sisugem added
    * .gitignore sisu-*.gem sisu*.gemspec
      consider inclusion (& tracking) of rake created sisu4.gemspec
      sisu5.gemspec (as this makes their availability more obvious)
    * once gem is installed: "sisu _5.1.0_ -vM" (to see version, commands
      otherwise as usual) if paths are such that sisu is not available
      "sisugem _5.1.0_ -vM" should work (as it is installed by gemspec, but not
      other sisu installers)
  * [9b51aed] v5: renaming files & modules ao & AO (from dal & DAL)
    * ao (abstract objects) shorter, also easily searched, higher sort location
      abstract as representation of & extraction of document objects
      (dal (document abstraction layer))
  * [3d4ec6d] v5: some renaming to ao from dal continued
  * [6c3930e] v5: some file renaming related to: shared files & epub, odf:odt,
      plaintext
  * [32bc914] v5: plaintext, rename & simplify
  * [cdda22f] v5: plaintext, smarttext: textile
  * [ce74f66] v5: plaintext, smarttext: asciidoc
  * [66fde27] v5: plaintext, smarttext: markdown
  * [6c153f7] v5: plaintext, smarttext: rst
  * [c7f7a26] v5: xml, docbook
  * [9700518] v5: xml, fictionbook
  * [88b3272] v5: documentation related to commands for new outputs in
      development
  * [ae6ce45] debian/bin/sisu sync bin/sisu, update for sisugem & sisu when
      called as gem

 -- Ralph Amissah <ralph@amissah.com>  Tue, 03 Dec 2013 00:45:28 -0500

sisu (4.2.12-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [c688cca] v4 v5: version & changelog
  * [7de0303] v4 v5: sisu_manual, minor info addition
  * [cf8ff1a] v4 v5: rake (& rant) sisu installer
    * do less by default
    * remove rant generated sisu-install
  * [0a92145] v4 v5: vim, ftplugin sisu.vim, fix missing <leader>
  * [897a46e] v4 v5: bin/sisu-*
    * use option flag full names
    * add sisu-html-scroll, sisu-html-seg, sisu-pdf-portrait, sisu-pdf-landscape
  * [60aca67] debian/*.install & debian/*.manpages updated for bin/sisu-*
      additions

 -- Ralph Amissah <ralph@amissah.com>  Fri, 08 Nov 2013 21:32:10 -0500

sisu (4.2.11-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [762d300] v4 v5: version & changelog
  * [d6b596f] v5: xml, scaffold, re-activated, split into sisu structure &
      collapsed structure
    * --xml-scaffold-sisu (--xml-scaffold)
    * --xml-scaffold-collapse
    * output currently to terminal only

 -- Ralph Amissah <ralph@amissah.com>  Tue, 05 Nov 2013 23:40:39 -0500

sisu (4.2.10-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [8c11f32] v4 v5: version & changelog
  * [a89fd60] v4 v5: constants, ocn output delimiter (where used) changed to
    「...」
  * [89cc909] v5: plaintext, reorganize
  * [0bb6d22] debian/control update names of called ruby libraries
    * packages sisu, sisu-sqlite3, sisu-postgresql
    * (Closes: #728540)

 -- Ralph Amissah <ralph@amissah.com>  Sat, 02 Nov 2013 23:27:47 -0400

sisu (4.2.9-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [ce2366b] v4 v5: version & changelog
  * [8090434] v4 v5: cleaning, minor
  * [d08020e] v4 v5: dal, document_structure_check_info

 -- Ralph Amissah <ralph@amissah.com>  Sun, 27 Oct 2013 23:29:31 -0400

sisu (4.2.8-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [bc3dade] v4 v5: version & changelog
  * [edd8990] v5: options & downstream, more use of opt.act instead of opt.cmd
    * opt.act.*.set==:on instead of opt.cmd =~/\S/
  * [f7da57f] v4 v5: dal, parent & node info, fix
    * used e.g. for mind map type output
      (last for kdissert output, no longer supported)
  * [15ff374] v4 v5: dal, collapsed levels implemented
    * convenience, collapse sisu's dual level document structure for output of
      markup with straight linear structure

 -- Ralph Amissah <ralph@amissah.com>  Thu, 24 Oct 2013 00:01:07 -0400

sisu (4.2.7-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [a59324f] v4 v5: version & changelog
  * [69c8638] v4 v5: constants, change a couple of internal processing delimiter
      characters
    * to characters even less likely to be of use in ordinary (marked up) text

 -- Ralph Amissah <ralph@amissah.com>  Thu, 17 Oct 2013 21:32:05 -0400

sisu (4.2.6-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [8d30213] v4 v5: version & changelog
  * [8e35cdf] vim, minor update, not syntax related
  * [48f2668] markup sample, update book index markup, appearance, minor
  * [e7ff092] v4 v5: comments, remove extra language lists, minor
  * [78541f1] v4 v5: constants, change a couple of internal processing delimeter
      characters
    * that may be used in ordinary marked up text

 -- Ralph Amissah <ralph@amissah.com>  Wed, 16 Oct 2013 23:48:33 -0400

sisu (4.2.5-2) unstable; urgency=medium

  [ Ralph Amissah ]
  * [e83838a] debian/bin/sisu sync bin/sisu, update language list ja ko zh

 -- Ralph Amissah <ralph@amissah.com>  Mon, 23 Sep 2013 18:21:04 -0400

sisu (4.2.5-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [1608691] v4 v5: version & changelog
  * [db038f5] bin/sisu update language list ja ko zh, fix
  * [10228d4] debian/control, sisu-pdf, additional dependency for cjk pdf,
      latex-cjk-all
    * consider refining later
  * [bfda64c] debian/rules, add compression override for Rakefiles

 -- Ralph Amissah <ralph@amissah.com>  Sun, 22 Sep 2013 21:37:37 -0400

sisu (4.2.4-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [3e13a7d] v4 v5: version & changelog
  * [220c63e] v4 v5: minor cleaning
  * [6a8a7c3] v4: dal, objects, store book index as hash (simplify downstream
      processing)
    * merge v5
    * db, book index, convert hash back to string (associated downstream
      processing change)
  * [235f83d] v4 v5: i18n CJK: zh ja ko, add languages Chinese, Japanese, Korean
    * texpdf, has large texlive xetex dependencies (Korean untested)
  * [1b89f37] sisu_manual, move to en/ sub-dir (permitting translations)
    * use of language sub-dir for source sisu markup suited to permitting
      translation management by po4a
  * [d7b7c01] sisu_manual, sisurc*.yml minor
  * [5a78c51] Rakefile to assist in placing sisu markup under po4a management
      (sisu_manual)
    * Provided as an example with sisu_manual
    * fairly generic, but potentially dangerous, can be used to place sisu
      markup source translations under po4a management, but user needs to know
      what this is, (and how to set it up, hence sisu_manual as an example
      (despite the lack of translations)) as can clobber/destroy files that are
      not managed by po4a.  * [a1b56d4] debian/control update: description;
      depends (sisu-pdf:CJK); recommends; suggests
    * update description of sisu
    * sisu-pdf, add Depends: texlive-lang-cjk
      * for CJK (zh ja ko), large texlive xetex dependency
    * sisu, add Recommends: rake, po4a
    * sisu, add Suggests: poedit
  * [520cd27] debian/sisu.NEWS.Debian, note on addition of CJK

 -- Ralph Amissah <ralph@amissah.com>  Sat, 21 Sep 2013 01:07:03 -0400

sisu (4.2.3-2) unstable; urgency=low

  [ Ralph Amissah ]
  * [2874f4f] debian/control, sisu-pdf, Depends fonts-liberation
      (instead of ttf-liberation)
    * ttf-liberation transitional package having been dropped
    * sisu-pdf Depends otherwise substantially the same
      (dependencies rearranged)
    * (Closes: #722403)

 -- Ralph Amissah <ralph@amissah.com>  Tue, 10 Sep 2013 22:35:04 -0400

sisu (4.2.3-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [a7fd6bb] v4 v5: version & changelog
  * [9aeb234] v5: dal, book index, hash key, strip whitespace, a (required) fix
  * [af29258] v5: db, book index, convert hash back to string

 -- Ralph Amissah <ralph@amissah.com>  Sat, 07 Sep 2013 01:50:26 -0400

sisu (4.2.2-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [e9b1f97] v4 v5: version & changelog
  * [d756e90] v4: dal, grouped text with fontface spanning newlines, partial
      solution
    * merged from v5
  * [5561700] v4 v5: dal, book index markup, round delimiters: allow spaces or
      space & newline
    * allow spaces on both sides of delimiters, or a space before & newline
      following a delimiter \s+[:|;](\s+|\n) [else parses as before no spaces]
  * [d711e3f] v4 v5: vim syntax, book index markup, hilight delimeters
  * [6fd6859] v5: dal, objects, store book index as hash (simplify downstream
      processing)

 -- Ralph Amissah <ralph@amissah.com>  Thu, 05 Sep 2013 23:48:24 -0400

sisu (4.2.1-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [25f7b4f] v4 v5: version & changelog
  * [d78a0ec] v4 v5: config files (by filetype & filename) touched
  * [93255d4] v4 v5: manifest, output organised by, info, minor touch
  * [b749d20] v4 v5: vim syntax, sisu.vim, fix typo
    * ocn (object numbering) on, off, text block using "--~#" "---#" "--+#"
  * [d2ad46d] v4 v5: pdf (latex) tables, bugfix (fasttrack)
  * [cd0e55b] v4 v5: odf:odt, footnotes, fix
  * [349169b] v4 v5: dal, text blocks, tuning
  * [3f91286] v5: dal, grouped text with fontface spanning newlines, partial
      solution, test
    * merge into v4 after testing

 -- Ralph Amissah <ralph@amissah.com>  Wed, 28 Aug 2013 18:22:45 -0400

sisu (4.2.0-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [cf11ff3] v4 v5: version & changelog
  * [07de841] v4 v5: css, html, epub, adjust paragraph spacing, aesthetic
    * increase whitespace (between paragraphs)
    * [review spacing (generally) further]
  * [3429989] v5: dal, refine grouped text open and close using tics "```"
  * [0e296eb] v5: dal, improve font face matching within grouped text (other
      than code blocks)
  * [9ccfd45] v4: merge v5, syntax additions, block text related (version bump
      to 4.2.*)
    * syntax add
      * switch ocn off and on for a block of content, line containing only
        off: "--~#" (omit headings where possible) "---#" on: "--+#"
      * alternative open and close for blocks using line starting with "```",
        e.g.
        open code block:  "``` code"; close code block: "```"
        start poem:       "``` poem"; end poem:         "```"
      * remove need for an empty line between opening & closing of a text block
      [ note further refinements will be required;
        use of tildes "~~" considered but more problematic, tics not used
        elsewhere]
  * [c60b34d] v4 v5: vim syntax, sisu.vim, improve grouped text match, for
      blocks using tics
    * syntax additions (introduced for 5.0.12) now relevant also for v4
      * ocn (object numbering) on, off, text block using "--~#" "---#" "--+#"
      * grouped text, open, close of blocks using tics "```"

 -- Ralph Amissah <ralph@amissah.com>  Sun, 25 Aug 2013 01:26:25 -0400

sisu (4.1.12-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [dd40cd8] v4 v5: version & changelog
  * [c3a5315] v4 v5: fuchsia (sp.)
  * [bd4e38f] v4 v5: rescued error messages
  * [84ff66b] v4 v5: terminal message, code marker
  * [386233f] v5: markup syntax add: switch ocn (object numbering) off & on for
      content block
    * switch ocn off & on for a block of content, line containing only
      off: "--~#" (omit headings where possible) "---#" on: "--+#"
  * [27cce87] v5: alternative open and close for blocks using line starting with
      "```"
    * e.g.
      open code block:  "``` code"
      close code block: "```"
      start poem:       "``` poem"
      end poem:         "```"
    * remove need for an empty line between opening & closing of a text block
  * [750c6c5] v5: vim syntax additions, sisu.vim
    * ocn (object numbering) on, off, text block using "--~#" "---#" "--+#"
    * grouped text, open, close of blocks using tics "```"

 -- Ralph Amissah <ralph@amissah.com>  Wed, 21 Aug 2013 23:22:57 -0400

sisu (4.1.11-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [4e562dc] v4 v5: version & changelog
  * [fa54455] v4 v5: dal_expand_insertions, refinement for monolingual output

 -- Ralph Amissah <ralph@amissah.com>  Thu, 08 Aug 2013 18:52:45 -0400

sisu (4.1.10-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [584eb5c] v4 v5: version & changelog
  * [bab4ecc] v5: output structure by, multilingual, monolingual filenames tweak
  * [2635b72] v4: merge v5 lib (5.0.10)
    * output structure by, add monolingual alt for :filetype & :filename, step 1
    * output structure by, monolingual alternative for :filetype or :filename
       without language code, if document is in default language
      * set a default language, 'en' or as specified
      * set in rc file or from command line instruction
        * command line e.g.
          sisu -hv --monolingual --by-filename sisu_markup.sst
          sisu -3v --monolingual --by-filetype sisu_manual.ssm
        * sisurc.yml lingual: 'mono' | 'multi' lingual: 'mono'
      * note: output by :filetype is roughly equivalent to what monolingual
        output by :language would be
      * allow command line setting of default language using language code
        --default-language='en' --default-lang-en if used together with
        --monolingual and --by-filetype or --by-filename the selected default
        language document will not have a language code in the output filename
    * output structure by, monolingual alternative, documentation
    * cgi helper script, sample search form, single form, monolingual option
      * single cgi form, (with different internal variables set for output
        types)

 -- Ralph Amissah <ralph@amissah.com>  Thu, 08 Aug 2013 00:27:08 -0400

sisu (4.1.9-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [82e74ee] v4 v5: version & changelog
  * [80bec6e] v5: output structure by :filename or :filetype, default
      multilingual, fix
  * [9c29e3c] v5: concordance, fix

 -- Ralph Amissah <ralph@amissah.com>  Thu, 01 Aug 2013 18:28:45 -0400

sisu (4.1.8-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [864e90c] v4 v5: version & changelog
  * [74c5828] v4 (v5): misc, minor
  * [363a1c7] v5: output structure by, add monolingual alt for :filetype &
      :filename, step 1
  * [3e58296] v5: output structure by, monolingual alternative for :filetype or
      :filename
    * filename without language code, if document is in default language
    * set a default language, 'en' or as specified
    * set in rc file or from command line instruction
      * command line e.g.
        sisu -hv --monolingual --by-filename sisu_markup.sst
        sisu -3v --monolingual --by-filetype sisu_manual.ssm
      * sisurc.yml lingual: 'mono' | 'multi'
        lingual: 'mono'
    * note: output by :filetype is roughly equivalent to what monolingual output
      by :language would be
    * allow command line setting of default language using language code
      --default-language='en' --default-lang-en if used together with
      --monolingual and --by-filetype or --by-filename the selected default
      language document will not have a language code in the output filename
  * [9dffba2] v5: output structure by, monolingual alternative, documentation
  * [9e8a84f] v5: cgi helper script, sample search form, single form,
      monolingual option
    * single cgi form, (with different internal variables set for output types)
    * monolingual output search form option

 -- Ralph Amissah <ralph@amissah.com>  Tue, 30 Jul 2013 21:42:50 -0400

sisu (4.1.7-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [d308814] v4 v5: version & changelog
  * [2cf222a] v4 v5: "general code cleaning" fix

 -- Ralph Amissah <ralph@amissah.com>  Tue, 25 Jun 2013 23:14:20 -0400

sisu (4.1.6-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [251df33] v4 v5: version & changelog
  * [335008e] v5: "general code cleaning" fix
  * [c25fc27] v4: general code cleaning, sync with v5

 -- Ralph Amissah <ralph@amissah.com>  Tue, 25 Jun 2013 00:11:36 -0400

sisu (4.1.5-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [d58a2cb] v4 v5: version & changelog
  * [bce2dc3] vim colorscheme def, mark current line
  * [1e64877] vim, ftplugin sisu.vim, c-\ hard wrap lines to line width
      (moved from c-j)
  * [f31e286] v5: general code cleaning
    * propagate back to v4 after testing

 -- Ralph Amissah <ralph@amissah.com>  Sat, 22 Jun 2013 01:18:24 -0400

sisu (4.1.4-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [5c1d86c] v4 v5: version & changelog
  * [5331c08] v4 v5: db, population of database (--update), import of master
      files (.ssm), fix
    * (Note: for .ssm: @md.fns (is set during runtime & is) != @opt.fns
      @md.opt.fns, affects construction of unique identifier)
  * [152d995] v4 v5: sysenv, requested load warning removed, less screen clutter
  * [f502a17] v4 v5: cgi, cosmetic, drop use of images in sample form
  * [13f66fe] v4 v5: cgi helper script, sample search form generator, file name
      matching

 -- Ralph Amissah <ralph@amissah.com>  Thu, 06 Jun 2013 21:34:25 -0400

sisu (4.1.3-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [f0a14b7] v4 v5: version & changelog
  * [462a53a] v4 v5: sysenv, pgsql db connect fix
  * [9f4d9a3] v4 v5: cgi_pgsql, cgi helper script sample search form generator,
      detail

 -- Ralph Amissah <ralph@amissah.com>  Thu, 30 May 2013 23:12:02 -0400

sisu (4.1.2-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [6ebe681] v4 v5: version & changelog
  * [9ac9918] v4 v5: help, interactive help, out of date, removed
    * sysenv, version info moved here from interactive help
  * [25e9f4f] v4 v5: document version check, disable
    * automatic check disabled
    * check and correction of pre 0.38 markup removed
  * [d8369e7] v4 v5: cgi helper script, sample search form generator,
      adjust/improve
    * adds settings
      * db type                         --db-pq or db-sqlite
      * webserver for cgi script & db   --webserv-search=''
      * webserver for sisu ouptut files --webserv-output=''
      * cgi search form link name       --cgi-search-form-name=''
      * db user (pg)                    --db-user=''
  * [4adb525] v4 v5: help, documentation update, concentrate on man pages
    * documentation, manpage update
    * interactive help, out of date, removed

 -- Ralph Amissah <ralph@amissah.com>  Wed, 29 May 2013 21:27:16 -0400

sisu (4.1.1-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [e6100eb] v4 v5: version & changelog
  * [1becc7c] CHANGELOG version minor cleaning, redundant
  * [e101d59] vim, ftplugin, sisu.vim, statusline
  * [4460d0b] v4 v5: cgi script for sample search form generator, sqlite, minor
      fixes
    * affects 'sisu -F' (repairs breakage)

 -- Ralph Amissah <ralph@amissah.com>  Sun, 19 May 2013 00:37:35 -0400

sisu (4.1.0-2) unstable; urgency=low

  [ Ralph Amissah ]
  * [3c05864] debian/control, Priority optional, revert, seek to have ruby db
      drivers optional
    * Priority optional unchanged:
      * sisu
      * sisu-pdf, extra depends on: ttf-liberation, resolve issue later,
        if necessary use another font
      * sisu-postgresql, extra depends on libdbi-ruby1.9.1 & libdbd-pg-ruby1.9.1
      * sisu-sqlite, extra depends on libdbi-ruby1.9.1, libsqlite3-ruby1.9.1 &
        libdbd-sqlite3-ruby1.9.1
      * sisu-complete, extra depends on: sisu-postgresql & sisu-sqlite
    * seek to persuade that ruby db drivers should be optional to match ruby and
      the databases (postgresql & sqlite); else developers using priority
      optional database and priority optional ruby by the use of ruby drivers to
      access database are obliged to develop for priority extra, seek a fix (so
      as to remove this suboptimal default predicament).

 -- Ralph Amissah <ralph@amissah.com>  Sun, 12 May 2013 22:10:05 -0400

sisu (4.1.0-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [076c95c] v4: version & changelog
  * [2b38802] v4: defaults, sysenv, simplify default home page (not used by
      default)
  * [ffe139e] v4: cgi script for sample search form, minor fixes
  * [879a4e6] v5 dev branch opened (starts as copy of v4 stable branch);
      v3 branch closed
    * 5.0.0 dev opened
    * 4.1.0 stable
    * 3.* branch gone
  * [53bda2c] debian/bin/sisu, follow bin/sisu (changes)
  * [3912020] debian/sisu.install, debian/sisu.manpages, follow branch & dir
      changes
  * [0a47d48] debian/control, Priority changes, dependency issues some packages
      moved to extra
    * Priority extra for now as have dependencies on other extra packages
      * sisu-postgresql, extra depends on libdbi-ruby1.9.1 & libdbd-pg-ruby1.9.1
      * sisu-sqlite, extra depends on libdbi-ruby1.9.1, libsqlite3-ruby1.9.1 &
        libdbd-sqlite3-ruby1.9.1
      * sisu-complete, extra depends on: sisu-postgresql & sisu-sqlite
      move back to optional should these issues ever be resolved
    * Priority optional unchanged for:
      * sisu
      * sisu-pdf, extra depends on: ttf-liberation
        kept as optional, resolve issue later, if necessary use another font
    * NOTE: ideally all parts should be Priority optional; ruby db drivers
      should almost certainly be optional to match ruby and the databases
      (postgresql & sqlite); seek a fix (so as to remove this suboptimal default
      predicament).
  * [38806a2] debian/sisu.lintian-overrides, take account of branch & dir
      changes
  * [b6263df] debian/sisu.NEWS.Debian news on opening of v5 & closing of v3

 -- Ralph Amissah <ralph@amissah.com>  Sat, 11 May 2013 21:58:01 -0400

sisu (4.0.21-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * congratulations Debian on Wheezy
  * [4c53032] v4: version & changelog
  * [4b97aba] v4: minor sysenv, cgi_sql_common

 -- Ralph Amissah <ralph@amissah.com>  Mon, 06 May 2013 19:37:19 -0400

sisu (4.0.20-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [00566b3] v4: version & changelog
  * [954c48d] v4: sisurc.yml, reorganize configuration files
  * [e626600] v4: cgi sample search form, minor

 -- Ralph Amissah <ralph@amissah.com>  Thu, 11 Apr 2013 21:12:10 -0400

sisu (4.0.19-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [4542c1f] v4: version & changelog
  * [73f6919] v4 v3: CHANGELOGs note on future closing of v3 & addendum to
      [71e8f19] in 4.0.18
    * CHANGELOG_v3, v3 branch to be closed on opening of 4.1.* branch, imminent
    * CHANGELOG_v4, re-characterize/correct commit [71e8f19] in 4.0.18 as it
      also fixes a persistent bug with manifest and should be:
      * v4: dal, reading/processing of composite markup files (.ssm)
        * dbi, import composite files correctly
        * manifest, mini-table of contents, for multi-lingual composite files
      was/is: v4: dbi, import composite files (.ssm) correctly
  * [48ef624] v4: sysenv, yamlrc cosmetic
  * [4b1d0dd] v4: options, exclude manifest links if no manifest (--no-manifest)
      selected
  * [d2a0dcb] v4: zap, delete output files, based on given (existing) source
      file name
  * [769e79c] v4: version & changelog, dates touched

 -- Ralph Amissah <ralph@amissah.com>  Mon, 08 Apr 2013 20:06:30 -0400

sisu (4.0.18-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [301cf2c] v4: version & changelog
  * [ec23cce] v4: dal, screen_text_color, distinguish doc abstraction, as start
      of processing
  * [71e8f19] v4: dbi, import composite files (.ssm) correctly
  * [1a21bfd] v4: cgi, auto-generated sample search form
    * for various sisu output directory structures
    * fixes
  * [5d08743] v4: version & changelog, dates touched

 -- Ralph Amissah <ralph@amissah.com>  Fri, 29 Mar 2013 21:48:40 -0400

sisu (4.0.17-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [e470286] v4: version & changelog
  * [b2a1d9c] v4: manifest & harvest, links to default site home page index.html
  * [e6855a2] v4: sysenv, copy or create homepages, one of the actions taken on
      --config
    * provide info as to where manually created homepages may be stored
    * do not make default sisu homepage (previously did)
  * [745ce4e] v4: param, guard against situation where no document
      creator/author given
  * [9729a8c] v4: hub, non-verbose terminal info reduced, minor
  * [15eb564] v4: version & changelog, dates touched

 -- Ralph Amissah <ralph@amissah.com>  Mon, 25 Mar 2013 23:08:15 -0400

sisu (4.0.16-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [dc85281] v4: version & changelog
  * [3156fe4] v4: hub, processing flow, sequence, fix
    * re-run manifests at end of general processing run:
      * where document source shared and more than one markup file processed;
      * where translations of same document exist (determined by filename)
  * [9c67621] v4: sysenv, epub images where processing multilingual doc in lang
      code sub-dir

 -- Ralph Amissah <ralph@amissah.com>  Mon, 18 Mar 2013 21:41:32 -0400

sisu (4.0.15-1) experimental; urgency=low

  [ Ralph Amissah ]
  * [79b7540] v4: version & changelog
  * [c4a842f] v4: share document source, markup text file &/or sisupod
    * processing flow, correct sequence
    * terminal reporting

 -- Ralph Amissah <ralph@amissah.com>  Mon, 18 Mar 2013 00:14:58 -0400

sisu (4.0.14-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [787674e] v4: version & changelog
  * [e5d6209] v4: harvest, authors, topics, terminal info
  * [13143b5] v4: harvest, links for output_by? filename
  * [f8820c2] v4: manifest, links for output_by? alternatives, harvest & qrcode
      related
  * [6d1eeba] v4: sysenv, rsync remote placement, output_by? alternatives,
      tuning
    * site harvest
    * pdf fix
    * backround rsync only for processing of single sisu markup files
  * [f70ecf5] v4: version & changelog, dates touched

 -- Ralph Amissah <ralph@amissah.com>  Sat, 16 Mar 2013 20:30:26 -0400

sisu (4.0.13-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [05cf1f8] v4: version & changelog
  * [280d46e] v4: html_format, manifest red arrow, next (segment), (broken) link
      fix, to toc
  * [79ebe46] v4: terminal reporting, cosmetic
  * [f88fb6e] v4: manifest, link to harvest authors & topics if available, else
      cosmeitc
  * [0f85875] v4: hub, sysenv, remote, work on rsync of document/site build
  * [0e87ea1] v4: hub, sql db, fix for actions not requiring files, create,
      drop, etc.
  * [f9cb4b0] v4: version & changelog, dates touched

 -- Ralph Amissah <ralph@amissah.com>  Wed, 13 Mar 2013 22:13:55 -0400

sisu (4.0.12-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [d172907] v4: version & changelog
  * [c6d43f0] v4: share_src, sisu source, permissions, make world readable when
      shared
  * [5ca9a5a] v4: manifest, sysenv, manifests sisupod relative link for
      output_by language
  * [2f0fb40] v4: bin/sisu, process remote sisu markup file or sisupod, where
      url provided
  * [5d7e44a] v4: hub, operations, report on absent markup file, if needed by
      requested action
  * [7c083c2] v4: sysenv, cosmetic, minor
  * [5fc0b66] v4: version & changelog, dates touched
  * [fc45279] debian/bin/sisu, follow bin/sisu (changes)

 -- Ralph Amissah <ralph@amissah.com>  Fri, 08 Mar 2013 20:57:11 -0500

sisu (4.0.11-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [8c50389] v4: version & changelog
  * [0b047c0] v4: bin/sisu, expand given path for sisu executable
    * where system sisu not called directly
  * [f949d5f] v4: sysenv, base images path determined from given path for sisu
      executable
    * where system sisu not called directly
  * [8b8f2e9] v4: options, sisupod, name determination, fix
    * needed for creation of multiple sisupods
  * [7725af7] v4: html_format, html segment navigation to toc, fix
  * [f647bdc] v4: emacs, sisu-mode.el, version touch
  * [29a35ec] debian/bin/sisu, follow bin/sisu (changes)

 -- Ralph Amissah <ralph@amissah.com>  Wed, 06 Mar 2013 18:33:13 -0500

sisu (4.0.10-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [f288e2f] v4: version & changelog
  * [27bd56a] v4: texpdf, report to STDERR when pdf not generated
      (Closes: #617359)
    * note: .tex file is almost certainly produced by sisu, this will be a sisu
      packaging, texlive dependency issue, preventing its conversion to pdf
  * [4dd30e8] v4: sysenv, set default output (directory layout) type where none
      configured
    * (also turned off reporting where imagemagick & graphicsmagick not
      installed)
  * [839f037] v4: html, epub, minor "cleaning" of output
  * [4e9f3f2] debian/control, sisu-pdf needs texlive-generic-recommended

 -- Ralph Amissah <ralph@amissah.com>  Tue, 05 Mar 2013 21:52:42 -0500

sisu (4.0.9-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [b097acb] v4: version & changelog
  * [9916bc2] v4: dal, markup: line across page divider -..- introduced
    * an alternative to page breaks -\\- & =\\=, significantly affects pdf & odf
    * output formats modified to include (pdf, odf, epub, html, plaintext)
  * [5d116fe] v4: vim syntax, sisu.vim
  * [90ab101] v4: emacs, sisu-mode.el
  * [f6f8918] v4: documentation, sisu markup (sisu_markup.sst, man page sisu.1,
      sisu.1.html)

 -- Ralph Amissah <ralph@amissah.com>  Fri, 22 Feb 2013 21:49:45 -0500

sisu (4.0.8-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [a48ee87] v4 (v3): version & changelog
  * [d2fa6da] v4 (v3): cosmetic, minor code shuffle, & remove trailing
      white-spaces
  * [c312b7d] v4 (v3): vim, ftplugin & colorschemes housekeeping, scheme "def*"
      added
    * :colorscheme def256* defined from 256 colors (primarily 16 of them),
      terminal & gui (identical) (terminal scheme based on frugal & extended to
      cover gui)
    * :colorscheme def* cterm defined primarily using 16 colors (a few from 256)
      (to be usable tweak .Xdefaults) gui provided along with Xdefault settings
      to make cterm match this gui or def256*
    * sisu.vim ftplugin pruning
  * [92a292a] v4: emacs, sisu-mode.el, sisu headers update, & cosmetic code
      reshuffle
  * [3910ef3] b_epub.png, epub icon (for manifest) updated to use official image
  * [9b67ec9] v4 (v3): epub, tinkering with headers & cleaning of angle brackets
      '<' & '>'
  * [32a0e39] v4 (v3): html, modification to markup of angle brackets [<>] &
      ampersand [&]
  * [ca69bdd] v4 (v3): version & changelog, dates touched

 -- Ralph Amissah <ralph@amissah.com>  Wed, 20 Feb 2013 22:31:05 -0500

sisu (4.0.7-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [ed08c2b] v4 (v3): version & changelog
  * [2f8254f] v4 (v3): dbi_discrete, discreet should have been discrete, renames
     accordingly
  * [c87da88] v4 (v3): vim, minimal color schemes, minor edits
  * [70570e9] v4 (v3): lib, bin/sisu, misc, code headers provide url to online
      git file source
    * e.g. bin/sisu header * Git
      <http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=summary>
      <http://sources.sisudoc.org/?p=code/sisu.git;a=blob;f=bin/sisu;hb=HEAD>
  * [2b962c9] debian/bin/sisu, code header, added url to online git file source

 -- Ralph Amissah <ralph@amissah.com>  Sun, 10 Feb 2013 19:08:47 -0500

sisu (4.0.6-2) experimental; urgency=low

  [ Ralph Amissah ]
  * [c199fab] debian/bin/sisu to match bin/sisu, only ruby shebang should
      differ, fix
    * [this should fix errant behavior of code spotted and reported by chals to
       sisu@lists.sisudoc.org
       <http://lists.sisudoc.org/pipermail/sisu/2013-February/000569.html>]

 -- Ralph Amissah <ralph@amissah.com>  Fri, 08 Feb 2013 21:54:28 -0500

sisu (4.0.6-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [6896a4a] v4 (v3): version & changelog
  * [5b0d2c1] v4: html, screen reporting for --html-scroll, correctly identify
      output file
  * [cd01cd7] v4 (v3): utils (debug renamed), SiSU_Utils::CodeMarker
      (from Debug::Mark)
  * [9729605] v4: utils, SiSU_Utils::Path.new.base_markup provides base markup
      directory
    * base markup directory contains sisu markup files, any language
      sub-directories (with sisu markup files) and sisu resource configuration
      sub-directory, if any (./_sisu) (identifies when needed in runtime)
  * [83a88c7] v4: sysenv, webserv dir (output dir), ensure is determined from
      base markup dir
    * where relative path provided (remove possibility of path expansion being
      done
      from a language sub-directory), fix
  * [1803ceb] v4: texpdf, cosmetic code
  * [3d16556] v4: pdf (texpdf, options, hub, urls) orientation discrete,
      individually callable
  * [bf57f03] v4: options, param, pdf papersize, command-line options to
      override sisurc
  * [75dc380] v4: options, for pdf, concentrate & simplify matching of
      orientation & papersize
  * [e68a2c0] v4: documentation, sisu_manual/sisu_commands, manpage & html
  * [ad6bcd2] v4: version & changelog, dates touched

 -- Ralph Amissah <ralph@amissah.com>  Thu, 07 Feb 2013 19:12:55 -0500

sisu (4.0.5-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [7231c90] v4 (v3): version & changelog
  * [3c26df4] v4 (v3): sysenv, on --redirect, stop creation of redundant dir
  * [7d29da1] v4 (v3): html, includes book index fix, rest cosmetic
  * [f18b892] v4 (v3): css (html & epub) line spacing reduced, paragraph spacing
      increased
    * may need to tune spacing further to distinguish lines from new paragraphs
      (especially where ocn is not used as the distinction may be less
      clear/obvious)
  * [9f27865] v4: html (urls), scroll & seg optionally discrete, individually
      callable
    * --html (both), --html-scroll, --html-seg
    * [possibly of interest where only one form of html of interest for use &/or
      to cut generation time (roughly to 63% for --html-scroll only)]
  * [0506d0a] v4: documentation, include --html-scroll and --html-seg options
    * sisu_manual/sisu_commands
    * manpage & html
  * [6b1f7a0] debian/watch ignore .orig

 -- Ralph Amissah <ralph@amissah.com>  Mon, 04 Feb 2013 00:32:54 -0500

sisu (4.0.4-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [02393c1] v4 (v3): version & changelog
  * [c0f656c] v4: param_make, :cover_image: regex, less finicky match of image &
      details
    * [bug reported by Mikael Böök]
  * [d335e11] v4 v3: dal, on ocn excluded paragraphs (~# -#), hang/indent
      bullet, fix
    * [bug reported indirectly by Cory Doctorow (discovered in work with
      markup)]
  * [8fe3657] v4: epub, constants, debug alternative for various readers ...
      work on
  * [fb6abb0] v4 v3: dal (obj), html, br_page* behavior in html depending on
      origin of break
    * markup specified v auto
  * [1976c5e] v4 (v3): version & changelog, dates touched

 -- Ralph Amissah <ralph@amissah.com>  Thu, 31 Jan 2013 21:42:16 -0500

sisu (4.0.3-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [d39c54c] v4 (v3): 4.0.3 (3.3.6) version & changelog
  * [2e17db8] v4 v3: remove markup-sample, first edition of FaiF
    * redundant here as 2nd edition (which is a similar type of text) is
      available
    * Bug#698664 leads me to think about it
  free_as_in_freedom.richard_stallman_crusade_for_free_software.sam_williams.sst
      & associated files (images & v3 "skin"), removed
  * [46b067a] v4 v3: epub, toc.ncx fix, navpoint_close
  * [11907e1] v4: check xml representation of characters (& < > in particular)
  * [65b6e76] v4 (v3): version & changelog, dates touched
  * [26f82ed] debian/copyright, removed reference to removed markup-sample,
      FaiF 1st ed.

 -- Ralph Amissah <ralph@amissah.com>  Sun, 27 Jan 2013 16:49:35 -0500

sisu (4.0.2-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [74e8462]  v4 (v3): 4.0.2 (3.3.5) version & changelog
  * [ad3483a] v4 v3: texpdf_format, list of .sty files (& their texlive source
      within Debian)
    * not part of code (relevant for packaging)
  * [7363e25] v4 v3: param, match possible sisu versions, detail
  * [6bc96aa]  v4: sysenv, debug tag, triggered where output type not set
  * [edbb402] v4 v3: dal_doc_objects, cosmetic, code arrangement, minor
  * [dc62435] v4 v3: epub_tune html_tune, remove unnecessary conversion of some
      utf-8 chars
    * epub, fix, messed up table of contents, toc.ncx
      [bug reported by Mikael Böök]
  * [6270144] v4 v3: epub_format, cosmetic arrangement of code <<-WOK
  * [7cc6d87] v4 v3: xhtml structure error, fix missing </div>
    * [bug reported by Mikael Böök]
    * fix of additional detail
  * [ff824c5] v4 v3: epub, epub_format, provide full depth epub table of
      contents
    * [request Mikael Böök]

 -- Ralph Amissah <ralph@amissah.com>  Thu, 24 Jan 2013 20:50:22 -0500

sisu (4.0.1-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [607db61] v4 (v3): 4.0.1 (3.3.4) new branch & version & changelog "opened"
  * [6998914] v4 v3: debug (internal code use), color markers for line number &
      file name
    * colored location markers to show when line passed within running code
  * [a4e463e] v4: sisu: --color flag, which toggles color on/off
      (Closes: #622171)
    * the fix here is specific to color on/off for reporting of sisu version
      * sisu --version --color-off || sisu -v -k || sisu -kv
    * there are various ways to control color output to screen
      * --color-off or -k switches color off
      * --color or --color-on switches color on, which is usually the default
      * --color-toggle or -c toggles the default setting (in most cases)
      * sisurc.yml can set default color state which affects most screen output
  * [e791dbb] v4 v3: largely cosmetic
  * [3d4f38a] v4: bin/sisu sysenv, rc_path_options, provide fixed path to rc
      files
    * added $sisu_document_markup_directory_base_fixed_path
    * needed to read right sisurc.yml & sisu_document_make
  * [577f1ef] v4 v3: html_segments (by_filename by_filetype) broken internal doc
      links fixed
    *  filenames need to include lang code
    *  [chals on irc, re live-manual, debian-live]
  * [e92c862] v4 v3: param, minor change any legacy <br> line break in metadata
      markup to \\
  * [0788fab] v4: options, sysenv, check (existing) inclusions & exclusions,
      fixes
    * command line, document header, sisurc
  * [c9898a0] v4 v3: plaintext, in code blocks retain a blank empty line, a fix
    * [known old bug, affects sisu_manual, fix request from SynrG on irc, re
      live-manual]
  * [a757467] v4 v3: manpage, attempt to improve output (line-spacing)
  * [780c527] v4: documentation, sisu.1 manpage & minor
  * [7f0d827] date 2013: version & changelog; headers bin/sisu & lib/; code
      constants.rb
  * [0d069e1] debian/control update standards-version; remove obsolete
      dm-upload-allowed
    * updated: "Standards Version: 3.9.4"
    * removed: obsolete "XS-Dm-Upload-Allowed: yes"

 -- Ralph Amissah <ralph@amissah.com>  Sat, 05 Jan 2013 22:05:10 -0500

sisu (4.0.0-1) experimental; urgency=low

  [ Ralph Amissah ]
  * uploaded to experimental due to Debian freeze for Wheezy
  * [804a103] v4: 4.0.0 new branch & version & changelog "opened"
  * [ac4a6aa] v4: bin/sisu $0, make possible to run sisu command on/within
      project dir tree
    * (previously sisu needed to be correctly installed with system paths
      honored)
    * NOTE: loading of skins turned off
  * [f6bc7d8] v4: bin/sisu $*, hub, make possible to specify dir path for markup
       files
    * bin/sisu4 & bin/sisu3 now syslinks to bin/sisu
  * [bb3101d] v4: defaults, some cleaning
  * [2099cce] v4: skins, remove
    * remove skins
    * defaults, rename class Defaults (was InfoSkin)
    * sisupod, remove skin
    * db
      * no skin info to store, omitted from structure
      * change prefix name (structure changed)
  * [e51589f] v4 (&v3): markup samples, for v4 remove skins, separate (v3 & v4)
      directories
  * [7456ed5] v4: param (header make), epub, pdf, book cover images
  * [6503337] v4: param (header make), html, home button: text button;
      image/icon button
  * [c041ea2] v4: param (header make), pdf, footer
  * [f38a645] v4: param, common independent document @make: header file
    * ./_sisu/v4/sisu_document_make
    * contains @make: header
    * can contain @links: header
      * @links:+ append links
      * @links: default, overwritten if document contains links
  * [60149df] v4: sisupod, use common make instruction header for documents
    * sisupod make instruction header file, write & read
    * sisu config file names placed in constants
  * [b147bcd] v4: document headers, metadata rearranged, wide-ranging effect
  * [7500ecc] v4: vim syntax, sisu.vim, make, new headers
  * [eae9bb9] v4: documentation; markup samples & help
  * [a75d469] v4: 4.0.0 version & changelog, dates touched
  * [40d792e] debian/bin/sisu update sisu & clean/remove extra files
  * [f338966] debian/data markup-samples removed, usable but better off looking
      at live-manual
  * [fec02c8] debian/sisu.install & debian/sisu.manpages update for v4
  * [41893a7] debian/sisu.lintian-overrides update for v4 (remove v2 references)
  * ---
  * [5d591dd] sisu (3.3.3-1)
  * [cbe9698] sha256 (3.3.2)
  * [c2f44d3] v3: 3.3.3 version & changelog "opened"
  * [1d40176] v3: constants, year static (current): YEAR=2012
  * [8f9076f] v3: sisu -v, provide version information, fix
  * [b469460] v3: bin/sisu, hub, reorganize call
  * [662cd26] v3: some pre-unicode meddling sorted
    * covers bug reported as middle dot changed to asterisk by chals
  * [dd13f63] v3: dbi, pgsql, report need for instructions when none given
  * [2ea56a4] v3: sisupod source, paths fix
  * [7856672] v3: options, opt_act, limit calls
    * ruby profiler indicates much time spent here, reduce
  * [f90e9b2] v3: pdflatex, landscape cover page was botched, came out as
      portrait, fix
  * [d96753b] v3: texpdf fixes
    * group text, bullet
    * group text, hardspaces at start of line (indent)
    * group text, pass through special characters safe
    * poem, bold etc.
  * [e5fe055] v3: html, epub, group text, bullet, fix
  * [ef4da2e] v3: dal_syntax, new syntax: =\\= page new & -\\- page break
    * alias for <:pn> and <:pb> respectively
  * [b553ca8] v3: vim syntax, sisu.vim, =\\= page new & -\\- page break
  * [58c13f4] v3: odf, internal links/bookmarks, toc, book index
  * [ad6cf3c] v3: vim, ftplugin/sisu.vim
    * linenumbering: on; relative; off, <leader>nn
    * cursor line & column: on; off, <leader>cu (existing cu+ & cu-)
  * [7d4665f] v3: cosmetic code, true ? x : y
  * [02cc96f] v3: cosmetic code, if, else, remove some semicolons (;) replace
      with newlines
  * [32d32bf] v3: cosmetic code, if true ; x, remove semicolons replace with
      "then"
  * [6b2c447] v3: cosmetic code, .is_a?(X) replaces .class==X (& some defined? &
      nil? tests)
  * [5e1bcfb] v3: cosmetic code, remove javascript holders js_ (not used)
  * [d98f270] v3: some fixes, cleaning, removing
  * [52e870e] v3: dal, sysenv, file processing, split objects; remove ref to old
      ruby
    * markup file processing, change to sourcefile readlines & split of
      sourcefile array
    * removal of RUBY_VERSION references to older versions of ruby
  * [d6ef30b] v3: header @classify: :topic_register: provide greater
      classification "depth"
    * param, manifest
    * harvest_topics
  * [8e40c8f] v3: db, book_idx field & minor re-arrangement
  * [610573c] v3: cgi search script, minor
  * [78b7033] v3: markup samples, and help, minor updates
  * [f08ab38] v3: 3.3.3 version & changelog, dates touched

 -- Ralph Amissah <ralph@amissah.com>  Wed, 12 Dec 2012 15:54:43 -0500

sisu (3.3.2-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [22a2200] sha256 (3.3.1)
  * [6c8cd33] v3: 3.3.2 version & changelog "opened"
  * [a1a1c16] v3: texpdf, xetex screen reporting of warnings off unless
      sisu -pV used
  * [6158b22] debian/rules debian/source/options use xz compression instead of
      gzip

 -- Ralph Amissah <ralph@amissah.com>  Sat, 30 Jun 2012 00:47:28 -0400

sisu (3.3.1-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [7e27b55] sha256 (3.3.0)
  * [1de02aa] v3: 3.3.1 version & changelog "opened"
  * [ffb9960] v3: hub, some re-arrangement
  * [55e1f9c] v3: texpdf_format, urls in headings break pdf documents, fix
    * e.g. output generation of document sample gpl.fsf.sst pdf fixed
  * [990bafc] v3: sysenv, rsync put (post to remote site), fix, needs
      comprehensive check
    * broken since version 3 (did not cope with alternative output structures,
      initial fix
    * still broken:
      * rsync get (sisu source);
      * scp put & scp get)

 -- Ralph Amissah <ralph@amissah.com>  Sat, 23 Jun 2012 02:15:47 -0400

sisu (3.3.0-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [0cda363] sha256 (3.2.12)
  * [12adefb] v3: 3.3.0 version & changelog "opened"
  * [fed01af] v3: shared_sisupod_source, common build for sisu (markup) source
      representations
    * to be used by sisupod.txz, git, (and src)
      * sisupod_make (--sisupod)
      * share_source (--source)
      NOTE not used git at present
    * changed representation of shared sisu source, include related files in
      directory rather than just markup file [reason for version bump]
      NOTE there are no changes to sisu markup (only the sharing of source
      files)

 -- Ralph Amissah <ralph@amissah.com>  Sun, 17 Jun 2012 22:55:34 -0400

sisu (3.2.12-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [64bd821] sha256 (3.2.11)
  * [0919395] v3: 3.2.12 version & changelog "opened"
  * [b5323c8] Rake, Rant sisu installer require ruby >= 1.9.3
  * [dd790c7] v3: dbi_discreet, screen reporting db location, fix
  * [6715da8] v3: shared_images, fix
  * [3c8feda] v3: screen reporting, ansi colors, cosmetic
  * [1e089ff] v3: html, excludes (options) --exc-html-top-band, touch
    * html (toc & scroll), (html_segments, concordance,) exclude top band
      sisu --exc-top-band --html --concordance filename.sst
  * [7b13cb9] v3: html_segments, @make.build.html_navigation?, fix, (excludes
      --exc-html-)
  * [3ca890e] v3: sysenv, check @md.make.respond_to?(:skin)
  * [c8d6617] v3: hub, post bundles, sisupod_make, file selection selection for
      tar.xz, fix

 -- Ralph Amissah <ralph@amissah.com>  Wed, 06 Jun 2012 23:55:46 -0400

sisu (3.2.11-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [e48ecd9] sha256 (3.2.10)
  * [c3a4d65] v3: 3.2.11 version & changelog "opened"
  * [2cd635d] v3: error & warning messages touched, revisit
  * [33417c5] v3: warn when files to be copied not found, add
  * [9c234e6] v3: urls, sisupod, fix
  * [a887643] v3: manifest, paths, (for command line selection of output type)
      fix
  * [26e5e47] v3: images, regular & sisupod
  * [35e3bca] v3: images, copy (system link removed)

 -- Ralph Amissah <ralph@amissah.com>  Sun, 03 Jun 2012 22:33:49 -0400

sisu (3.2.10-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [220350d] sha256 (3.2.9)
  * [8cc2ed9] v3: 3.2.10 version & changelog "opened"
  * [965fe1f] v3: code headers mainly copyright
  * [308733d] debian/bin: code headers mainly copyright
  * [23a9053] v3: hub, "requires", fix
  * [6e6602f] v3: options, --init-site, --configure, fix
  * [ba278b9] v3: options, command line control of output directory structure
    * --output-by-language; --output-by-filetype; --output-by-filename, or
      --by-language; --by-filetype; --by-filename
  * [3faa85c] v3: documentation update, command line control of output dir
      structure
    * --output-by-language; --output-by-filetype; --output-by-filename, or
      --by-language; --by-filetype; --by-filename
    * sisu_commands.ssi, manpage sisu.1, man2html
  * [a8493b2] v3: css, ensure css available for generated content
    * checks whether exists if not copies (for --init-site / --configure just
      copies, takes as a re-copy request)
  * [38e85cc] v3: hub, manifest re-run where related multilingual documents, fix
    * BUG breaks mini table of contents (minitoc) manifest for multilingual
      files,
      better run without manifest minitoc, use --exc-manifest-minitoc
  * [45a35b7] v3: sisupod.txz processing
    * BUG image copying/processing for sisupod
  * [fae668e] v3: hub, share markup source (--source) not available for
      composite files
    * suggest creating a sisupod instead
  * [e8b29c3] v3: html_format, minor cleaning
  * [ef7a5f3] debian/control program "tree" moved to Recommends from Suggests
    * if available and verbose set, used to pre-view sisupod content during its
      creation (--sisupod --verbose)

 -- Ralph Amissah <ralph@amissah.com>  Mon, 28 May 2012 05:45:27 -0400

sisu (3.2.9-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [784eb3f] sha256 (3.2.8)
  * [bd9d05b] v3: 3.2.9 version & changelog "opened"
  * [b26ce9d] v3: harvest, fix some details
    * harvest by filename output paths
    * harvest_topics, add level
    * harvest_topics, alternative headings, fix
  * [8754d67] v3: options, create manifest touched

 -- Ralph Amissah <ralph@amissah.com>  Sat, 19 May 2012 23:27:58 -0400

sisu (3.2.8-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [d13ffd5] sha256 (3.2.7)
  * [0832d42] v3: 3.2.8 version & changelog "opened"
  * [99965a5] v3: rescue & error warnings, more touched
  * [5dace95] v3: reporting, composite file names touched
  * [782e36f] v3: sst_identify_markup, document header SiSU 3.0
    * pretty much as SiSU 2.0, some header additions
    * identification not fully implemented
  * [5fffe95] v3: a few misc fixes
    * options, omissions and typo fix
    * particulars, fix, check
    * shared_metadata, fix
  * [64c7305] v3: hub, fixes, still a construction zone
  * [35825d2] v3: po4a, runs, needs checking
  * [2dee3ab] v3: sisupod make, re-fixed, check again

 -- Ralph Amissah <ralph@amissah.com>  Sat, 12 May 2012 19:30:27 -0400

sisu (3.2.7-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [67b15a4] sha256 (3.2.6)
  * [d52bc28] v3: 3.2.7 version & changelog "opened"
  * [5af7a5e] v3: rescue & error warnings, some touched
  * [da82e36] v3: qrcode, fixes
    * ensure manifest is run
    * urls fix
  * [6c38bed] v3: hub, options, fixes: dbi: pgsql, sqlite

 -- Ralph Amissah <ralph@amissah.com>  Sun, 06 May 2012 23:58:16 -0400

sisu (3.2.6-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [93e1767] sha256 (3.2.5)
  * [712054c] v3: 3.2.6 version & changelog "opened"
  * [aae35fa] v3: harvest (metadata, site/document summary) fixes
    * harvest_topics, sort fix
    * harvest_authors, minor fix
    * sst content parsing lang dir
    * output file location, currently works for (by?) :language & :filetype
  * [714a14f] v3: misc, minor
  * [f297b90] v3: hub (seek finer grained control over what happens when;
      causes breakage)
    * (primarily) cycle files then options (instead of options then files)
    * manifest re-run on (currently generated) translated files if any

 -- Ralph Amissah <ralph@amissah.com>  Tue, 01 May 2012 23:40:04 -0400

sisu (3.2.5-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [554b061] sha256 (3.2.4)
  * [f95eb55] v3: 3.2.5 version & changelog "opened"
  * [173a8be] v3: shared_html_lite, codeblock fix, affecting sql
    * SELECT ocn,body FROM doc_objects WHERE t_is='code';

 -- Ralph Amissah <ralph@amissah.com>  Sun, 22 Apr 2012 13:52:47 -0400

sisu (3.2.4-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [93f30fc] sha256 (3.2.3)
  * [a8b8640] v3: 3.2.4 version & changelog "opened"
  * [06520be] v3: db bugfix in maintenance mode (variable name reused)
  * [5ae11e0] v3: sysenv, default processing dir name change
    * distinguish sisu branch, add sisu branch to processing directory name
    * if constants, 'DEVELOPER[:maintenance] == :true' then additionally add
      sisu version number to processing directory name
  * [d810b3f] v3: rescue reporting

 -- Ralph Amissah <ralph@amissah.com>  Sat, 21 Apr 2012 01:56:49 -0400

sisu (3.2.3-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [9de3fc4] sha256 (3.2.2)
  * [0e9a8b0] v3: 3.2.3 version & changelog "opened"
  * [0013ec9] v3: param, dal_syntax, document header (simple regex)
      substitution list
    * $ and curly braces are escaped (within sisu) to allow the following:
      @make:\n :substitute: /${linux-distro}/,'Debian' /${stable}/,'Squeeze' \
      /${testing}/,'Wheezy'
    * changes are not made within text object types: code-blocks, tables or
      metadata (document headers). Marked up document remains self-referential.
    * Note: the substitution list must be written on a single line, without
      line-breaks.
    * [Substitutions possibility requested by Debian-live, live-manual (Ben
      Armstrong & Daniel Baumann)]
  * [8fefa22] v3: vim syntax highlighting, document header added (@make:)
      :substitute:

 -- Ralph Amissah <ralph@amissah.com>  Sun, 15 Apr 2012 00:40:00 -0400

sisu (3.2.2-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [db578f6] sha256 (3.2.1)
  * [b9d03b2] v3: 3.2.2 version & changelog "opened"
  * [19c9608] v3: sysenv, path.style (a quick fix, review)
  * [6a6c011] v3: urls, reporting, some cleaning
  * [683ca12] v3: sql creation -v reporting reduced
  * [717bc0a] debian/control: sisu-pdf, add texlive-math-extra for
      realscripts.sty

 -- Ralph Amissah <ralph@amissah.com>  Thu, 05 Apr 2012 14:56:17 -0400

sisu (3.2.1-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [9b91ce6] sha256 (3.2.0)
  * [d8beb2f] v3: 3.2.1 version & changelog "opened"
  * [a5873a4] COPYRIGHT add markup samples "Free as in Freedom"
  * [582f1bb] v3: documentation sisu_commands, manpage, html (man2html)
  * [c3393c9] debian/copyright, add markup samples "Free as in Freedom"

 -- Ralph Amissah <ralph@amissah.com>  Wed, 21 Mar 2012 20:01:17 -0400

sisu (3.2.0-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [553f6ba] sha256 (3.1.15)
  * [356854c] sha256 (3.1.15-2)
  * [349975b] v3: 3.2.0 version & changelog "opened"
  * [6811ac9] v3: 3.2 branch is main (v3dv --> v3); dev (v3dv) branch
      directories removed
    * v3dv (3.2) "merged" into v3 (previously 3.1) (& removed)
      * conf/sisu/v3dv --> conf/sisu/v3
      * data/sisu/v3dv --> data/sisu/v3
      * lib/sisu/v3dv  --> lib/sisu/v3
      * bin/sisu* (v3dv references changed to v3)
      * (--dev modifier (superfluous for the time being) runs main v3 branch)
  * [6528dc8] COPYRIGHT, name change using uppercase, format changed
    * content format influenced by Machine-readable debian/copyright file
      <http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/>
  * [8eaab90] debian/bin/sisu* (change v3dv references to v3)
  * [488d0b7] debian/sisu.lintian-overrides remove v3dv
  * [563106f] debian/sisu.install vim related installs, use v3 (rather than v2)
  * [84644d4] debian/copyright format changed
    * content format influenced by Machine-readable debian/copyright file
      <http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/>
  * [32979c6] debian/control debhelper Standards Version: 3.9.3

 -- Ralph Amissah <ralph@amissah.com>  Mon, 19 Mar 2012 22:30:12 -0400

sisu (3.1.15-2) unstable; urgency=medium

  [ Ralph Amissah ]
  * [7fd1f26] debian/bin/sisu* enable (commands on) --dev (v3dv branch)

 -- Ralph Amissah <ralph@amissah.com>  Tue, 13 Mar 2012 22:03:32 -0400

sisu (3.1.15-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [8f91f70] sha256 (3.1.14)
  * [dc4c672] v3 v3dv: 3.1.15 & 3.2.0~pre version & changelog "opened"
  * [2e1d003] v3dv: lib, clean trailing whitespace
  * [231c64e] v3dv: texinfo, fix (break holding back 3.2 merge)
    * proposed next version starts 3.2, (merge dev branch after 3.1.15)
  * [4cdfa55] v3dv: sysenv, param, options, output control hooks code modified
    * for config file, document headers, & command line
    * requiring downstream code changes (in commit that follows)
  * [756caa5] v3dv: start using output control hooks
    * for config file, document headers, & command line
    * v3dv: sysenv, ProcessingSettings, start to use hooks to make it possible
      to control (via: the command line; the document markup header, or; the
      configuration file) the likes of: ocn, toc, segsubtoc, minitoc,
      links-to-manifest, search-form, html-navigation, html-navigation-bar,
      html-right-pane, html-top-band; these are switched on by default and may
      be switched off in omit lists within configuration file, the document
      markup header, or command line. The command line takes precedence & may
      switch on or off overriding settings within the document markup header or
      the sisu configuration file.
      * --inc- on by default, but if switched off in doc header or
        configuration, the command line --inc- has precedence; for each possible
        exclude configuration the --inc- switch that overrides configuration
        settings
      * --exc- == --no-; exclude/switch off feature (but --inc- include has
        precedence)
      * document header @build: :omit: [list output features to be omitted]
      * configuration (sisurc.yml) omit:
      exclude output feature, overrides configuration settings (omit --dev
      development branch modifier once merged back to main)
       --exc-ocn,                 html (seg, scroll), epub, xml, pdf
         sisu --dev --exc-ocn --html --epub --xml-sax --xml-dom --xhtml -v \
         filename.sst
       --exc-toc,                 html (scroll), epub, pdf
         sisu --dev --exc-toc --html --epub --pdf -v filename.sst
       --exc-segsubtoc            html (seg), epub
         sisu --dev --exc-segsubtoc --html --epub -v filename.sst
       --exc-minitoc,             html (seg), concordance, manifest
         sisu --dev --exc-minitoc --html --concordance -v filename.sst
       --exc-manifest-minitoc,    manifest
         sisu --dev --exc-manifest-minitoc --html -v filename.sst
       --exc-links_to_manifest, --exc-manifest-links,
                                  html (seg, scroll)
         sisu --dev --exc-manifest-links --html -v filename.sst
       --exc-search-form,         html (seg, scroll), manifest
         sisu --dev --exc-search-form --html -v filename.sst
       --exc-html-minitoc,        html (seg), concordance
         sisu --dev --exc-html-minitoc --html --concordance -v filename.sst
       --exc-html-navigation,     html (seg, scroll)?
         sisu --dev --exc-html-navigation --html -v filename.sst
       --exc-html-navigation-bar, html (seg)
         sisu --dev --exc-html-navigation-bar --html -v filename.sst
       --exc-html-search-form,    html (seg, scroll)
         sisu --dev --exc-html-search-form --html -v filename.sst
       --exc-html-right-pane,     html (seg, scroll)
         sisu --dev --exc-html-right-pane --html -v filename.sst
       --exc-html-top-band,       html (seg, scroll), concordance (minitoc is
         forced on to provide seg navigation)
         sisu --dev --exc-html-top-band --html --concordance -v filename.sst
  * [c79ce1e] v3dv: vim syntax highlighting, document header added :omit: (under
      @make)
  * [b53d63a] v3dv: documentation sisu_commands, rearranged & update with regard
      to excludes
    * sisurc.yml omit list, commented out omit line with single example added
  * [86b767b] v3dv: sqlite3 discreet .sql.db file for each document (possibility
      added)
    * in addition to existing possibility of a shared db in sqlite3 or
      postgresql
  * [58bc2e5] v3dv: documentation sisu_commands, add sqlite3 discreet

 -- Ralph Amissah <ralph@amissah.com>  Mon, 12 Mar 2012 18:55:10 -0400

sisu (3.1.14-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [87f1037] sha256 (3.1.13)
  * [7fbe341] v2 v3 v3dv: 3.1.14 & 3.2.0~pre (& 2.9.12) version & changelog
      "opened"
  * [525b4f1] v2: vim syntax highlighting, patch from Thilo Six
      <T.Six@gmx.de> applied
    * Re: <http://thread.gmane.org/gmane.editors.vim.devel/32151> &
      <http://vimdoc.sourceforge.net/htmldoc/options.html#cpo-l>
      [for v3, see sisu_3.1.13 changelog]
  * [8138e23] v3dv: sysenv, output_dir_structure, rewritten, affected code
      modified
  * [2b884fb] v3dv: --redirect (--redirect=dir_path) & --dump (--dump=dir_path)
      + consequences
    * --dump places output in directory specified, if none specified in the
      current directory (pwd).
    * --redirect places output in subdirectory under specified directory,
      subdirectory uses the filename (without the suffix). If no output
      directory is specified places the subdirectory under the current directory
      (pwd).
    * html, css incorporated into each file (concordance & manifest included)
    * html, xhtml & xmls, css copied into css subdirectory (not used by html as
      embedded)
    * html xmls, images copied to output directory
    * no links to manifest
    * manifest with relative links only
    * longer html filenames given to avoid names clashing (e.g. for toc,
      manifest, concordance)
    * html, epub, remove manifest toc links
    * -j copy images associated with file (images used by html & xmls)
      * automatically invoked by --dump & redirect
    * v3 v3dv: document --redirect, --dump, -j update sisu_commands.sst
      [documents not generated until v3.2.0 (when v3dv branch is merged into
      v3)]
  * [f653df1] v3dv: dal, remove sisu_manifest from document structure & toc
    * html & epub coding affected
  * [6d898f1] v3dv: control hooks
    * hooks to make it possible to control (via: the command line; the document
      markup header, or; the command line) the likes of: toc, manifest,
      manifest-links, metadata, html-minitoc, html-navigation,
      html-navigation-bar; these are switched on by default and control takes
      the form of making it possible to switch them off.

 -- Ralph Amissah <ralph@amissah.com>  Tue, 14 Feb 2012 21:45:12 -0500

sisu (3.1.13-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [527f905] sha256 (3.1.12)
  * [071c6db] v3 v3dv: 3.1.13 & 3.2.0~pre version & changelog "opened"
  * [6dd8de8] v3 v3dv: vim syntax highlighting, patch from Thilo Six
      <T.Six@gmx.de> applied
    * Re: <http://thread.gmane.org/gmane.editors.vim.devel/32151> &
      <http://vimdoc.sourceforge.net/htmldoc/options.html#cpo-l>
  * [145f309] v3 v3dv: path & url links, updates for multiple output directory
      structures
  * [7e3cee5] v3dv, dal +, use symbols to identify document objects type (is)
      and group (of)
    * (dal & code affected as a result)

 -- Ralph Amissah <ralph@amissah.com>  Fri, 03 Feb 2012 20:46:07 -0500

sisu (3.1.12-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [aa8f0ce] sha256 (3.1.11)
  * [89bbbb5] v3 v3dv: 3.1.12 & 3.2.0~pre version & changelog "opened"
  * [0b38bae] v3 v3dv: urls, odt maintenance path fix
  * [7e9a59c] v3 v3dv: texpdf, tampering with "safe" special character
      transformations, a fix
    * could introduce new issues, watch
    * [reported by Timothy Hume, pdf title bug "&" not represented]
  * [45a3eb9] v3dv: sysenv, use "which" instead of "whereis" to locate programs,
      test
    * [suggested by, Timothy Hume, used to get sisu texpdf to work on MacOS]
  * [3d6deb1] v3dv: call most methods by full name (include associated module &
      class names)
    * messing with code, merge back now likely to become v3.2
  * [21f5e22] v3dv: replace use of most ruby exclamation (!) method actions

 -- Ralph Amissah <ralph@amissah.com>  Mon, 23 Jan 2012 21:53:09 -0500

sisu (3.1.11-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [c977c09] sha256 (3.1.10)
  * [aef3a25] v2 v3: 3.1.11 version & changelog "opened"
  * [9d687db] v2: modify, sisu markup version script (take from v3)
  * [a0c2826] v3: modify.rb, prep script for year update, & changing module &
      class names
  * [1677a58] v3: date, year 2012, update
  * [75e3bf8] v3dv, add dev branch (use to make some changes to module & class
      names & test)
    * (intended as) short term branch, merge back into v3 once tested
    * sisu --dev (to invoke)
  * [51ba2d7] v3dv: module names, use more CamelCase
  * [732dca2] v3dv: class names, remove "SiSU_" (reserve for module names for
      consistency)
  * [df67ee1] v3dv: class names, use more CamelCase
  * [19e69de] v3dv: make further changes to module names & test
  * [16db2c6] v3dv: SiSU_DAL_ for module names in dal, & module Metadata is
      SiSU_Metadata
    * v3dv: modify.rb script (& its artifact) removed (after use) from lib/sisu
      modify.rb script remains available (in generic form) under:
      data/sisu/v3/conf/convert/modify.rb
      data/sisu/v3dv/conf/convert/modify.rb
  * [c2d14cc] debian/sisu.lintian-overrides, repeat for v3dv

 -- Ralph Amissah <ralph@amissah.com>  Tue, 10 Jan 2012 23:22:59 -0500

sisu (3.1.10-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [5712c0b] sha256 (3.1.9)
  * [7c9212e] v3: 3.1.10 version & changelog "opened"
  * [66d8155] v3: html, epub, (& xml) codeblocks, treatment of '<<' & '>>', fix
    * (remove legacy codeblock match rule, watch)

 -- Ralph Amissah <ralph@amissah.com>  Sat, 31 Dec 2011 08:39:12 -0500

sisu (3.1.9-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [cfaad12] sha256 (3.1.8)
  * [a39fede] v3: 3.1.9 version & changelog "opened"
  * [598c4fe] v3: options, --find & --glob, use for general search in base
      directory
    * cannot be limited by sub-directory, error message provided
  * [9ef4a60] v3: sysenv, html files in _sisu/home (*.html) copied as home pages
  * [d71c116] v3: html, seg output, index.html fixes
    * place in correct directory and use language code as appropriate
    * remove broken index.html from output [note the existing erroneous file is
      not removed by a program run, it has to be removed manually]
    * [issue reported by chals (debian live-manual) on irc oftc #sisu]

 -- Ralph Amissah <ralph@amissah.com>  Mon, 19 Dec 2011 22:55:13 -0500

sisu (3.1.8-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [a6aadc4] sha256 (3.1.7)
  * [59a52e3] v3: 3.1.8 version & changelog "opened"
  * [0607a1b] v3: odf:odt, codeblocks, a match fix, affects e.g. "<<"
  * [b77338f] v3: texpdf, output_by: filetype, fix, language code part of
      filename, fix
    * files previously given same name and written over
    * [reported by chals (live-manual) on irc oftc #sisu]
    * [output_by language and filename ok]

 -- Ralph Amissah <ralph@amissah.com>  Tue, 13 Dec 2011 22:11:38 -0500

sisu (3.1.7-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [5989174] sha256 (3.1.6)
  * [858fc0b] v3: 3.1.7 version & changelog "opened"
  * [9cdd523] v3: dal, codeblocks, removed identifier tags, changed markup of
      "<" & ">"
  * [9ea7b7f] v3: epub, css, codeblock, grey box
  * [595970f] v3: texpdf, codeblocks, use listings package (for grey box)
    * (internally retain possibility to use boites package)
  * [4c67b33] v3: sysenv, only copy external images directory if it exists
  * [cda92b5] v3: documentation, add --configure, use ascii chars for dir tree,
      correct typos
  * [0260753] v3: documentation, manpage & html (man2html)

 -- Ralph Amissah <ralph@amissah.com>  Thu, 08 Dec 2011 21:32:49 -0500

sisu (3.1.6-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [a4295e2] sha256 (3.1.5)
  * [fc90866] v3: 3.1.6 version & changelog "opened"
  * [83f669a] v3, require iconv (removed), should use String#encode instead,
      watch
    * removed iconv, required a number of places without being used, watch
  * [acd2e81] v3: dal, codeblocks, start flush left (no buffer spaces at start
      of line)
    * allows cut & paste of codeblocks (from some output formats)
      [requested by chals irc.oftc]
  * [d513733] v3: texpdf, use boites for box round codeblocks
    * use and adapt 'boitecoloriee' (found in boites_examples.sty)
    * in boitebox as setup normal tex hardspaces at start of line are removed,
      hack required to fix

 -- Ralph Amissah <ralph@amissah.com>  Fri, 02 Dec 2011 04:08:40 -0500

sisu (3.1.5-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [4a239cf] sha256 (3.1.4)
  * [b80f7be] v3: 3.1.5 version & changelog "opened"
  * [b5c036a] v3: dal_expand_insertions, link shortcut for sisu documents,
      omit codeblocks
  * [ecd91fe] v3: sisu manual, sisu markup, e.g. of link shortcut for multiple
      sisu documents
  * [b19886a] v3: param, sisupod_make, sisu markup embedded symbol images regex,
      case added
  * [2d9e5ec] v3: odf:odt v1.2
    * includes previously unimplemented hanging indents
      * done: dal, plaintext, html, epub, xhtml, xml (sax & dom), odt, pdf, sql;
        not done: man, info

 -- Ralph Amissah <ralph@amissah.com>  Mon, 21 Nov 2011 00:16:22 -0500

sisu (3.1.4-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [ed249df] sha256 (3.1.3)
  * [d480a1d] v3: 3.1.4 version & changelog "opened"
  * [d17e724] v3: FileUtils, make explicit calls (more verbose, easier to find)
  * [b59529b] v3: FileUtils, replace system calls

 -- Ralph Amissah <ralph@amissah.com>  Fri, 11 Nov 2011 00:10:12 -0500

sisu (3.1.3-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [daa1082] sha256 (3.1.2)
  * [6404e3e] v3: 3.1.3 version & changelog "opened"
  * [f301599] v3: fix necessary, Re: (3.1.2) [da4acc7] header, bold & italic
      pattern matching
    * header, bold & italic pattern matching, ignore case (possibility
      reinstated) @make: :bold: :italic: /[regex]/i

 -- Ralph Amissah <ralph@amissah.com>  Sat, 05 Nov 2011 19:48:05 -0400

sisu (3.1.2-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [97df42b] sha256 (3.1.1)
  * [9c52c3c] v3: 3.1.2 version & changelog "opened"
  * [12ffabd] v3: markup-samples, Free as in Freedom 2.0
  * [c148cfd] v3: markup-samples, Free as in Freedom 2.0, made use of old book
      index
    * (made use of old book index) better than none
  * [3ba9db6] v3: concordance, information to terminal, minor
  * [df67ba2] v3: conf/convert/modify.rb minor fixes
  * [87608df] v3: sysenv, skins, a fix
  * [da4acc7] v3: header, bold & italic pattern matching, ignore case
      (possibility reinstated)
    * (bold & italic pattern matching) @make: :bold: :italic: /[regex]/i

 -- Ralph Amissah <ralph@amissah.com>  Mon, 31 Oct 2011 22:08:02 -0400

sisu (3.1.1-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [0dad10b] sha256 (3.1.0)
  * [a29324f] v2 v3: 3.1.1 version & changelog "opened"
  * [fadbc35] v3: manifest, odt url lnk, fix
  * [6d46257] v2 v3: odf:odt v1.0: make odt header easier to track; remove
      binary blob
    * make odt header changes easier to track
      (this commit maintains rough equivalence to sisu-3.1.0 headers)
    * sysenv, builds odf:odt directory structure instead of binary blob
    * get rid of odf:odt (binary changeset) blob zipfile (containing odf:odt
      directory structure)
  * [aa06692] v3: odf:odt, make odt style names more easily recognizable

 -- Ralph Amissah <ralph@amissah.com>  Sat, 15 Oct 2011 14:01:14 -0400

sisu (3.1.0-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [0254006] sha256 (3.0.19)
  * [e8daf99] v2 v3: 3.1.0 version & changelog "opened"
  * [366895d] v2 v3: bin/sisu, default sisu version 3
    * Version 3 is now the default (on running sisu)
  * [a8472db] v3: sysenv, rc_path adds ./.sisu/
      (to existing ./_sisu/ & ~/.sisu/)
  * [8925b88] v3: defaults, (sisu) home page, link to git repo, minor fixes
  * [7fb6acc] v3: texpdf, fonts, Liberation series default
      (main: Sans, mono: Mono)
    * (mono) improved with selection of Liberation Mono as default
    * font (main font, mono) configurable in sisurc.yml under
      default: (texpdf_font:|texpdf_font_mono:)
      or within document under @make: (:texpdf_font:|:texpdf_font_mono:)
  * [53e6d1a] v3: sisrc.yml, texpdf_font (main, mono) Liberation series
      (main default Sans)
  * [c6f5cd1] v3: vim syntax, :texpdf_font_mono: added to @make:; proposed
      header changes
    * sisu_next.vim, track proposed syntax (header) changes
  * [2547d72] v3: sysenv, output_structure_by: filename, fix to output
      directories created
  * [7997984] v2 v3: documentation, small update
  * [e9c80fc] v2 v3: documentation, manpage
  * [5e53466] v2 v3: documentation, html, minor (removal of trailing
      whitespaces)
  * [85bd723] v2 v3: documenation, html, man2html (sisu.1)
  * [9660639] debian/bin/sisu, default sisu version 3
  * [d1b4eb4] debian/sisu.manpages, manpage for sisu2
  * [f28109e] debian/sisu.NEWS.Debian sisu v3 is default

 -- Ralph Amissah <ralph@amissah.com>  Mon, 03 Oct 2011 21:27:42 -0400

sisu (3.0.19-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [5ade3b6] sha256 (3.0.18)
  * [035c656] v2 v3: 3.0.19 version & changelog "opened"
  * [1846773] v2: remote, image source url fix
  * [8edbb13] v2 v3: param, matching of date, years 1400 - 21\d\d
  * [5048519] v3: cosmetic, minor
  * [794c20f] v3: hub, processing options, remove cruft
  * [344270f] v3: info files, fix output; remote, include info file & manpage
      (when selected)
  * [b1d08ce] v3: qrcode, sisu generated manifest output, treat as such
    * place qrcode images in directory under manifest (manifest/qrcode)
    * fix remote placement of qrcode images when requested
  * [0081730] v3: remote, src & sisupod processing, and rsync placement
  * [9d759c2] debian/bin/* update checks, sisu2 added
  * [9b5edd8] debian/sisu.install: install sisu2 added; no longer install for
      ruby 1.8

 -- Ralph Amissah <ralph@amissah.com>  Sat, 24 Sep 2011 09:07:35 -0400

sisu (3.0.18-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [0d5cc01] sha256 (3.0.17)
  * [0fdc7c9] v3: 3.0.18 version & changelog "opened"
  * [ab8d19c] v3: CHANGELOG_v3, correct .orig.tar.xz name (>=3.0.15)
  * [2ec7a07] v3: correct sisupod references and path to .txz (replace .zip)
  * [65e4c06] v3: options, match fix for --glob / --find
  * [af7543c] v3: options, (hub), action (opt.act) modified to increase use
      possibilities
  * [705ccf7] v3: hub (affecting options +others) sisupod processing
      (v2 enabled)
  * [403a52d] v3: dal_images, disabled imagemagick configuration permission
      check
    * until sisupod reads local sisurc.yml (configuration file)
  * [c2163c5] v3: image (relative) paths for different sisu output structures
    * (re: by_language, by_filetype, by_filename)
    * sysenv, set path
    * html seg, scroll, manifest (qrcodes), xmls
  * [e70f634] v3: epub
    * fix for different output structures, language codes not used
      internally (within epub)
    * adjustment to image paths for image copy

 -- Ralph Amissah <ralph@amissah.com>  Tue, 13 Sep 2011 19:30:08 -0400

sisu (3.0.17-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [0bf06f6] sha256 (3.0.16)
  * [a035400] v3: 3.0.17 version & changelog "opened"
  * [7bc559f] v3: unix conditional tests (? :) remove line break markers before
      : cosmetic
  * [b5712bc] v3: Dir.chdir, remove "system cd" (change directory) use
      Dir.chdir
  * [22f6ac0] v3: sisupod_v3 make (build); place (rsync); process (generate
      sisu output from)
    * sisupod v3
      * modify pod dir structure, place sisu source in dir/[lang_code]/
        e.g. dir/en/
      * use tar.xz (.txz)
      * bundle all language version in pod
        * bundle .ssm and all included files for each selected language (rather
          than composited .ssm.sst file)
          (filename pattern) or named in files to be processed string
      * remote placement
      * sisu processing from sisupod v3
    * rsync sisupod v3
    * sysenv, check that tree is available and use as desired when available
  * [a19f7c8] debian/control +Suggests: tree (for option to show file structure)

 -- Ralph Amissah <ralph@amissah.com>  Mon, 05 Sep 2011 11:20:24 -0400

sisu (3.0.16-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [9c24ffc] sha256 (3.0.15)
  * [5041a3d] v3: 3.0.16 version & changelog "opened"
  * [3ff0378] v3: html_format, texinfo_format, minor, html seg presentation fix
  * [084e7d2] v3: sysenv, cosmetic, code arrangement touch
  * [90ad666] v3: epub, param, (defaults) epub tuning
    * include levels A - C as individual sections
      (xhtml file with consistent opf & ncx)
    * sync ncx with sisu internal structural logic
      (correct depth, include level A, place sisu toc)
  * [6bd77e1] v3: concordance, i18n, start adding alternative language alphabets
    * Danish, Norwegian, Swedish
  * [cacb056] v3: dal, sisu document links (multiple output versions) shortcut
    * links to multiple versions internal documents based on shortcut notation,
      e.g.
      { "Viral Spiral", David Bollier [3sS]}viral_spiral.david_bollier.sst
      resulting in all versions of the document that would be generated by
      running the command sisu3 -3sS viral_spiral.david_bollier.sst
    * added possibility to specify language where language directory structure
      is used for source documents
      { "Viral Spiral", David Bollier [3sS]}en/viral_spiral.david_bollier.sst
  * [4d066c1] debian/watch watchfile for .tar.xz (instead of .tar.gz)

 -- Ralph Amissah <ralph@amissah.com>  Thu, 18 Aug 2011 23:25:44 -0400

sisu (3.0.15-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [439b8be] sha256 (3.0.14)
  * [07065d9] v3: 3.0.15 version & changelog "opened"
  * [f0da30b] v2 v3: removed objects.txt, cleaning
  * [bd2ba36] v3: options, default action on running "sisu3 [filename.sst]", fix
  * [eb47453] v3: options, sysenv, sisurc.yml, set/config default language
      (code)
    * in absence of setting 'en' assumed
    * 'en' previously fixed
  * [c610cd6] v3: po4a, make use of base directory (default) language setting
    * set original language, (instead of assuming English)
      (per directory or wider)
  * [a588b8f] v3: prog_text_translation, add contents, remove some repetition
  * [7c0a734] v3: texpdf, possibility to translate "Contents" for table of
      contents
  * [04d3390] v3: constants, re-arranged
  * [532c030] v3: epub, constants, experiment with presentation
    * disable some internal "features"
    * make file and directory naming more flexible, now using
      'OEBPS', 'toc.ncx', 'content.opf',
    * adjustment of some headers and general tuning
    * add opf guide
    * clean processing directory between each build
    * constants, added constants Ep (for epub)
    * constants, added DISABLE (used here with epub)

 -- Ralph Amissah <ralph@amissah.com>  Tue, 09 Aug 2011 20:25:53 -0400

sisu (3.0.14-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [45a05d0] sha256 (3.0.13)
  * [9056c5a] v3: 3.0.14 version & changelog "opened"
  * [2008439] v3: urls, --concordance (hyphen added, descriptive)
  * [b739f3f] v3: sysenv, avoid creation of spurious directories in output tree
    * an image copy section removed (re-implement correctly later)
  * [9c518b4] v3: sysenv, cosmetic
  * [5eb77a9] v3: param, cleanup setting of auto endotes
  * [bdc8fb1] v3: xmls (sax, dom, xhtml) use of tidy, correct output location
  * [427c8b2] v3: texpdf, XeTeX language settings
      (setmainlanguage setotherlanguage)
    * get from directory or filename if header @make: :language: not set
  * [a44bbf2] v3: epub, opf fixes
  * [f965e59] v3: qrcode, manifest, (++), QR code (metadata) images for manifest
    * generate images using qrencode
  * [2e6af20] v3: param, manifest, qrcode, epub, added creator.editor field
  * [399e6ea] v3: sql db, constants, cgi-sql, structure changed, creator.editor
      field added
  * [c77953f] v3: vim sisu syntax highlighting
    * markers for hanging indent added
    * added header for @creator: :editor:
    * minor comments added
    * deletion of an unused tag
  * [afa7647] v3: emacs syntax highlighting sisu-mode.el
    * markers for hanging indent added
    * line-break
  * [5e29210] v3: dal, indent, control of first line of indent & rest of
      paragraph
    * implements hanging indent, and possibility to set first line step indent
    * __[1-9] hanging indent (initial indent 0); paragraph text indent [1-9]
    * _[0-9]?_[1-9] initial indent; paragraph text indent
    * __[1-9]! bold words \\ part of hanging indent paragraph text
  * [051b321] v3: plaintext, indent ...
  * [476ee85] v3: css, indent ...
  * [1abd2f9] v3: xhtml, xml sax & dom, indent (partially implemented) ...
  * [392f8d5] v3: html, indent ...
  * [727db14] v3: epub, indent ...
  * [dba6d8b] v3: texpdf, indent ...
  * [e3330f1] v3: sql (pg, sqlite), indent ...
  * [d9dcd89] v3: odf, manpage, "new" indent not implemented
  * [d613c97] v3: po4a, indent (check for breakage)
  * [bd65e8a] v2 v3: sisu_manual
    * sisu_commands: --qrcode -Q; update shortcut options; line-breaks use \\
    * sisu_markup.sst: indent update; publisher
  * [520128d] v2 v3: manpage
    * commands: --qrcode -Q; update shortcut options
    * markup.sst: indent update; publisher
  * [3c0b56d] v2 v3: manpage html (man2html)
    * commands: --qrcode -Q; update shortcut options
    * markup.sst: indent update; publisher
  * [b616560] debian/control sisu recommends qrencode
    * used in sisu v3 to place metadata images in manifest
  * [a027696] debian/sisu.install sisu v3 ruby libraries only in 1.9.1 (not 1.8)

 -- Ralph Amissah <ralph@amissah.com>  Tue, 26 Jul 2011 21:00:18 -0400

sisu (3.0.13-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [cd0c1c8] sha256 (3.0.12)
  * [3ef6432] v2 v3: 2.9.7 & 3.0.13 version & changelog "opened"
  * [533909b] v2 v3: vim colors, added cursor line & cursor column
  * [8335580] v2 v3: dal_syntax, linebreak in regular text object: ' \\ '
      ('<br>' depreciated)
    * thanks to Jonas Stein for making me look at this
      (see bug: #617298 & comments in upstream CHANGELOG_v3)
    * testing required, downstream outputs affected
  * [8294a1d] v2 v3: vim, sisu syntax highlighting, linebreak \\ added
      (<br> kept)
  * [60bd031] v3: ansi screen reporting include document language code
  * [7ef0302] v2 v3: texpdf, define hardspace & provide backslash
    * define \hardspace to simplify placing a hardspace
    * provide backslash character in code block
  * [d95f857] v3: define latex \newcommands for some special characters
      (for sisu code)
    * \newcommands for some special characters to simplify dealing with them
      in sisu code \hardspace \caret \pipe \curlyopen \curlyclose \lt \gt
      \slash \backslash \underscore \exclaim
  * [3dafcae] v3: constants, a sisupod & an xml related addition
  * [561b3d6] v3: plaintext, codeblock keep backslashes
  * [b975bd0] v3: html_tune, reduce loops; deal with angle-brackets
    * deal with angle brackets in markup (test, could cause breakage)
    * reduce loops in code
  * [def544b] v3: manpage (sysenv), move output; line-breaks within object
    * start to honor line-breaks within objects (revisit)
    * show double escape \\ (backslashes) in code blocks
    * place under web server directory
    * sysenv, accommodate manpage changes
  * [408bf6b] v3: info (texinfo) (sysenv), move output; line-breaks within
      object
    * backslashes & line-breaks
    * place under web server directory
    * info tool setting prompt
    * sysenv, accommodate info page changes
  * [f6f89c9] v3: sysenv, fix some output paths (markup source); accommodate
      manpage
    * shared source markup (.sst .ssm & sisupod.zip) fix some paths
      * placement of markup source, output_path.src.dir, fix
      * output_path.src.url, fix
    * manifest info
    * (epub viewer cosmetic rearrangement)
  * [b232545] v3: manifest, manifest enable additional output & source
      (if shared)
    * manpage (in fututure have config setting with default false/off)
    * info (texinfo) (in fututure have config setting with default false/off)
    * hash digests
    * locate markup source (if shared)
    * sisupod (if shared)
  * [ae914fd] v3: urls (ansi screen reporting), add document language code
  * [c552333] v2 v3: sisurc.yml, config settings
  * [1d239f2] v3: documentation, on additional breaks in document,
      (remove some old info)
    * linebreak \\ (previously undocumented <br> kept but depreciated)
      [it is intended that this should close #617298 (post mail)]
    * page break (breaks column if column, else breaks page)
    * page new (new page, breaks page)
    * sisurc.yml set output directory structure by language
    * removed section on hyperestraier, too specialised for general manpage
      (also section not checked recently)

 -- Ralph Amissah <ralph@amissah.com>  Sun, 26 Jun 2011 22:42:28 -0400

sisu (3.0.12-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [21117c4] sha256 (3.0.11)
  * [93d6609] v2 v3: 2.9.6 & 3.0.12 version & changelog "opened"
  * [5f4c703] v2 v3: help, s/Bul garian/Bulgarian/ (Closes: #619068)
  * [7bf74c7] v3: options, restrict glob rule checks to glob & find; carry lang
      info
    * restrict glob rule checks to when --glob (-G) or --find (-f) requested
    * carry information on document language (from filename and or directory)
    * (additional test)
  * [6a7c87d] v3: --help language, provides list of available languages
    * language (ISO 639-1 code (as varied by po4a) & name)
  * [36c4c6a] v3: manifest, fix a full name
  * [a011db3] v3: html, texpdf, syslink to default, adjusted & made similar
  * [2aba456] v3: param, remove unused class variable '@@symlnk'
  * [d0fd14a] v3: sysenv, limit/prevent the creation of spurious language output
      directories
  * [a6651ef] v3: harvest, work for alt output structures; for each language
    * paths to document manifests etc. for the possible output dir structures
    * author and topic lists for available documents, by availability in each
      language
  * [74c346f] v3: cgi, sample search form reverted to '#!/usr/bin/env ruby'
    * appears to be a fix in libdbi-ruby1.9.1, see comments in sisu-3.0.8
      changelog
  * [5a1e3ba] v3: cgi, sample search form, force utf-8 character encoding to
      avoid issues

 -- Ralph Amissah <ralph@amissah.com>  Thu, 09 Jun 2011 23:16:23 -0400

sisu (3.0.11-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [f4bb6f7] sha256 (3.0.10)
  * [5794055] v3: 3.0.11 version & changelog "opened"
  * [0df2126] v3: sysenv, url webserver link (manifest) fix
  * [4d50928] v3: cgi search form, fixes related to language code
    * filename with language code being required as unique document
      identifier
  * [b1648ad] v3: i18n, constants, some language info moved to i18n
      (from constants)
  * [93cc261] v3: options --find & --glob (-f -G) added, parses language
      sub-dirs
    * options
      * filter out files not matching .ss[tm]
      * with -f -G (--find|--glob) flag glob all .ss[tm] files in dir
        including language sub-directories
          sisu3 -3G live-manual
      * with -f (--find|--glob) flag and find .ss[tm] files that match given
        string in dir including language subdirectories
          sisu3 -3GR
  * [0e921ad] v3: documentation, minor update, includes --find / --glob

 -- Ralph Amissah <ralph@amissah.com>  Sun, 29 May 2011 20:49:17 -0400

sisu (3.0.10-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * [e42cb23] sha256 (3.0.9)
  * [3ce63d5] v2 v3: 2.9.5 & 3.0.10 version & changelog "opened"; copyright
      touch
    * copyright, dates for setup.rb
  * [f7bad42] v3: sysenv, rsync, get rid of annoying nag to terminal
      (-v reporting Dir.pwd)
    * prevent attempt to change directory unless different directory requested
  * [c11ed8c] v3: i18n, added language translation table column to hash/table
    * changelog, version dates touched as well
  * [92fb4ac] v3: prog_text_translation, language class name fix; languge name
      matching
    * Portuguese language class name (missed 't')
    * language name matching ('Portuguese Brazil')
    * indentation
  * [a11485b] v3: param, html, epub, xml, simplify file-naming with language
      code
    * language code occurs in fixed location within file-name (could previously
      do so in 1 of 3 configured locations)
  * [eebc0d4] v3: manifest, sysenv, "available outputs" relative paths;
      available languages
    * relative paths to "available outputs" (for each dir structure), fix
    * show language versions published
      (needs 2 runs for manifest, polls output as to whether manifest exists)
  * [b5b64d1] v3: texpdf, filenames
  * [154fd68] v3: html, close files; syslink index.html to toc.html
    * syslink will need revisit (will only "work" properly with by_language dir
      structure)
  * [3a07ef3] v3: options, include markup source "base" path
    * used to parse alternative markup source dir structures
  * [d6f18ae] v3: sysenv, rsync, embedded: rsync to remote host alt output
      structures, fix
  * [f18dfa7] v3: defaults, fix path to homepage image (more fixes remain...)
  * [1ccbc25] debian/copyright, sync with package
    * url update, date touched
    * sisu-mode.el assignment to FSF (GNU EMACS)

 -- Ralph Amissah <ralph@amissah.com>  Mon, 23 May 2011 22:52:20 -0400

sisu (3.0.9-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [015d5f0] sha256 (3.0.8)
  * [6148816] v2 v3: 2.9.4 & 3.0.9 version & changelog "opened"
  * [91ada8a] v2 v3: copyright file, softlink, make more visible in tarball
  * [dbd7dce] v2 v3: copyright file update, sisu-mode.el assigned to FSF
      (GNU EMACS)
  * [5a3b602] v2 v3: bin/sisu2 introduced (complement bin/sisu3), currently
      same as bin/sisu
    * later switch bin/sisu to bin/sisu3
    * consider using update-alternatives
  * [62a6bc0] v2 v3: vim cterm colorschemes, touch search color
  * [29fcf4a] v3: sysenv, output directory structure check, fix (start testing
      alternatives)
  * [cfa267b] v3: sysenv, options, output_dir_structure.by?
      (language|filetype|filename)
  * [b1b2fe8] v3: sysenv, output_path & place_file, modified
      (affects many libraries)
    * paths for dir, url, relative and rcp that vary with output dir structure
    * cope with alterative dir structures
      * manifest url paths, fix
      * dal_expand_insertions, fix
      * rsync, review
    * scp disabled
  * [a09e2e6] v3: cgi sample search form, differ depending on output directory
      structure
  * [ea971b8] v3: version & changelog date
  * [f464a77] v3: embedded, source path
  * [d87f4ff] v3: options, expand name of source file for selected language
      directories
    * only use for single file(name) available in multiple languages e.g.
      sisu3 -hv en/free_culture.lawrence_lessig.sst es fr
    * english assumed as default language, make default configurable later
    * particularly useful for po4a
  * [bdd62ab] v3: po4a re-enabled, related fixes (issues persist)

 -- Ralph Amissah <ralph@amissah.com>  Tue, 17 May 2011 18:12:54 -0400

sisu (3.0.8-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [e1e81c7] sha256 (3.0.7)
  * [89e5a25] v2 v3: 2.9.3 & 3.0.8 version & changelogs "opened"
  * [5102422] v2 v3: bin/ improved ruby version check
  * [624f72b] v2 v3: sysenv, refer to lowriter, update
    * v2 lowriter instead of oowriter
    * v3 lowriter instead of libreoffice
  * [1e84a4d] v2 v3: vim, sisu syntax change of a couple of color groups
  * [e208972] v2 v3: vim (8 color cterm) colorschemes, 8, frugal, sparse
    * sparse series uses dark grey on black, on which reverse cursors may
      disappear, usually looks better
    * frugal series avoids dark grey
    * slate for cterm now incorporates frugal-cterm-sisu
  * [03073b7] v2 v3: bin/ type fix for ruby version check
  * [416d0ec] v2 v3: manpage, reinstate escaping of hyphens
  * [6b0a64f] v*: manpages escaped hyphens reinstated
  * [5fa19b6] v2 v3: note (CHANGELOG) on ruby DBI bug affecting sisu cgi sample
      search forms
    * see <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=596103> however, it
      affects sqlite3 in the same way as pgsql (the driver against which it is
      reported)
    * includes possible workarounds (for sisu sample search forms)
  * [6a20d40] v2 v3: bin/ cosmetic
  * [75e80f2] v2 v3: vim colorschemes minor review
  * [9a9c366] v3: concordance, output path, screen info correction
  * [46eebe8] v3: options, language setting, based on directory structure or
      filename
    * affects multiple libraries
  * [8ece506] v3: i18n, sysenv, options, language setting changes
    * must be able to set language at options stage from filename or directory
    * affects many files
    * old i18n more appropriately renamed prog_text_translation
  * [5f0bc4a] v3: urls, sqlite, a fix
  * [2d79257] v3: db, review, directory structure changed, database prefix
      renamed
    * language_document_char field made larger [consider renaming]
    * title, src_filename and language_document_char fields mandatory
      (title, title_main, src_filename, language_document_char)
    * review of unique key setting, now based on combination of filename
      and language (filename no longer sufficient with intro of language
      subdirectories)
    * [retest sqlite3]
  * [c7c3ab1] v3: sample search form, revert to generating ruby 1.8.7 sample
    * sisu3 using ruby >=1.9.2p180 generates search form for ruby 1.8.7, so:
      generate sample form using sisu3 -F (options), then; start webrick using
      ruby 1.8.7 & sisu -W (not sisu3)
    * take account of alternative output directory structures [work on, test]
  * [e54612b] v3: date, version, changelog
  * [8b7a793] v3: i18n, sysenv, class variable to prevent unnecessary
      re-construction of hash
    * prevent program from becoming as slow as treacle, a fix
  * [b08d064] debian/control, Standards-Version 3.9.2

 -- Ralph Amissah <ralph@amissah.com>  Thu, 05 May 2011 22:15:02 -0400

sisu (3.0.7-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [54b31e1] sha256 (3.0.6)
  * [2dec156] v3: 3.0.7 version & changelog "opened"
  * [cc1c683] v3: urls, reuse/share code, fix -U
    * share code between show selected urls and show all urls
    * fix -U which has not been properly updated for v3
  * [1f36048] v3: dates - version, changelog; v2: 2.9.2 opened - version,
      changelog
  * [a7413a2] v2 v3: vim slate colorscheme, conflicting group colors reviewed
  * [ccc3355] v2 v3: vim cterm colorschemes "8" and "frugal" added
  * [2dcb16c] v3: screen_text_color (ansi colors) touched, consider reviewing
      later
  * [5b647bd] v2 v3: cgi, sample-search-form
    * results still not right, (ruby1.9.2 libraries? double check script)
    * not yet done variable directory path fixing for result links
  * [ba81996] v2 v3: options, -M / --maintenance, new alias
      --keep-processing-files
    * new alias --keep-processing-files (see Bug#622902)
    * document "--keep-processing-files" alias for "-M" ("--maintenance")
    * minor rearrangement of regex
    * (Closes: #622902)
  * [f330953] v3: odf:odt processing in separate subdirectories
    * processing in separate subdirectories that can be kept for maintenance
    * odt.zip (bin) directory renamed odt from odf
    * sysenv, odf:odt paths adjusted for changes in maintenance & odt.zip
  * [dcfbef6] v3: urls, minor fixes
    * fix maintenance urls -M (where processing files are kept for examination)
    * odf maintenance added
  * [17d1555] v3: options, hub, introduce opt.act booleans, more setting in
      options
    * opt.act booleans more flexible than opt.cmd
      (start to favor use of opt.act over opt.cmd)
    * move option setting from hub to options where possible
    * separate out a few methods
  * [44464e2] v3: param, md remove md.cmd and md.mod shortcut methods, use use
      md.opt
    * affects many files that now use @md.opt.cmd & @md.opt.mod
      (instead of @md.cmd & @md.mod)
  * [cc7bc6d] v3: harvest, sysenv, place with document manifests, variable
      directory path
    * sysenv, variable directory path fixing (language, filetype, filname),
      making the stub for at least manifest and html available early for
      processing that do not or should not need to process individual markup
      files completely, such as the cgi search form and harvest
    * harvest
      * place with document manifests
      * variable directory path fixing (language, filetype, filname)
  * [4bc8b76] v2 v3: vim colorschemes, headers touched, url to git repo provided
  * [0797659] v2 v3: sisu-mode.el, header notes copyright assignment to FSF
      (GNU EMACS)
    * assignment to FSF
    * header includes url to git repo (when possible track GNU EMACS location)
  * [c1fe197] debian/sisu.lintian-overrides update for current lintian
      (v2.5.0~rc2)

 -- Ralph Amissah <ralph@amissah.com>  Wed, 20 Apr 2011 21:45:15 -0400

sisu (3.0.6-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [2d6d497] sha256 (3.0.5-3)
  * [b0955dc] v2, v3: 3.0.6 version & changelog "opened"
  * [350efc6] v2: param, nested regex match fix (backport from v3)
  * [9542185] v2, v3: sysenv, remove repeated method
  * [d5d39d4] v2, v3: cgi, sample-search-form, string output
    * ruby1.9.2 transition related
    * (+ clean unused help text)
  * [709e806] v2, v3: dal_images, image path setting
    * ruby1.9.2 transition related
  * [b06c1e8] v2, v3: dal_doc_str, empty line not paragraph object
    * ruby1.9.2 transition related
  * [af4d521] v2, v3: dal_doc_str.rb, table structure issue
    * ruby1.9.2 transition related
    * double spaced empty line creates spurious newline
  * [6324d3d] vim colorscheme slate, review console colors
  * [ebd803a] vim colorscheme slate, rearrange
  * [9556ce0] debian/control, depends, graphicsmagick if not imagemagick
  * [ef757f1] debian/bin/sisu* force use of 1.9.2, guarantee dependencies

 -- Ralph Amissah <ralph@amissah.com>  Wed, 30 Mar 2011 23:52:16 -0400

sisu (3.0.5-3) unstable; urgency=low

  [ Ralph Amissah ]
  * build -3 with source .orig.tar.gz for upload to debian
    (displace -1 & -2 that were not uploaded, debian/changelog merged)
  * [663832e] sha256 (3.0.5-2) - not uploaded
  * [90bf54d] sha256 (3.0.5-1) - not uploaded
  * [43cd90d] debian/control correct new ruby depends
  * [778bcb6] modify sisu shebang for debian
    * debian/bin modify shebang #! /usr/bin/ruby1.9.1 for current ruby 1.9.2
    * debian/sisu.install use debian/bin
  * [f577abb] sha256 (3.0.4)
  * [21cadb8] v3: changelog & version 3.0.5
  * [18eefb2] v2, v3: vim syntax highlighting, fix typo
  * [9e82cce] v3, v2: bin/sisu*: v3 development ruby >=1.9.2p180;
      v2 maintenance ruby >=1.8.7
    * bin/sisu* version checks
  * [e5d3440] v2, v3: texpdf bugfix, where map_nametags not found, drop tag,
      rather than crash
    * Debian-live, live-manual (Ben Armstrong, chals?, reported new bug in a
      number of translations (that crashed the pdf generator). It turns out
      where map_nametags is not found the document crashes. Fix.
  * [98a76bd] debian/control depends ruby (>= 1.9.2.180) debian ruby 1.9.1 libs;
      current sisu
    * Depends: ruby (>= 1.9.2.180)
    * Depends: debian ruby 1.9.1 libraries
    * Depends: current version of sisu for (sisu-pdf sisu-postresql sisu-sqlite)
      (= ${source:Version}) [sisu-complete already does so]
    [sisu (v2 especially) requires extensive testing, to see that it behaves as
      it should with ruby 1.9.2 and associated required libraries]

 -- Ralph Amissah <ralph@amissah.com>  Sun, 27 Mar 2011 20:21:13 -0400

sisu (3.0.5-2) unstable; urgency=low

  * not uploaded to debian, merged into 3.0.5-3

 -- Ralph Amissah <ralph@amissah.com>  Sat, 26 Mar 2011 14:09:33 -0400

sisu (3.0.5-1) unstable; urgency=low

  * not uploaded to debian, merged into 3.0.5-3

 -- Ralph Amissah <ralph@amissah.com>  Thu, 24 Mar 2011 20:37:26 -0400

sisu (3.0.4-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [32f83cb] sha256 (3.0.3)
  * [e19720c] v3: changelog & version 3.0.4
  * [1c052f5] sisu_manual, sisu_download, remove references to versions of sisu
  * [0129345] debian/control depends ruby (>=1.8.7)

 -- Ralph Amissah <ralph@amissah.com>  Fri, 11 Mar 2011 17:07:44 -0500

sisu (3.0.3-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [589d36b] sha256 (3.0.2)
  * [9dea2a8] v2, v3: 3.0.3 version & changelog "opened"
  * [7817075] v2, v3: texpdf, url (regex) pattern match fix
  * [755acef] v2, v3: dal_syntax + downstream output, email regex revised
    * revised pattern match for email address, (removes occasional interference
      with urls having embedded email addresses) (dal_syntax and affected
      downstream output modules)
  * [259351d] v2, v3: dal_syntax: (internal document) link matching, a fix.
      [Debian-live, live-manual (Jose Luis Zabalza, Ben Armstrong], reported bug
      in Spanish translation markup (that crashed the pdf generator). Bug in
      markup subsequently identified as "versátil,#{iso-hybrid}#, se" which the
      interpreter identified as an internal document link to a comma (instead
      of as being monospace markup), markup should have been "versátil,
      #{iso-hybrid}#, se" this fix prevents that incorrect match, (but the
      markup remains faulty and the monospace markup is not identified as such
      without the corrected spacing).  Unfortunate "grave" results for what is
      a pretty insignificant data entry typo (there are no doubt other such
      situations).]
  * [63251bd] v2, v3: dal_substitutions_and_insertions: sisu header matching in
      codeblock, fix
  * [cbcf26c] v2, v3: dal_doc_str: fix, looks like typo in regex
  * [93308a6] v3 (v2): manpage, param, urls: manpage output presentation fixes
    * manpage: lowercase .br; correct newlines before .nf and after .fi; no
      escape of hyphens; remove redundant links; endnotes array requires
      flatten; screen info on output path)
    * param: manpage header .br and no escape of hyphens
    * urls: correct output path for manpage
  * [e4ca6d0] v2, v3: help (markup): correct path to markup-samples
  * [a6042b0] documentation more link fixes (remove redundant), remove repeated
      skin
  * [57ad1a1] manpage: sisu.1 and html regenerated
  * [d3a0924] param: tidy, remove redundant document header tags
  * [61c7438] syntax highlighting updates, emacs, vim
    * emacs sisu headers updated (subheaders omitted for now) sisu-mode.el
    * vim cleaning sisu.vim
  * [bfa2a01] v2, v3: changelog git.sisudoc.org tag-points [3.0.3-1]

 -- Ralph Amissah <ralph@amissah.com>  Fri, 11 Mar 2011 08:22:59 -0500

sisu (3.0.2-1) unstable; urgency=low

  [ Ralph Amissah ]
  * [a6673bc] sha256 (3.0.1)
  * [494b0b5] v2: changelog fix
  * [a800c2b] v3: urls, param, two unrelated regex fixes, check
  * [abaab64] v3: hub, minor rearrangement
  * [baa7f20] v3: changelog, open 3.0.2, target ruby1.9.2
  * [af2ffd7] v3: sisu version 3.0.2-beta-rb1.9.2p180
  * [0aff055] make sisu: v2 require >=ruby1.8.7; v3 require >=ruby1.9.2
    * bin/sisu bin/sisu3 modified accordingly
      note: there are issues with sisu and early versions of ruby1.9.2
      ruby1.9.2p0 is known to segfault on a number of operations
      ruby1.9.2p180 does not have these issues
    * v3 includes changelog updates
    * v2 includes changelog updates and version update 2.8.1
  * [d4c0675] v3: use "encoding: utf-8" (instead of coding)
  * [f09f45a] v3: use rb1.9.2 "require_relative" syntax
  * [05a3fd2] v3: ruby 1.9 hash symbol syntax adopted
  * [f2ab439] v3: space between each and opening curly brace
    e.g. "x.each {|y| p y}"
  * [5abc572] v3: sysenv, separate out processing_path method plus consequences
  * [59b7f84] v2, v3: consolidate manual & markup samples
    * reinstate lang dir structure for manual when v3 becomes default
  * [572064e] CHANGELOG_v{1,2,3}, syslink, avoid duplication
    * CHANGELOG_v3 updated
    * CHANGELOG & README locations pruned
  * [6cc4670] debian related sisu markup samples, reorganise
  * [ceb35ac] conf/skin prune skins
    * remove less important skins
    * use syslink to share doc/skin_sisu.rb
  * [73c312d] v3: version & changelog, touch date
  * [278c945] v2, v3: defaults, default homepage tidy & update links
  * [a512dfe] v2, v3: manpage, adjust output (backslash ('\') escapes reduced)
  * [b972304] doc/sisu user_txt, minor update & pruning
  * [c9440e3] markup samples, manual, headers: links and other details
  * [cce96b7] manpages: sisu.1 update; sisu_vim.7 cleaning
  * [f3aefad] sisu.8 manpage & html deleted, needs rewrite, unhelpful
  * [0c872f4] html manpages, re-run man2html
  * [1ffd1da] documentation, remove some files
  * [5b12491] manpage + html: sylink sisu.1 to sisu3.1
  * [02c1669] documentation, minor tidy
  * [6991d5a] v2, v3: changelog updates
  * [8050926] debian/sisu.manpages, remove sisu.8
  * [8fc0343] debian/control linebreaks, cosmetic

 -- Ralph Amissah <ralph@amissah.com>  Sat, 05 Mar 2011 22:28:21 -0500

sisu (3.0.1-1) unstable; urgency=low

  [ Ralph Amissah ]

  * debian/control sisu-complete, pull current version of sisu

  * debian/{compat,control} update debhelper to version 8

  * sysenv, sisurc.yml and elsewhere as affected, output_dir_structure:
    by_language_code; by_filetype; by_filename

  * css, fix css paths for xhtml, xml dom & xml sax

  * console feedback on selected files being processed, updates & fixes

  * sysenv & sisurc.yml: libreoffice, default odf reader

 -- Ralph Amissah <ralph@amissah.com>  Wed, 16 Feb 2011 21:32:25 -0500

sisu (3.0.0-1) unstable; urgency=low

  [ Ralph Amissah ] - post squeeze

  * opening of version 3 unstable/development branch, (which provides
    alternative output directory structures and file naming, and starts attempt
    at 'po' output) see upstream v3 changelog. Processing defaults to v2, v3 is
    accessible using 'sisu3' or 'sisu --v3' (followed by usual instructions)
    [note: once v3 is ready v2 branches will be retired]

  * closing of v1 legacy branch

  * sisu2 & sisu3 added to /usr/bin, along with sisu-git and sisu-po; all added
    to sisu.install

  * new manpages provided, sisu2 sisu3 sisu-po

  * debian/sisu.install includes new

  * lintian overrides extended to cover v3

  * use debian source format 3.0, debian/source/format 3.0 (quilt)

 -- Ralph Amissah <ralph@amissah.com>  Mon, 07 Feb 2011 10:53:18 -0500

sisu (2.7.9-1) unstable; urgency=medium

  [ Ralph Amissah ] - debian freeze, code fixes
  (most of them requested for debian live-manual)

  * dal, fix missing multi-line regex matches for line-wrap text
    (live-manual, to work better with po4a)
    * dal_doc_str, bulleted text (and headings), multi-line match, to permit
      line-wrapped paragraphs
      (requested fix, Ben Armstrong (live-manual))
    * dal_syntax, multi-line match for fontface markup (emphasis, bold,
      italics, underscore etc.)

  * texpdf, use of monospace in headings causes table of contents breakage, fix
    (requested fix, Ben Armstrong (live-manual))

  * texpdf, toc now contains level 3~ consistent with other output formats
    (requested fix, Ben Armstrong (live-manual))

  * html & css, ocn (object numbers) now link to themselves, clicking on one
    places that object at the top of the browser and provides its url
    (requested, Ben Armstrong (live-manual))

  * epub, ocn (object numbers) now link to themselves, clicking on one
    places that object at the top of the viewer

  * document manifest links
    * html, link to "document manifest" remains (links to individual output
      types removed)
    * plaintext, link to "document manifest" fix (links to individual output
      types removed)
    * odf, manifest link fix

  * html search form, configuration check

 -- Ralph Amissah <ralph@amissah.com>  Thu, 09 Dec 2010 12:59:51 -0500

sisu (2.7.8-1) unstable; urgency=medium

  [ Ralph Amissah ] - debian freeze, code fixes

  * i18n, introduce header @make: :language: internationalization using codes
    from http://www.debian.org/international/l10n/po/ at this time for texpdf,
    (able to satify needs of polyglossia for the likes of Brazilian Portugues)
    and in future for po files, where iso:639 for this purpose appears to have
    use limitations http://en.wikipedia.org/wiki/List_of_ISO_639-1_codes
    * param, extract @make: :language: information if provided, default
      "english"
    * i18n, add code list and associated language (as listed by polyglossia)
    * texpdf_format, use param (@make: :language: (default english)), to set
      tex document language header (previously used file naming convention)
    * sisu.vim recognize @make: :language:
      (also elsewhere shortened :lang_code: from :language_code:)

  * internal links
    * dal, exclude parentheses and square brackets from matching
      (requested fix, Ben Armstrong)
    * html, remove space between link & following punctuation, parentheses &/or
      square brackets
      (requested fix, Ben Armstrong)
    * epub, remove space between link & following punctuation, parentheses &/or
      square brackets

  * html
    * remove "copy @" mark
      (requested, Daniel Baumann)
    * segments, title banner (including "copy @" mark) configurable, boolean,
      true/false (default false)
      (requested off option, Daniel Baumann)
    * quick ref links_guide configurable, boolean, true/false (default false)
      (requested off option, Daniel Baumann)

  * config.yml
    * html, seg title banner, boolean true/false setting (commented out,
      default false)
    * html, quick_ref, boolean true/false setting (commented out, default
      false)

 -- Ralph Amissah <ralph@amissah.com>  Sat, 30 Oct 2010 23:49:39 -0400

sisu (2.7.7-1) unstable; urgency=medium

  [ Ralph Amissah ] - debian freeze, code fixes
  * codeblocks, numbered markup option, fix
    (requested fix needed by debian-live:live-manual, Ben Armstrong, Mark
    Schneider, Daniel Baumann)
  * texpdf, codeblocks do not permit empty lines, fix
  * texpdf, bullet text, hanging indent, (regular (not grouped) text), fix
    (requested fix, Ben Armstrong)
  * texpdf, first space following a bullet should be fixed width, fix
    (requested fix and suggested solution, Ben Armstrong)
  * documentation related minor updates and fixes
  * changelog & version updates

 -- Ralph Amissah <ralph@amissah.com>  Sun, 17 Oct 2010 13:37:55 -0400

sisu (2.7.6-1) unstable; urgency=medium

  [ Ralph Amissah ] - debian freeze, code fixes
  * texpdf, codeblocks, code-line continuation backslash dropped, fix
    (requested fix, Ben Armstrong)
  * shared_metadata, odf, url characters to not match
  * sisu_convert, basic conversion script, preliminary fix
  * CHANGELOG v2, recount where some requests came from
  * changelog & version updates

 -- Ralph Amissah <ralph@amissah.com>  Mon, 11 Oct 2010 22:43:27 -0400

sisu (2.7.5-1) unstable; urgency=medium

  [ Ralph Amissah ] - debian freeze, code fixes
  * odt fix cornercase breakage matching and representing "&nbsp", "&" and urls
    * odf, "&nbsp" and "&"
      (prior to this fix, odt for viral_spiral is broken in sisu-markup-samples)
    * shared_metadata, "&nbsp", "&" and urls in metadata
    more consistent open document text results
  * param, metadata rights, keep colon separator from interfering with urls
  * changelog & version updates

 -- Ralph Amissah <ralph@amissah.com>  Sat, 09 Oct 2010 23:18:59 -0400

sisu (2.7.4-1) unstable; urgency=medium

  [ Ralph Amissah ] - debian freeze, code fixes
    (requested fixes related to image scaling; behaviour testing & request by
    Mark Schneider)
  * epub (epub_tune) scaling of images, fix
  * html (html_tune) scaling of images, fix
  * odf:odt, incorporation and scaling of images, fix
  * texpdf, scaling of images (below the set max size), fix
  * changelog & version updates

 -- Ralph Amissah <ralph@amissah.com>  Fri, 08 Oct 2010 19:38:12 -0400

sisu (2.7.3-1) unstable; urgency=medium

  [ Ralph Amissah ] - debian freeze, code fixes (& minor documentation fix)
  * dal_images, where image dimensions are set in an object, use those
    (requested fix, behaviour testing & request by Mark Schneider)
  * hub, fix sisu breakage when -y (manifest) is run without the explicit or
    implicit calling of -m (creation of document abstraction for processing),
    (e.g. when --source or --sisupod is called on its own).
  * urls, cleaning
  * a few aliases added (long options)
  * sisu_markup.sst, document a fix (v1 & 2)

 -- Ralph Amissah <ralph@amissah.com>  Thu, 07 Oct 2010 10:04:02 -0400

sisu (2.7.2-1) unstable; urgency=medium

  [ Ralph Amissah ] - debian freeze, code fixes
  * hub, test whether user name set
    (requested fix, provided by Ben Armstrong)
  * epub, fix breakage where angle brackets used in used metadata header
  * texpdf_format, remove a few commented out lines

 -- Ralph Amissah <ralph@amissah.com>  Fri, 01 Oct 2010 23:45:58 -0400

sisu (2.7.1-1) unstable; urgency=medium

  [ Ralph Amissah ] - debian freeze, code fixes
  * shared_metadata, odt fix breakage where angle brackets used in metadata
    headers; & a typo fix
    (requested fix)
  * manifest, typo fix
  * param, a few fixes (checks, aliases, typo)
  * hub, removed commented out option (git), (already enabled elsewhere)
  * share_src, remove repetition, redundancy
  * texpdf, a5, increase headheight (fix issues where header wrapped)
  * texpdf, provide line-break-points for long directory names
    (requested fix)
  * texinfo, urls cleaned & with angle bracket decoration
  * texinfo ocn decoration a hash (instead of angle braces)
  * texinfo_format, texinfo output broken, fix (Closes: #598063)
    (requested fix)

 -- Ralph Amissah <ralph@amissah.com>  Fri, 01 Oct 2010 09:40:57 -0400

sisu (2.7.0-1) unstable; urgency=low

  [ Ralph Amissah ] - debian freeze, 2.7.0-1 moves 2.6.3-6 upstream
  * CHANGELOGs updated and reported version changed (else as in 2.6.3-6)

 -- Ralph Amissah <ralph@amissah.com>  Fri, 24 Sep 2010 20:31:06 -0400

sisu (2.6.3-6) unstable; urgency=low

  [ Ralph Amissah ] - debian freeze, code fix, (documentation, minor fixes)
  * html, v2 update (including --long-options) (manpage sync adds files)
  * manpage, v2 update (including --long-options)
  * sisu_commands.sst v2 update (including --long-options)
  * help, minor update, revisit  (includes minor fixes)
  * identify markup, update ... revisit
  * urls, sysenv, set manpage viewer to "man"
  * options, bullet proof matches for --long-options (effects minor fix)
    fixes issue noted with --sample-search-form (-F) (in the selection of
    webrick (--webserv-webrick))

 -- Ralph Amissah <ralph@amissah.com>  Mon, 20 Sep 2010 18:18:00 -0400

sisu (2.6.3-5) unstable; urgency=medium

  [ Ralph Amissah ] - debian freeze, code fix, (boilerplate code addition)
  * epub, fix xhtml line-break in rights metadata, results in unreadable epub
    (Closes: #596736) epub output not readable by all epub-reader software (else
    epub output can be viewed in calibre, but not in fbreader or okular)
  * options, add expressive options "--[name]" as alternative to flags "-[x]"
    (boilerplate addition)

 -- Ralph Amissah <ralph@amissah.com>  Mon, 13 Sep 2010 15:27:11 -0400

sisu (2.6.3-4) unstable; urgency=medium

  [ Ralph Amissah ] - debian freeze, code and documentation fixes
  * html_format, xml_format, reduce visibility of sisu in output
  * yml metadata, add subheading for a title
  * html headers do not include the "title" field, fix (Closes: #594949)
    (param, variable not set (presumably since change from v1 to v2))

 -- Ralph Amissah <ralph@amissah.com>  Tue, 31 Aug 2010 09:57:21 -0400

sisu (2.6.3-3) unstable; urgency=medium

  [ Ralph Amissah ] - debian freeze, documentation related changes only
  * minor cleaning of headers (& a fix in book index) in document markup sample
    free_as_in_freedom...
  * update of some links in free_as_in_freedom... list.yml promo.yml
  * debian document markup samples, add copyright and license information

 -- Ralph Amissah <ralph@amissah.com>  Mon, 23 Aug 2010 09:54:33 -0400

sisu (2.6.3-2) unstable; urgency=medium

  [ Ralph Amissah ]
  * debian/control, sisu-pdf, Depends on texlive-xetex added (Closes: #590766),
    replacing Recommends
  * debian/control, sisu-pdf, Depends on lmodern added (Closes: #590767)

 -- Ralph Amissah <ralph@amissah.com>  Thu, 29 Jul 2010 01:00:11 -0400

sisu (2.6.3-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * debian/control, Standards-Version 3.9.1
  * debian/control, Maintainers, Uploaders and Homepage fields updated
  * odf, footnotes, asterisk series (**) fix
  * html_format, epub_format: subtoc, footnote content bug (fix)
  * odf: lt (<), gt (>) fix for codeblocks; &amp fix, messy
  * epub_format, removed some title & author info, check
  * epub_tune, <br /> (from <br>)
  * epub_format, within head, title & author
  * epub, toc copyat link removed
  * manifest, defaults, minimal sisu footer
  * hub, add metaverse run for git (composite files)
  * git, param, refine filename regex for composite files
  * git sisu directory structure, lang dir beneath txt
  * html, links to output formats, remove icons
  * minitoc sisurc configurable (true/false)

 -- Ralph Amissah <ralph@amissah.com>  Wed, 28 Jul 2010 14:51:56 -0400

sisu (2.6.2-2) unstable; urgency=medium

  [ Ralph Amissah ]
  * debian/control update ruby1.9 related depends to ruby1.9.1 (affects
    libfcgi-ruby)

 -- Ralph Amissah <ralph@amissah.com>  Sat, 17 Jul 2010 08:34:14 -0400

sisu (2.6.2-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * param, make header reading more robust (against comments)
  * texpdf, make easier to change or remove left footer
  * texpdf, do not raise copymark (no superscript)
  * texpdf, monospace, decide whether small size font is acceptable
  * vim syntax, match bold in bulleted and indented text
  * texpdf, remove copy @ when no such info provided
  * param, lines breaks in rights all
  * texpdf, asterisk
  * sisu-harvest, sisu --harvest (with man page, & updated manpage references)
  * texpdf, codeblocks, left margin flush
  * html_segments, line space between end of text & bottom navigation bar
  * debian/sisu.install & sisu.manpages include sisu-harvest

 -- Ralph Amissah <ralph@amissah.com>  Thu, 15 Jul 2010 07:41:41 -0400

sisu (2.6.1-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * texpdf, monospace fix
  * dal_syntax, monospace (avoid url match false positive)
  * sysenv default output path fix
  * html_scroll, deals with index & endnotes
  * dal, manifest & metadata headings, non-substantive, ocn removed
  * sisu_manual, minor cleaning
  * debian additional markup samples (move directory)
  * Merge branch 'upstream' into debian/sid
  * markup-samples, remove content, non-modifiable etc.
  * moved markup samples

 -- Ralph Amissah <ralph@amissah.com>  Fri, 09 Jul 2010 15:12:46 -0400

sisu (2.6.0-1) unstable; urgency=medium

  [ Ralph Amissah ]
  * new upstream, see upstream changelog
  * version.yml moved to /usr/share/sisu/v2/v (from /etc/sisu)
  * alternative sisu command names for producing single output types
    sisu-pdf, sisu-html, sisu-odf, sisu-epub, sisu-txt, sisu-pg, sisu-sqlite
  * manpages added for command names

  [ Daniel Baumann ]
  * manpages added & update
  * added year in copyright file for setup.rb
  * update year in copyright file
  * wrap depends in control to 80 chars per line
  * use standards version to 3.9.0
  * use Debhelper 7 minimized rules file
  * prefix NEWS.Debian with package name
  * removal of whitespace at eol

 -- Ralph Amissah <ralph@amissah.com>  Thu, 08 Jul 2010 08:02:18 -0400

sisu (2.5.1-1) unstable; urgency=medium

  * new upstream, a fix (xetex set program default font if none configured),
    see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Sat, 12 Jun 2010 00:50:24 -0400

sisu (2.5.0-1) unstable; urgency=medium

  * new upstream, texpdf select font, default requires Liberation fonts be
    installed, some other small fixes, see upstream changelog

  * depends ttf-liberation

  * suggests calibre

 -- Ralph Amissah <ralph@amissah.com>  Fri, 11 Jun 2010 22:08:47 -0400

sisu (2.4.3-1) unstable; urgency=medium

  * new upstream, makes vim ftplugin a bit less intrusive, see upstream
    changelog

 -- Ralph Amissah <ralph@amissah.com>  Sat, 05 Jun 2010 20:25:50 -0400

sisu (2.4.2-1) unstable; urgency=medium

  * new upstream, small adjustments, see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Tue, 01 Jun 2010 22:57:22 -0400

sisu (2.4.1-1) unstable; urgency=medium

  * new upstream, small fixes, see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Wed, 26 May 2010 19:19:29 -0400

sisu (2.4.0-1) unstable; urgency=medium

  * new upstream, internal document linking, see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Wed, 26 May 2010 15:40:43 -0400

sisu (2.3.5-1) unstable; urgency=medium

  * new upstream, small fixes, see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Tue, 18 May 2010 22:50:23 -0400

sisu (2.3.4-1) unstable; urgency=medium

  * new upstream, small adjustments and fixes, see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Thu, 13 May 2010 09:54:48 -0400

sisu (2.3.3-1) unstable; urgency=medium

  * new upstream, small adjustments and fixes, see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Wed, 05 May 2010 18:35:48 -0400

sisu (2.3.2-1) unstable; urgency=medium

  * new upstream, small adjustments and fixes, see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Mon, 03 May 2010 19:18:35 -0400

sisu (2.3.1-1) unstable; urgency=medium

  * new upstream, one line fix, see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Wed, 28 Apr 2010 00:20:35 -0400

sisu (2.3.0-1) unstable; urgency=medium

  * new upstream including sql db structure change, addition of oclc number
    (v2c), disruptive where sisu search is used it is necessary to recreate db
    and tables and populate; search forms must be redone to take account of db
    changes; release includes many small fixes, see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Tue, 27 Apr 2010 19:51:23 -0400

sisu (2.2.0-1) unstable; urgency=medium

  * new upstream, sql db structure changes (v2b), disruptive where sisu search
    is used it is necessary to recreate db and tables and populate; search
    forms must be redone to take account of db changes; release includes many
    fixes, see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Tue, 20 Apr 2010 19:33:31 -0400

sisu (2.1.0-1) unstable; urgency=medium

  * new upstream, sql db structure changes, disruptive must recreate db and
    tables and populate; search forms must be redone to take account of db
    changes; release includes fixes, see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Fri, 16 Apr 2010 11:31:54 -0400

sisu (2.0.5-1) unstable; urgency=medium

  * new upstream, minor fix release, see upstream changelog
    [inter alia: harvest topics; manifest search form for db; sql search form;
    db_create issue for sqlite]

 -- Ralph Amissah <ralph@amissah.com>  Wed, 31 Mar 2010 19:46:01 -0400

sisu (2.0.4-1) unstable; urgency=medium

  * new upstream, minor fix release, see upstream changelog
    [inter alia re: use of param title.full, [fix occasional sql load
    breakage]]

 -- Ralph Amissah <ralph@amissah.com>  Tue, 23 Mar 2010 19:46:41 -0400

sisu (2.0.3-1) unstable; urgency=medium

  * new upstream, minor fix release, see upstream changelog
    [inter alia fix to occasional odf:odt breakage]

 -- Ralph Amissah <ralph@amissah.com>  Mon, 22 Mar 2010 20:11:15 -0400

sisu (2.0.2-1) unstable; urgency=medium

  * new upstream, minor fix release, see upstream changelog
    [inter alia fix to occasional sql load breakage]

 -- Ralph Amissah <ralph@amissah.com>  Sun, 21 Mar 2010 11:27:21 -0400

sisu (2.0.1-1) unstable; urgency=medium

  * new upstream, minor fix release, (most significant related to html tables)
    see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Wed, 17 Mar 2010 15:44:23 -0400

sisu (2.0.0-1) unstable; urgency=low

  * new upstream, introducing v2 with new middle layer and downstream
    libraries; includes epub output

  * sisu v2 installed by default as sisu

  * debian/sisu.install now installs version 1 and version 2 libraries

  * debian/control package description adds mention of Epub output introduced
    with this version

  * same lintian overrides added to version 2 as were in version 1, some sample
    scripts are provided as text, and not intended to be executable

  * debian News provided for this version, warning of incompatibility with
    version 1 markup, brought about by change to document header

 -- Ralph Amissah <ralph@amissah.com>  Sat, 06 Mar 2010 06:50:00 -0500

sisu (1.0.3-1) unstable; urgency=medium

  * upstream, plaintext footnote / endnote fix, and in sample skins
    specification of utf-8 (in some cases needed by ruby 1.9.1)

  * move ruby 1.9 branch to 1.9.1 from 1.9.0 (this should address #569888, if
    not reopen) (Closes: #569888)

  * update standards version to 3.8.4 (from 3.8.3)

  * medium urgency retained (previous upload transition to testing prevented by
    #569888)

 -- Ralph Amissah <ralph@amissah.com>  Wed, 17 Feb 2010 11:06:01 -0500

sisu (1.0.2-1) unstable; urgency=medium

  * upstream, sample markup document, markup modified, affects document
    numbering

  * medium urgency retained, as impedes progress of previous upload,
    (modification needed for future consistency)

 -- Ralph Amissah <ralph@amissah.com>  Wed, 10 Feb 2010 16:51:20 -0500

sisu (1.0.1-1) unstable; urgency=medium

  * upstream contains an odf fix

  * markup samples directory structure, minor adjustments, (and no longer
    shared by package sisu_markup_samples, about which, see that package)

 -- Ralph Amissah <ralph@amissah.com>  Mon, 08 Feb 2010 21:45:17 -0500

sisu (1.0.0-1) unstable; urgency=low

  * version 1 declared and directory structure modified to allow parallel
    development of version 2, through introduction v1 directories where
    needed (the moving of sample markup files helps account for large
    diffs)

  * sisu markup, old style header support dropped to simplify and make cleaner
    introduction of version 2 headers, (i.e./e.g. old style headers like
    '0~title' are no longer supported, use '@title:')

  * debian/sisu.install explicit mention of a number of files to make debian
    switch to version 2 trivial

  * debian/control "conflicts" and "replaces" versions of sisu-markup-samples
    (non-free, due to copyright restrictions on modifying original text) 1.0.11
    and older due to package directory structure changes

  * debian/control "recommends" removed for hyperestraier; "suggests" removed
    for kdissert

  * debian/sisu.lintian-overrides, maintained with changed directory structure

  * documentation, modified description of command flags -m and -n (in line
    with communication on bug report) (Closes: #555496)

 -- Ralph Amissah <ralph@amissah.com>  Sun, 20 Dec 2009 19:05:08 -0500

sisu (0.71.4-1) unstable; urgency=low

  * new upstream, sql fix, population of databases see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Sat, 29 Aug 2009 23:46:52 -0400

sisu (0.71.3-1) unstable; urgency=low

  * new upstream with fix to use imagemagick directly (when imagemagick is
    available and rmagick declares versions not in sync)

  * switch to latest Standards-Version 3.8.3

 -- Ralph Amissah <ralph@amissah.com>  Fri, 28 Aug 2009 16:02:11 -0400

sisu (0.71.2-1) unstable; urgency=low

  * new upstream with a couple of fixes, see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Sun, 02 Aug 2009 12:01:28 -0400

sisu (0.71.1-1) unstable; urgency=low

  * new upstream with relatively minor adjustments that are nonetheless worth
    including, see upstream changelog

  * debian/control added imagemagick as ruby 1.9.* rmagick package not yet
    available program will system call imagemagick identify where needed
    directly in absence of rmagick

  * debian/sisu.install make libraries available to ruby 1.9 currently 1.9.0
    (commencement of further testing awaits imminent upload ruby 1.9.1 and
    subsequent build)

 -- Ralph Amissah <ralph@amissah.com>  Fri, 24 Jul 2009 21:33:56 -0400

sisu (0.71.0-1) unstable; urgency=low

  * upstream lib/sisu version directory moved from v0 to v1

  * upstream housekeeping, see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Thu, 09 Jul 2009 10:45:01 -0400

sisu (0.70.6-1) unstable; urgency=medium

  * fixes to sql interface

  * fix to generated sample search form

  * debian/control sisu-pdf Suggests: evince | pdf-viewer  (Closes: #516714)

  * switch to latest version of Debian Policy
    (Standards-Version 3.8.2 instead of 3.8.0)

 -- Ralph Amissah <ralph@amissah.com>  Wed, 01 Jul 2009 10:58:47 -0400

sisu (0.70.5-1) unstable; urgency=low

  * new minor upstream release, see upstream changelog

  * debian/ new year cleaning:
    * debian/copyright use parse-able format;
    * debian/rules cleanup;
    * debian/control fcgi-ruby made a dependency for sisu-postgresql and
      sisu-sqlite as sample script needs it, git repo move noted, package
      description touched;
    * removed sisu.postrm, forced removal on purge /etc/sisu draconian if
      it contains admin edits
    * minor sorting

  * note git repo moved:
    <http://git.sisudoc.org/?p=code/sisu.git;a=summary>

 -- Ralph Amissah <ralph@amissah.com>  Sun, 18 Jan 2009 00:38:58 -0400

sisu (0.70.4-1) unstable; urgency=medium

  * new upstream, see upstream changelog, sisu-pdf, workaround necessitated by
    texlive behaving differently with tilde characters, similar to recent issue
    with tetex behavior with "bullet" mark

 -- Ralph Amissah <ralph@amissah.com>  Wed, 31 Dec 2008 00:35:29 -0400

sisu (0.70.3-1) unstable; urgency=medium

  * new upstream, see upstream changelog, fixes to sqlite3 component and minor
    fix and cosmetic modification to some html

  * new dependency on libsqlite3-ruby, now used to populate sqlite3 db

 -- Ralph Amissah <ralph@amissah.com>  Wed, 24 Dec 2008 00:08:39 -0400

sisu (0.70.2-1) unstable; urgency=medium

  * new upstream, see upstream changelog, includes a fix and a minor
    manpage/help update

 -- Ralph Amissah <ralph@amissah.com>  Tue, 16 Dec 2008 00:45:19 -0400

sisu (0.70.1-1) unstable; urgency=medium

  * new upstream, see upstream changelog, includes fixes, better integration of
    harvest, and additional metadata fields

 -- Ralph Amissah <ralph@amissah.com>  Sun, 14 Dec 2008 00:31:23 -0400

sisu (0.70.0-1) unstable; urgency=low

  * new upstream, see upstream changelog, includes a sisu site metadata harvest
    module, version bump for minor syntax alteration, introduction of a
    formatting rule for header author / creator field

 -- Ralph Amissah <ralph@amissah.com>  Tue, 02 Dec 2008 23:58:12 -0400

sisu (0.69.4-1) unstable; urgency=low

  * new upstream, notably includes emacs highlighting for sisu sisu-mode.el
    see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Mon, 04 Nov 2008 18:38:01 -0400

sisu (0.69.3-1) unstable; urgency=low

  * new upstream, see upstream changelog, contains minor fix in manifest
    reporting of markup source files (sisupod (.zip) where provided)

 -- Ralph Amissah <ralph@amissah.com>  Fri, 10 Oct 2008 22:28:11 -0400

sisu (0.69.2-1) unstable; urgency=low

  * new upstream, see upstream changelog
    (sample sisu markup "Free as in Freedom": book index markers included)

  * [debian/changelog corrected previous entry for 0.69.1 (which was a
    repetition of 0.69.0)]

 -- Ralph Amissah <ralph@amissah.com>  Fri, 19 Sep 2008 19:08:16 -0400

sisu (0.69.1-1) unstable; urgency=low

  * new upstream, contains fix, see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Wed, 17 Sep 2008 00:08:08 -0400

sisu (0.69.0-1) unstable; urgency=low

  * new upstream, see upstream changelog, many changes

 -- Ralph Amissah <ralph@amissah.com>  Tue, 16 Sep 2008 00:38:28 -0400

sisu (0.68.0-1) unstable; urgency=medium

  * new upstream, should be easier to maintain, see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Tue, 22 Jul 2008 20:03:58 -0400

sisu (0.67.5-1) unstable; urgency=medium

  * texpdf fixes (xetex xelatex processing instruction and for A5 landscape),
    see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Sat, 12 Jul 2008 14:49:02 -0400

sisu (0.67.4-1) unstable; urgency=medium

  * fixes (remote source files, default processing directory), see upstream
    changelog

 -- Ralph Amissah <ralph@amissah.com>  Sat, 12 Jul 2008 01:09:52 -0400

sisu (0.67.3-1) unstable; urgency=medium

  * fixes, (help env and fix of pdf papersize), see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Thu, 03 Jul 2008 23:04:30 -0400

sisu (0.67.2-1) unstable; urgency=medium

  * upstream fix for xetex landscape pdfs

 -- Ralph Amissah <ralph@amissah.com>  Wed, 02 Jul 2008 22:13:02 -0400

sisu (0.67.1-2) unstable; urgency=medium

  * package updated to follow the last version of Debian Policy
    (Standards-Version 3.8.0 instead of 3.7.3)

 -- Ralph Amissah <ralph@amissah.com>  Sun, 22 Jun 2008 23:53:28 -0400

sisu (0.67.1-1) unstable; urgency=low

  * minor upstream update

  * vim-addon policy compliance (Closes: #464824)

 -- Ralph Amissah <ralph@amissah.com>  Tue, 27 May 2008 19:34:22 -0400

sisu (0.67.0-1) unstable; urgency=low

  * new upstream, minor modification/simplification of markup syntax for files
    imported to a composite/master document results in automatic version bump,
    see upstream changelog and man pages

  * vim syntax modified to reflect change in markup syntax

  * debian / vim-addon-manager, investigate use of

 -- Ralph Amissah <ralph@amissah.com>  Thu, 22 May 2008 22:01:19 -0400

sisu (0.66.3-1) unstable; urgency=low

  * new upstream, see upstream changelog

  * debhelper 7

  * debian/control vcs info added

 -- Ralph Amissah <ralph@amissah.com>  Sun, 11 May 2008 14:29:34 -0400

sisu (0.66.2-1) unstable; urgency=low

  * new upstream, see upstream changelog

  * ruby-dbi dependencies in sisu-postgresql ruby and sisu-sqlite refer to
    ruby version 1.8

 -- Ralph Amissah <ralph@amissah.com>  Fri, 25 Apr 2008 04:44:31 +0100

sisu (0.66.1-1) unstable; urgency=low

  * new upstream, see changelog

  * debhelper (>= 6)

  * sisu-pdf recommends texlive-xetex

  * [this changelog, cleaned trailing whitespaces]

 -- Ralph Amissah <ralph@amissah.com>  Sun, 30 Mar 2008 02:02:54 +0100

sisu (0.66.0-1) unstable; urgency=low

  * new upstream, (version bump markup tag related) see changelog

 -- Ralph Amissah <ralph@amissah.com>  Sun, 24 Feb 2008 22:44:20 +0000

sisu (0.65.0-1) unstable; urgency=low

  * new upstream, (version bump markup tag related) see changelog

 -- Ralph Amissah <ralph@amissah.com>  Sat, 16 Feb 2008 02:56:00 +0000

sisu (0.64.4-1) unstable; urgency=low

  * new upstream, minor, see changelog, (markup tag related)

  * debian control description db names PostgreSQL and SQLite the former
    requested by lintian

 -- Ralph Amissah <ralph@amissah.com>  Thu, 14 Feb 2008 06:11:58 +0000

sisu (0.64.3-1) unstable; urgency=low

  * new upstream minor, see changelog, (related to open source ecosystem
    upgrade transition: ruby 1.9; postgresql 8.3 [interim])

 -- Ralph Amissah <ralph@amissah.com>  Wed, 06 Feb 2008 00:21:00 +0000

sisu (0.64.2-1) unstable; urgency=low

  * new upstream, minor, see changelog

  * debian/control permit use with ruby 1.8 upgrade
    (however limit retained on use with ruby 1.9)

 -- Ralph Amissah <ralph@amissah.com>  Sat, 19 Jan 2008 03:37:11 +0000

sisu (0.64.1-1) unstable; urgency=medium

  * new upstream with odf bugfix, see changelog

 -- Ralph Amissah <ralph@amissah.com>  Wed, 09 Jan 2008 06:16:44 +0000

sisu (0.64.0-1) unstable; urgency=medium

  * new upstream, see changelog, includes modifications to:
    * processing files moved to user owned directory under
      /tmp/_sisu_processing~
    * newly created databases primary keys;
    * postgresql populating affecting use of tcp/ip sockets;

  * debian/sisu.postrm should fix #454372

 -- Ralph Amissah <ralph@amissah.com>  Wed, 02 Jan 2008 23:16:22 +0000

sisu (0.63.0-1) unstable; urgency=medium

  * new upstream, latex for pdf (landscape & portrait etc.) generated in single
    pass [accounts for version bump], and contains rsync bugfix for sisupod
    (remote placement, and for download and processing) [accounts for medium
    urgency], see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Thu, 20 Dec 2007 00:25:51 +0000

sisu (0.62.4-1) unstable; urgency=medium

  * upstream with fix, and adjustment to gpl3 links

  * debian build update

  * debian/watch file

  * DM upload

  * gpg/pgp signature used changed (now B98F62B1 before BD76E77F)

 -- Ralph Amissah <ralph@amissah.com>  Fri, 14 Dec 2007 21:41:13 +0000

sisu (0.62.3-3) unstable; urgency=medium

  * Dm-Upload-Allowed field needs XS- prefex

 -- Ralph Amissah <ralph@amissah.com>  Fri, 30 Nov 2007 22:14:47 +0000

sisu (0.62.3-2) unstable; urgency=medium

  * debian/changelog (take more care with git reset)

 -- Ralph Amissah <ralph@amissah.com>  Thu, 29 Nov 2007 01:42:04 +0000

sisu (0.62.3-1) unstable; urgency=medium

  * new upstream with minor fixes, see changelog

  * debian/control Dm-Upload-Allowed: yes

 -- Ralph Amissah <ralph@amissah.com>  Tue, 27 Nov 2007 02:43:18 +0000

sisu (0.62.2-1) unstable; urgency=medium

  * new upstream, minor, but contains a bugfix to do with remote markup source
    that contains images, see changelog

  * debian/control 'Homepage:' field (and accompanying lintian override)

 -- Ralph Amissah <ralph@amissah.com>  Sat, 03 Nov 2007 01:48:41 +0000

sisu (0.62.1-1) unstable; urgency=medium

  * new upstream with minor regex match fix, replaces previous as debian
    upload

 -- Ralph Amissah <ralph@amissah.com>  Mon, 22 Oct 2007 19:42:07 +0100

sisu (0.62.0-1) unstable; urgency=medium

  * new upstream, several things, see upstream changelog

  * some output directories moved that will require manual fixing for existing
    sites, [outputpath]/_sisu/image_local becomes [outputpath]/_sisu/image;
    [outputpath]/_sisu/image for system images becomes
    [outputpath]/_sisu/image_sys; shared source if any now is placed in separate
    directories, [outputpath]/src for shared markup text, [outputpath]/pod for
    shared (zipped) sisupods [accounts for version bump]

  * debian/control added 'Depends' on rsync (previously 'Recommends') as used
    even more extensively

  * debian/control, 'Replaces' and 'Conflicts' placed on sisu-doc sub-package
    which was introduced for the duration of the 0.59 release series only,
    (and never uploaded to Debian), [unlikely to exist, remove if it does]

 -- Ralph Amissah <ralph@amissah.com>  Sat, 20 Oct 2007 15:04:38 +0100

sisu (0.61.0-1) unstable; urgency=medium

  * new upstream, consolidates changes introduced in 0.59 and 0.60 series,
    version bump due to change in treatment of available text outputs markup
    shortcut, results now presented as a single object (changes the resulting
    object numbering for document where used), includes some fixes

 -- Ralph Amissah <ralph@amissah.com>  Fri, 12 Oct 2007 20:59:45 +0100

sisu (0.60.1-1) unstable; urgency=low

  * new upstream with minor fixes

 -- Ralph Amissah <ralph@amissah.com>  Sun, 07 Oct 2007 14:22:08 +0100

sisu (0.60.0-2) unstable; urgency=low

  * debian/changelog, removed references to sisu-doc sub-package, (introduced
    in 0.59 and removed again in 0.60)

 -- Ralph Amissah <ralph@amissah.com>  Thu, 04 Oct 2007 19:31:32 +0100

sisu (0.60.0-1) unstable; urgency=low

  * new upstream, contains a number of additions/fixes (see changelog) and
    source tarball back to sane size (after 0.59 inflation, not in debian
    archive), this includes sisu documentation as sisu source, but no generated
    output, other than a few man pages, rationale for change provided in
    upstream changelog

  * [Note: previous 0.59 builds were not for debian upload]

 -- Ralph Amissah <ralph@amissah.com>  Wed, 03 Oct 2007 04:53:48 +0100

sisu (0.59.1-1) unstable; urgency=low

  * new upstream, minor fixes, see changelog

 -- Ralph Amissah <ralph@amissah.com>  Tue, 25 Sep 2007 03:14:21 +0100

sisu (0.59.0-1) unstable; urgency=low

  * new upstream, primarily documentation, new sub-package sisu-doc, increases
    size of package considerably, many other changes, see changelog

  * debian/control restrict ruby use: 1.8.4 < ruby < 1.9

  * debian package specific manpages moved to main package

  * debian note: lintian warnings on some sisu generated man-pages - certain
    characters and line-breaks

 -- Ralph Amissah <ralph@amissah.com>  Sun, 23 Sep 2007 19:32:17 +0100

sisu (0.58.3-1) unstable; urgency=low

  * new upstream, minor detail, see changelog

 -- Ralph Amissah <ralph@amissah.com>  Thu, 06 Sep 2007 18:35:51 +0100

sisu (0.58.2-1) unstable; urgency=low

  * new upstream, detail, composite documents, code-block exception

 -- Ralph Amissah <ralph@amissah.com>  Wed, 05 Sep 2007 21:00:16 +0100

sisu (0.58.1-1) unstable; urgency=low

  * new upstream with minor fixes for grouped text (primarily code-blocks),
    see changelog

 -- Ralph Amissah <ralph@amissah.com>  Tue, 04 Sep 2007 22:23:59 +0100

sisu (0.58.0-1) unstable; urgency=low

  * new upstream, mostly to do with escaping code-blocks from being marked up,
    see changelog

  * debian/changelog kdissert and trang moved to Suggests, minor reordering

 -- Ralph Amissah <ralph@amissah.com>  Mon, 03 Sep 2007 23:14:43 +0100

sisu (0.57.0-1) unstable; urgency=low

  * new upstream, cleaning up output (as opposed to code), a minor syntax
    addition, and change to sisurc.yml for search forms, see changelog

 -- Ralph Amissah <ralph@amissah.com>  Thu, 23 Aug 2007 01:30:10 +0100

sisu (0.56.3-1) unstable; urgency=low

  * new upstream, minor fixes, see changelog

 -- Ralph Amissah <ralph@amissah.com>  Sun, 19 Aug 2007 02:47:40 +0100

sisu (0.56.2-1) unstable; urgency=medium

  * new upstream, odf fix, see changelog

 -- Ralph Amissah <ralph@amissah.com>  Tue, 31 Jul 2007 21:16:20 +0100

sisu (0.56.1-1) unstable; urgency=medium

  * new upstream, minor refinement in a regex match, see changelog

 -- Ralph Amissah <ralph@amissah.com>  Tue, 31 Jul 2007 19:04:59 +0100

sisu (0.56.0-1) unstable; urgency=medium

  * same as 0.55.7, more significant version number used to flag (minor)
    change to search db structure, (which may necessitate rebuild if used),
    see changelog

 -- Ralph Amissah <ralph@amissah.com>  Tue, 31 Jul 2007 01:54:22 +0100

sisu (0.55.7-1) unstable; urgency=medium

  * new upstream, minor adjustments, some such as increase of auto-generated
    identifier db field size verge on fixes, also addition of semi-colon as
    possible url terminator, see changelog

 -- Ralph Amissah <ralph@amissah.com>  Tue, 31 Jul 2007 00:04:10 +0100

sisu (0.55.6-1) unstable; urgency=medium

  * new upstream, see changelog, includes url match fix and refinements

  * vim syntax and ftplugin files moved back to /usr/share/vim/addons

  * debian/control added recommends vim-addon-manager

 -- Ralph Amissah <ralph@amissah.com>  Sat, 28 Jul 2007 14:20:12 +0100

sisu (0.55.5-1) unstable; urgency=medium

  * initialize output directory, fix (Closes: #434168)

  * vim syntax and ftplugin files install moved to /usr/share/vim-scripts

  * minor upstream changes see changelog

 -- Ralph Amissah <ralph@amissah.com>  Sun, 22 Jul 2007 11:17:32 +0100

sisu (0.55.4-1) unstable; urgency=medium

  * new upstream, minor fix, see changelog

 -- Ralph Amissah <ralph@amissah.com>  Fri, 20 Jul 2007 07:44:03 +0100

sisu (0.55.3-1) unstable; urgency=medium

  * new upstream, polishing, see changelog

  * debian, renamed editor syntax file directory

 -- Ralph Amissah <ralph@amissah.com>  Sat, 14 Jul 2007 10:31:07 +0100

sisu (0.55.2-1) unstable; urgency=medium

  * new upstream, various small fixes and improvements, see changelog

 -- Ralph Amissah <ralph@amissah.com>  Sat, 07 Jul 2007 09:32:37 +0100

sisu (0.55.1-1) unstable; urgency=low

  * new upstream, reviewed and reposted, includes fixes to dal and odf, see
    changelog

 -- Ralph Amissah <ralph@amissah.com>  Mon, 02 Jul 2007 18:14:01 +0100

sisu (0.55.0-1) unstable; urgency=low

  * License change - GPL v3 or later

  * make lib available to ruby 1.9

  * New upstream including some fixes, see changelog

 -- Ralph Amissah <ralph@amissah.com>  Sun, 01 Jul 2007 11:41:09 +0100

sisu (0.54.1-1) unstable; urgency=low

  * new upstream, with fix in cgi-search related to match highlighting, see
    upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Fri, 15 Jun 2007 12:59:25 +0100

sisu (0.54.0-1) unstable; urgency=low

  * new upstream, minor additions to syntax, extended indent levels, see
    upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Thu, 14 Jun 2007 10:49:58 +0100

sisu (0.53.0-1) unstable; urgency=low

  * new upstream, housekeeping, see upstream changelog
    * [OT, note] scm switched to git
    * lib placed in v0 (instead of 0.53)

 -- Ralph Amissah <ralph@amissah.com>  Sat, 02 Jun 2007 11:29:59 +0100

sisu (0.52.7-1) unstable; urgency=low

  * new upstream, texpdf minor fix

 -- Ralph Amissah <ralph@amissah.com>  Thu, 17 May 2007 20:39:29 +0100

sisu (0.52.6-1) unstable; urgency=low

  * new upstream, minor fix

 -- Ralph Amissah <ralph@amissah.com>  Mon, 14 May 2007 00:14:33 +0100

sisu (0.52.5-1) unstable; urgency=low

  * dependencies updated (Closes: #419294) [thanks for report Martin Pitt]

  * new upstream, minor changes related to setting of TCP/IP port to permit
    the change of postgresql database version. (you may need to check the
    postgresql port used and set it appropriately for your system, by setting
    PGPORT or making sure sisurc.yml has the right value if the postgresql
    default 5432 is not used). Postgresql database upgrades in debian that are
    used by sisu should occur independently of sisu version.

 -- Ralph Amissah <ralph@amissah.com>  Thu, 10 May 2007 01:50:08 +0100

sisu (0.52.4-1) unstable; urgency=low

  * new upstream, see changelog

  * debhelper >= 5

 -- Ralph Amissah <ralph@amissah.com>  Sat, 05 May 2007 10:51:18 +0100

sisu (0.52.3-1) unstable; urgency=medium

  * texpdf (LaTeX:pdf) utf-8 headers adjusted to work with new file magic
    information (utf-8 markup file is assumed)

  * debian/control, reverted postgresql dependencies to 0.52.1 until update of
    ruby drivers to comply with suggestions in #419294

 -- Ralph Amissah <ralph@amissah.com>  Thu, 26 Apr 2007 02:42:55 +0100

sisu (0.52.2-1) unstable; urgency=low

  * debian/control, postgresql dependency update, (was intended to close
    419294) [thank you for report Martin Pitt]

  * minor upstream adjustment todo with links to generated output in html, see
    changelog

 -- Ralph Amissah <ralph@amissah.com>  Sat, 21 Apr 2007 15:21:37 +0100

sisu (0.52.1-1) unstable; urgency=low

  * new upstream, minor, see changelog

 -- Ralph Amissah <ralph@amissah.com>  Sat, 14 Apr 2007 17:56:19 +0100

sisu (0.52.0-1) unstable; urgency=low

  * new upstream, introduces:
    * declared filetype identifier,
    * a default action for 'sisu [recognised filename]'
    * gpl3 draft 3 as document markup sample
    and includes minor fixes, see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Sat, 07 Apr 2007 05:44:03 +0100

sisu (0.51.0-1) unstable; urgency=low

  * new upstream, mostly refactoring, but include changes to skins (their
    simplification) which results in the need to modify existing skins
    accordingly.

 -- Ralph Amissah <ralph@amissah.com>  Sat, 31 Mar 2007 10:56:14 +0100

sisu (0.50.4-1) unstable; urgency=low

  * new upstream, fixes to sample generated search form (cgi)

 -- Ralph Amissah <ralph@amissah.com>  Sat, 24 Mar 2007 09:32:49 +0000

sisu (0.50.3-1) unstable; urgency=low

  * new upstream, minor fixes

 -- Ralph Amissah <ralph@amissah.com>  Sat, 17 Mar 2007 16:05:32 +0000

sisu (0.50.2-1) unstable; urgency=low

  * new upstream, many small changes, most significant to do with integration
    of access to search features. Minor help updates. See upstream changelog

  * debian control, minor update to package description

 -- Ralph Amissah <ralph@amissah.com>  Sat, 17 Mar 2007 01:28:01 +0000

sisu (0.50.1-1) unstable; urgency=low

  * new upstream, several minor adjustments, most notably indexes not built
    (automatically) on postgresql text/content and endnote fields, (rely on
    tsearch, suggest manual building of Gin index), see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Sat, 10 Mar 2007 00:56:59 +0000

sisu (0.50.0-1) unstable; urgency=low

  * new upstream, several modest changes, see upstream changelog

  * yaml files renamed with .yml extension including sisurc.yml

 -- Ralph Amissah <ralph@amissah.com>  Tue,  6 Mar 2007 02:23:56 +0000

sisu (0.49.2-1) unstable; urgency=low

  * new upstream, minor adjustments, see version manifest

 -- Ralph Amissah <ralph@amissah.com>  Sat, 24 Feb 2007 10:44:54 +0000

sisu (0.49.1-1) unstable; urgency=low

  * new upstream, see version manifest

 -- Ralph Amissah <ralph@amissah.com>  Sat, 10 Feb 2007 10:36:45 +0000

sisu (0.49.0-1) unstable; urgency=low

  * 0.49 opened [see 0.48.8-10] merged 0.48.8-10 upstream

 -- Ralph Amissah <ralph@amissah.com>  Fri, 26 Jan 2007 00:38:04 +0000

sisu (0.48.12-1) unstable; urgency=low

  * [see 0.48.8-8] merged 0.48.8-8 upstream (Etch freeze is at 0.48.8)

 -- Ralph Amissah <ralph@amissah.com>  Wed, 24 Jan 2007 22:47:02 +0000

sisu (0.48.11-1) unstable; urgency=low

  * [see 0.48.8-7] merged 0.48.8-7 upstream (Etch freeze is at 0.48.8)
    originally built on Fri, 12 Jan 2007 23:23:07 +0000

 -- Ralph Amissah <ralph@amissah.com>  Wed, 24 Jan 2007 22:37:06 +0000

sisu (0.48.10-1) unstable; urgency=low

  * [see 0.48.8-6] merged 0.48.8-6 upstream (Etch freeze is at 0.48.8)
    originally built on Mon,  8 Jan 2007 22:25:23 +0000

 -- Ralph Amissah <ralph@amissah.com>  Wed, 24 Jan 2007 22:28:07 +0000

sisu (0.48.9-1) unstable; urgency=low

  * [see 0.48.8-2] merged 0.48.8-2 upstream (Etch freeze is at 0.48.8)
    originally built on Wed, 27 Dec 2006 15:02:13 +0000

 -- Ralph Amissah <ralph@amissah.com>  Wed, 24 Jan 2007 21:09:40 +0000

sisu (0.48.8-11) unstable; urgency=medium

  * build "stable"
    (based on stable upstream release = = = 0.49.1-1)

  * Debian release snapshot, uploaded by Daniel Baumann

 -- Ralph Amissah <ralph@amissah.com>  Fri, 16 Feb 2007 00:36:09 +0000

sisu (0.48.8-10) unstable; urgency=medium

  * xml and xhtml adjustment of regex match of urls for xlink

  * Debian release snapshot, uploaded by Daniel Baumann

 -- Ralph Amissah <ralph@amissah.com>  Tue, 23 Jan 2007 01:34:20 +0000

sisu (0.48.8-9) unstable; urgency=medium

  * use ISO 639-2 for language codes (Closes: #407937)
    and related changes to help and man pages

  * removed Danish sample markup files, (which need to be renamed da instead of
    dk following iso 639-2) to reduce the size of the inter-diff against the
    package in testing

  * sisupod fixes:
    * safeguard against accidental zipping (making sisupod) of entire
      document markup directory, requests confirmation of action
      (Closes: #407932)
    * sisupod initialisation (and generation) in new work directory,
      issue fixed (Closes: #407943)

  * xml and xhtml several adjustments with related css changes
    (Closes: #407938)

  * vim syntax highlighting, minor fix to catch an existing markup shortcut
    (Closes: #407941)

  * cosmetic fixes:
    * html toc author line
    * debian document samples, tex pdf page break instruction
      adjusted/corrected

  * Debian release snapshot, uploaded by Daniel Baumann

 -- Ralph Amissah <ralph@amissah.com>  Mon, 22 Jan 2007 17:33:43 +0000

sisu (0.48.8-8) unstable; urgency=medium

  * use ISO 639-2 for language codes, [best implement now]
    (also results in renaming of some document samples)

  * sisupod fixes:
    * added safeguard against accidental zipping (making sisupod) of entire
      document markup directory, requests confirmation
    * sisupod initialisation (and generation) in new work directory, fixed

  * xml and xhtml several adjustments with related css changes

  * cosmetic fixes:
    * html toc author line
    * debian document samples, tex pdf page break instruction
      adjusted/corrected

  * Debian release snapshot, uploaded by Daniel Baumann

 -- Ralph Amissah <ralph@amissah.com>  Sun, 21 Jan 2007 04:35:06 +0000

sisu (0.48.8-7) unstable; urgency=medium

  * modifications to sample search form introduced in -4 break it, reverted
    (to use of static path for cgi-bin)
    (Closes: #406281, Closes: #406280) [same bug]

  * debian/control removed suggests in sisu-sqlite and sisu-postgresql on
    libdbd-sqlite and libdbd-pgsql respectively, as they are not present in
    testing/Etch
    (Closes: #406282, Closes: #406284)

  * sisu html man page updated/regenerated (from man page)

  * Debian Etch related fix (cleared by Marc 'HE' Brockschmidt), uploaded by
    Daniel Baumann

 -- Ralph Amissah <ralph@amissah.com>  Wed, 10 Jan 2007 04:58:09 +0000

sisu (0.48.8-6) unstable; urgency=medium

  * sisu-pdf texlive dependency adjusted on feedback from Norbert Preining
    (Closes: #402807)
     <http://lists.debian.org/debian-tex-maint/2007/01/msg00034.html>
     <http://lists.debian.org/debian-tex-maint/2007/01/msg00033.html>

  * Debian Etch related fix (cleared by Marc 'HE' Brockschmidt), uploaded by
    Daniel Baumann

 -- Ralph Amissah <ralph@amissah.com>  Wed,  3 Jan 2007 17:21:27 +0000

sisu (0.48.8-5) unstable; urgency=medium

  * sisu-pdf texlive dependencies shortened and free from use of metapackages
    [this should close #402807]

  * year rollover 2006 has become 2007, Happy New Year.

  * Debian Etch related fixes uploaded by Daniel Baumann

 -- Ralph Amissah <ralph@amissah.com>  Tue,  2 Jan 2007 16:00:25 +0000

sisu (0.48.8-4) unstable; urgency=medium

  * cgi sample form related modifications (relatively minor but nice to have
    sorted):
    * cgi_pgsql and cgi_sqlite, dynamic path used instead (fixed path will
      result in errors where the default path is not used).
    * cgi_pgsql and cgi_sqlite, "documentation" tip for copying generated cgi
      sample to cgi-bin directory, prevent accidental copying to a directory
      instead of file. Dynamic path used.
    * debian/control Recommends libfcgi-ruby1.8 moved to sisu-postgresql and
      sisu-sqlite (only used in this context)

  * Debian Etch related fixes uploaded by Daniel Baumann
    [depends for sisu-pdf introduced in -3 questioned/challenged by 'HE'
    rightly as it turns out]

 -- Ralph Amissah <ralph@amissah.com>  Sun, 31 Dec 2006 03:06:45 +0000

sisu (0.48.8-3) unstable; urgency=medium

  * sisu latex generated, usepackage url (improved placement of urls)

  * debian control, sisu-pdf now depends on texlive alone, (alternative tetex
    depends removed - reason: problem keeping both working!), take on board
    suggestion by to rely on texlive Frank Küster if tetex is problematic (this
    addresses, but does not close #402807 without further discussion, dropping
    alternative tetex depends simplifies sisu-pdf (tex) related depends, and
    makes it much more reliable (also see in changelog earlier feedback on
    sisu-pdf depends from Norbert Preining url at 0.47.7-3) depends here drop
    reliance on metapackages, (extra checks required as to determine whether
    texlive depends list may be shortened, playing safe))

  * debian/control sisu recommends libfcgi-ruby1.8
    (previously 'suggested'', needed for sample search form)

  * documentation/help minor addition on initially creating postgresql
    database for use if necessary

  * Debian Etch related fixes uploaded by Daniel Baumann
    (followed in quick succession by minor build additions in -4)

 -- Ralph Amissah <ralph@amissah.com>  Sat, 30 Dec 2006 12:52:05 +0000

sisu (0.48.8-2) unstable; urgency=medium

  * LaTeX, bugfix - restores missing left column object/paragraph numbers
    (missing curly (close) brace) [important, though marked as normal]
    [bug introduced somewhere between 0.47 and 0.48] (closes: #403037)

  * LaTeX use mathptmx.sty instead of "obsolete" times.sty (as suggested by
    Frank Küster in Bug#402807)

  * cgi-sample form, an arbitrary limit set for sql query results
    (1000 better than none) Closes: #403042)

  * defaults, update sisu default homepage to current, (mainly urls)
    [documentation]

  * css, addition to correspond with change to homepage

  * debian control, adds mention of editors other than vim for which there is
    some kind of syntax support, kate, kwrite, gedit, diakonos [documentation]

  * [note] alternative install script (ruby) is automatically updated during
    this build (using rant-0.5.8 instead of rant-0.5.6)

  * [note] version.yaml date changes, automatically updated during build

  * Debian Etch fixes (cleared by HE), uploaded by Daniel Baumann

 -- Ralph Amissah <ralph@amissah.com>  Thu, 14 Dec 2006 16:50:57 +0000

sisu (0.48.8-1) unstable; urgency=medium

  * new upstream,
    * fix to visual tables, permitting inclusion of column information
      (required for concurrently released sisu-markup-samples (1.0.4))
    * document samples update to include Debian constitution v1.3

  * Debian release snapshot, uploaded by Daniel Baumann

 -- Ralph Amissah <ralph@amissah.com>  Mon, 27 Nov 2006 15:48:35 +0000

sisu (0.48.7-1) unstable; urgency=medium

  * upstream fixes, related to:
    - cgi html search form, multilingual documents, url mapping of results
    - dcc, document content digest, multilingual, fixes related to translation
      and metadata extraction
    - other more minor detail, see version manifest

  * Debian release snapshot, uploaded by Daniel Baumann

 -- Ralph Amissah <ralph@amissah.com>  Sun, 19 Nov 2006 00:36:32 +0000

sisu (0.48.6-1) unstable; urgency=medium

  * upstream fixes related to:
    - html, doc (single text, scroll version) tables
    - texpdf, bugfix for (asterisk marker type) footnotes in headings

  * Debian release snapshot, uploaded by Daniel Baumann

 -- Ralph Amissah <ralph@amissah.com>  Sat, 11 Nov 2006 21:43:21 +0000

sisu (0.48.5-1) unstable; urgency=medium

  * upstream fixes, including sisupod create - file selection refinement

  * man pages minor update

  * Debian release snapshot, uploaded by Daniel Baumann

 -- Ralph Amissah <ralph@amissah.com>  Thu,  9 Nov 2006 19:04:27 +0000

sisu (0.48.4-1) unstable; urgency=medium

  * upstream fixes (texpdf:tables, plaintext, conversion:footnotes)

  * Debian release snapshot, uploaded by Daniel Baumann

 -- Ralph Amissah <ralph@amissah.com>  Tue,  7 Nov 2006 00:52:52 +0000

sisu (0.48.3-1) unstable; urgency=high

  * one file omitted in sisu 0.48.2 fix, see comments there

  * Debian release snapshot, uploaded by Daniel Baumann

 -- Ralph Amissah <ralph@amissah.com>  Tue, 31 Oct 2006 18:09:38 +0000

sisu (0.48.2-1) unstable; urgency=high

  * ruby-1.8.5-3 uploaded yesterday, detects and breaks on cyclic include
    errors which were found at a basic level of operation, rendering program
    effectively broken. New ruby build affects all previous versions of sisu.
    [Further code review is necessary to ascertain that this does not occur
    anywhere else within sisu code base] (necessary fixes should not affect
    previous versions of ruby)

 -- Ralph Amissah <ralph@amissah.com>  Tue, 31 Oct 2006 14:26:44 +0000

sisu (0.48.1-2) unstable; urgency=medium

  * debian/control recommends hyperestraier put back (sisu and sisu-complete)

  * Debian release snapshot, uploaded by Daniel Baumann

 -- Ralph Amissah <ralph@amissah.com>  Mon, 30 Oct 2006 01:16:50 +0000

sisu (0.48.1-1) unstable; urgency=medium

  * debian/control removed recommends/suggests on hyperestraier, rename and
    pgaccess as cause issues

  * processing path, _sisu_processing, defaults to home or /tmp

  * issue dealt with, when requested image not found

  * Debian release snapshot, uploaded by Daniel Baumann

 -- Ralph Amissah <ralph@amissah.com>  Sun, 29 Oct 2006 17:06:05 +0000

sisu (0.48.0-1) unstable; urgency=low

  * etch release candidate, extra testing, numerous small fixes, (several
    related to method renaming in sisu-0.47.7, also checks against both ruby
    1.8.5 and current 1.9, and as specified in upstream version manifest)

  * new upstream introduces sisupod that sisu processing instructions can be
    run against directly

 -- Ralph Amissah <ralph@amissah.com>  Sat, 28 Oct 2006 17:17:03 +0100

sisu (0.47.8-1) unstable; urgency=low

  * upstream contains minor fix, see version manifest

 -- Ralph Amissah <ralph@amissah.com>  Fri, 20 Oct 2006 00:12:52 +0100

sisu (0.47.7-3) unstable; urgency=low

  * debian/control sisu-pdf depends for tetex | texlive sorted,
    feedback from Norbert Preining
    http://lists.debian.org/debian-tex-maint/2006/10/msg00620.html

  * Debian release snapshot, uploaded by Daniel Baumann

 -- Ralph Amissah <ralph@amissah.com>  Mon, 16 Oct 2006 19:26:28 +0100

sisu (0.47.7-2) unstable; urgency=low

  * sisu-pdf meta-package repackaged to work only with tetex,
    alternative use of texlive meta-package dependency removed,
    in its place a note that sisu will produce pdfs with the
    texlive meta-package installed.
    (May at later stage break package up into sisu-pdf-tetex
    and sisu-pdf-texlive).

  * Debian release snapshot, uploaded by Daniel Baumann

 -- Ralph Amissah <ralph@amissah.com>  Sun, 15 Oct 2006 17:38:20 +0100

sisu (0.47.7-1) unstable; urgency=low

  * sisu-pdf tetex|texlive installation depends

  * new upstream, see version manifest

 -- Ralph Amissah <ralph@amissah.com>  Sat, 14 Oct 2006 12:50:20 +0100

sisu (0.47.6-1) unstable; urgency=low

  * new upstream, fixes to latex/pdf output, and a syntax extension
    see version manifest

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Sat,  7 Oct 2006 15:43:41 +0100

sisu (0.47.5-1) unstable; urgency=low

  * fix a break caused by change of library name in 0.47.4
    (that was not propagated into vc), related to creation of sisupod
    (zipped markup with images etc.)

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Sun,  1 Oct 2006 17:16:24 +0100

sisu (0.47.4-1) unstable; urgency=low

  * minor upstream change (syntax highlighting), see version manifest

  * debian policy violating firefox logo/image removed
    (along with other browser related images) (Closes: #389500)

 -- Ralph Amissah <ralph@amissah.com>  Fri, 29 Sep 2006 01:31:04 +0100

sisu (0.47.3-1) unstable; urgency=low

  * new upstream, minor code review

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Sat, 23 Sep 2006 10:21:55 +0100

sisu (0.47.2-1) unstable; urgency=low

  * new upstream, minor fix required for ruby-1.8.5

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Fri, 22 Sep 2006 01:45:17 +0100

sisu (0.47.1-1) unstable; urgency=low

  * new upstream, fixes, see version manifest

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Mon, 18 Sep 2006 23:18:41 +0100

sisu (0.47.0-1) unstable; urgency=low

  * new upstream, some fixes see version manifest changelog

  * debian/control depends zip and unzip added
    used for sisupod.zip and ODF output

  * odt.zip file replaces odt.tgz for ODF base file
    found in data/sisu/odf i.e. /usr/share/sisu/odf
    easy way to keep keep directory structure
    (version control issue, hg drops empty directories)
    odf uses zip compression anyway

  * sisupod, (prepared sisu markup document) now uses zip compression and
    file extension .zip (interoperability)

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Sun, 17 Sep 2006 16:43:15 +0100

sisu (0.46.5-1) unstable; urgency=low

  * new upstream, minor, update to documentation

  * debian/control Priority at "optional"

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Sat,  9 Sep 2006 21:58:28 +0100

sisu (0.46.4-1) unstable; urgency=low

  * new upstream, minor

 -- Ralph Amissah <ralph@amissah.com>  Wed,  6 Sep 2006 03:03:39 +0100

sisu (0.46.3-1) unstable; urgency=low

  * debian/control moved from extra to optional -
    does not conflict with anything, though a bit specialised perhaps

  * debian/copyright, year 2006 added

  * new upstream, see version manifest

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Mon,  4 Sep 2006 23:19:48 +0100

sisu (0.46.2-1) unstable; urgency=low

  * new upstream

 -- Ralph Amissah <ralph@amissah.com>  Fri, 25 Aug 2006 22:38:44 +0100

sisu (0.46.1-1) unstable; urgency=low

  * new upstream

  * debian/control conflicts with sisu-vim which existed prior to vim-sisu
    both of which are removed

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Wed, 16 Aug 2006 21:08:47 +0100

sisu (0.46.0-1) unstable; urgency=low

  * new upstream, (0.44 branch with newer code reinstated) see version manifest

  * debian/rules, repeated dh_compress removed

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Sat, 12 Aug 2006 03:27:09 +0100

sisu (0.45.0-1) unstable; urgency=low

  * new upstream, reversion to older 0.43 code as 0.44 LaTeX generation does
    not play well yet with new code base

  * debian changes introduced in 0.44 retained

 -- Ralph Amissah <ralph@amissah.com>  Mon,  7 Aug 2006 05:49:44 +0100

sisu (0.44.0-1) unstable; urgency=low

  * new upstream, see version manifest changelog

  * debian/rules simplified

  * debian/control sisu-pdf Depends changed

  * debian/lintian/sisu added lintian override for man page and non-executables

 -- Ralph Amissah <ralph@amissah.com>  Sun,  6 Aug 2006 18:19:06 +0100

sisu (0.43.0-1) unstable; urgency=low

  * new upstream, new endnote sequences,
    see version manifest

  * debian vim/addons/syntax/sisu.vim add the new syntax file
    (submit changes to Bram)

  * simple xml modeling files copied to directory
    /usr/share/doc/sisu/model/relaxng

  * closing request for better package description
    0.42.2 (Closes: #377208)

  * man pages for meta-packages moved to man(7)
    0.42.4 (Closes: #377209)

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Sat, 22 Jul 2006 02:33:41 +0100

sisu (0.42.4-1) unstable; urgency=low

  * minor touch upstream

  * debian/control in addition to existing Replaces:
    added Conflicts: vim-sisu, sisu-remote

  * man pages for meta-packages moved to man(7)
    (#377209)

 -- Ralph Amissah <ralph@amissah.com>  Mon, 17 Jul 2006 01:46:24 +0100

sisu (0.42.3-1) unstable; urgency=low

  * new upstream, fix, no require ruby dbi unless dbi action requested

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Tue, 11 Jul 2006 22:34:30 +0100

sisu (0.42.2-1) unstable; urgency=low

  * debian/control, removed sisu-remote, added recommends rsync,
    openssh-client|lsh-client, keychain,  to main sisu package
    instead
    (Closes: #377206)

  * debian/control, removed vim-sisu, this used to contain syntax
    highligter and color scheme now included in Vim 7, all that
    remains is ftplugin, now installed by main sisu package
    (Closes: #377207)

  * debian/control, sisu Replaces: vim-sisu
    debian/sisu.install installs ftplugin originally in vim-sisu

  * debian/manpages, sisu (main package) now installs vim_sisu page
    in man(7)
    (Closes: #377209) [this was re-opened]

  * debian/control, package description related issues:
    * modified sisu
    * modified sisu-complete
    * modified sisu-postgresql
    * modified sisu-sqlite
    * modified sisu-pdf
    * removed sisu-remote, (as sisu-remote is no more)
    * removed vim-sisu, (as vim-sisu is no more)
    * removed sisu-remote, (as sisu-remote is no more)
      [consider adding a note on remote placement of documents in
      sisu(8) later]
    (#377208 verify that descriptions are satisfactory before closing)

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Sat,  8 Jul 2006 01:54:54 +0100

sisu (0.42.1-1) unstable; urgency=low

  * debian/control, removed recommends libtidy [non-existent, see
    current libtidy-0.99-0, called in by tidy which is recommended
    and sets libtidy dependency] (Closes: #377086)

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Thu,  6 Jul 2006 20:48:18 +0100

sisu (0.42.0-2) unstable; urgency=low

  * back to: control ruby >= 1.8.2
    (upgrade complains about 1.8.4 availability - though installed)

 -- Ralph Amissah <ralph@amissah.com>  Thu,  6 Jul 2006 02:30:08 +0100

sisu (0.42.0-1) unstable; urgency=low

  * control ruby >= 1.8.4
    (no testing done on ruby 1.8.2
    and a report indicates there may be a problem)

  * control to sisu-pdf added Depends: texlive-latex-extra
    (for use of asterisk markers in endnotes...
    used in U.S. law scholarly writings)

  * vim-sisu package description changed (Closes: #374873)

 -- Ralph Amissah <ralph@amissah.com>  Thu,  6 Jul 2006 01:17:01 +0100

sisu (0.41.8-1) unstable; urgency=low

  * new upstream, minor feature enhancement, see version manifest

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Sat, 24 Jun 2006 20:49:53 +0100

sisu (0.41.7-1) unstable; urgency=low

  * Debian control, response to improved package description
    request 'Home page' corrected to 'Homepage:' and vim folds
    described in greater detail. Some detail added and
    correction of name of package sisu-markup-samples
    (provided in non-free)

  * Debian rules, .ssm and .ssi files added to list of not
    compressed file types (/usr/share/doc/sisu)

  * Document samples "GPL2" and "Free as in Freedom" texts and
    associated images included with package
    (moved back from non-free sisu-markup-samples)
    [FaiF is published under the GNU Free Documentation License,
    without invariant sections]

  * includes bugfix (for segmented html endnotes),
    see version manifest

  * includes minor feature enhancements, and first pass at proposed
    alternative object model for sisu input (and metaverse),
    see version manifest

 -- Ralph Amissah <ralph@amissah.com>  Sat, 24 Jun 2006 16:52:43 +0100

sisu (0.41.6-1) unstable; urgency=low

  * new upstream, integration and fixes to the addition in 0.41.4,
    see version manifest

  * debian control, recommends kdissert added

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Tue, 20 Jun 2006 01:20:13 +0100

sisu (0.41.5-1) unstable; urgency=low

  * new upstream, fix to minor addition in 0.41.4 see version manifest

 -- Ralph Amissah <ralph@amissah.com>  Mon, 19 Jun 2006 02:37:13 +0100

sisu (0.41.4-1) unstable; urgency=low

  * new upstream, minor addition, see version manifest

 -- Ralph Amissah <ralph@amissah.com>  Sun, 18 Jun 2006 02:07:47 +0100

sisu (0.41.3-2) unstable; urgency=low

  * /usr/share/doc/sisu for the time being do not compress
    .sst or .rb files

  * debian/dirs removed reference to usr/sbin as not used

  * debian/rules minor cleaning of some commented out lines

 -- Ralph Amissah <ralph@amissah.com>  Thu, 15 Jun 2006 01:59:08 +0100

sisu (0.41.3-1) unstable; urgency=low

  * new upstream, small adjustments and fixes, see version manifest

 -- Ralph Amissah <ralph@amissah.com>  Wed, 14 Jun 2006 01:17:53 +0100

sisu (0.41.2-1) unstable; urgency=low

  * new upstream includes fixes, see version manifest

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Fri,  9 Jun 2006 07:23:31 +0100

sisu (0.41.1-1) unstable; urgency=low

  * new upstream, some fixes, see version manifest

 -- Ralph Amissah <ralph@amissah.com>  Wed,  7 Jun 2006 13:11:30 +0100

sisu (0.41.0-1) unstable; urgency=low

  *  new upstream, many changes (primarily program internals),
     see version manifest

 -- Ralph Amissah <ralph@amissah.com>  Sat,  3 Jun 2006 17:25:46 +0100

sisu (0.40.4-1) unstable; urgency=low

  * new upstream, minor changes tex pdf related

  * source package directory name convention changed

 -- Ralph Amissah <ralph@amissah.com>  Sun, 28 May 2006 17:04:58 +0100

sisu (0.40.3-1) unstable; urgency=low

  * minor fixes, including (the (non-debian) rant/ruby make based)
    installer

 -- Ralph Amissah <ralph@amissah.com>  Wed, 24 May 2006 23:32:58 +0100

sisu (0.40.2-1) unstable; urgency=low

  * new upstream, minor update, greater use of translation module

 -- Ralph Amissah <ralph@amissah.com>  Wed, 24 May 2006 05:31:34 +0100

sisu (0.40.1-1) unstable; urgency=low

  * [changed local apt archiver to reprepro]

 -- Ralph Amissah <ralph@amissah.com>  Mon, 22 May 2006 15:34:00 +0100

sisu (0.40.0-1) unstable; urgency=low

  * sisu-examples, markup book samples removed as not compliant with dfsg
    document substantive content have the original author or publisher's
    license... sisu-markup-samples now exists as a package in non-free

  * a module for translations added

 -- Ralph Amissah <ralph@amissah.com>  Mon, 22 May 2006 04:03:27 +0100

sisu (0.39.3-1) unstable; urgency=low

  * new upstream, minor fix

  * Debian release snapshot, uploaded by Wookey (at Debconf6)
    [queue new: see 0.39.2 renaming of included packages]

 -- Ralph Amissah <ralph@amissah.com>  Sun, 14 May 2006 05:39:46 +0100

sisu (0.39.2-2) unstable; urgency=low

  * debian package fixes, control states vim-sisu replaces sisu-vim,
    and path for ftplugins corrected

 -- Ralph Amissah <ralph@amissah.com>  Sat, 13 May 2006 07:30:32 +0100

sisu (0.39.2-1) unstable; urgency=low

  *  debian policy standards version 3.7.2

  * debian vim policy changes, rename sisu_vim vim_sisu
    vim 7 in debian includes filetypes, syntax, and color, removed
    vim-sisu includes ftplugin

 -- Ralph Amissah <ralph@amissah.com>  Sat, 13 May 2006 03:28:28 +0100

sisu (0.39.1-1) unstable; urgency=low

  * repair for digests/dcc which provide image checksums once more

 -- Ralph Amissah <ralph@amissah.com>  Mon,  8 May 2006 19:00:51 +0100

sisu (0.39.0-1) unstable; urgency=low

  * new upstream, changes to naming of html segments where automatic

  * (back to) using Debian Policy Standards Version 3.7.0, Lintian and
    Linda do not appear to have caught up with the version on my box,
    or the suggestion that 3.7.2 be used

 -- Ralph Amissah <ralph@amissah.com>  Mon,  8 May 2006 01:32:16 +0100

sisu (0.38.10-2) unstable; urgency=low

  * rebuilt using new debian policy, Standards-Version 3.7.2
    (previous build 0.38.10-1, used 3.7.0)

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Fri,  5 May 2006 03:00:42 +0100

sisu (0.38.10-1) unstable; urgency=low

  * new upstream, minor fixes

  * Debian release

 -- Ralph Amissah <ralph@amissah.com>  Thu,  4 May 2006 01:08:47 +0100

sisu (0.38.9-1) unstable; urgency=low

  * new upstream, with adjustments, see version manifest,
    in debian package: 'recommends' placed on hyperestraier;
    debian/control updated Standards, 3.7.0

 -- Ralph Amissah <ralph@amissah.com>  Wed,  3 May 2006 04:41:38 +0100

sisu (0.38.8-1) unstable; urgency=low

  * new upstream, a few small fixes

 -- Ralph Amissah <ralph@amissah.com>  Sat, 29 Apr 2006 17:58:20 +0100

sisu (0.38.7-1) unstable; urgency=low

  * new upstream, code re-arrangement, minor,
    code moved out of /usr/bin

 -- Ralph Amissah <ralph@amissah.com>  Thu, 27 Apr 2006 20:22:33 +0100

sisu (0.38.6-1) unstable; urgency=low

  * new upstream, first look at ruby 1.9

 -- Ralph Amissah <ralph@amissah.com>  Tue, 25 Apr 2006 22:40:24 +0100

sisu (0.38.5-1) unstable; urgency=low

  * primarily a rebuild, lintian 1.23.17 ("published" yesterday)
    complains about existing sisu builds

 -- Ralph Amissah <ralph@amissah.com>  Sun, 23 Apr 2006 02:33:08 +0100

sisu (0.38.4-1) unstable; urgency=low

  * new upstream, a fix in markup version checking, and some
    minor refinements, see version_manifest

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Fri, 21 Apr 2006 20:23:31 +0100

sisu (0.38.3-1) unstable; urgency=low

  * new upstream, minor refinement for conversions between
    0.37 and 0.38 markup

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Thu, 20 Apr 2006 02:29:10 +0100

sisu (0.38.2-1) unstable; urgency=low

  * new upstream, minor adjustments

 -- Ralph Amissah <ralph@amissah.com>  Wed, 19 Apr 2006 01:53:46 +0100

sisu (0.38.1-1) unstable; urgency=low

  * new upstream, minor fixes, a converter between 0.37 and 0.38
    experimental markup (0.37 is substantially the same as 0.16,
    the filenaming convention was changed)
    see version manifest

 -- Ralph Amissah <ralph@amissah.com>  Mon, 17 Apr 2006 19:10:15 +0100

sisu (0.38.0-1) unstable; urgency=low

  * new upstream, several small additions, introduces alternative headers,
    alternative experimental structural markup, and other little things,
    see version_manifest

 -- Ralph Amissah <ralph@amissah.com>  Sun, 16 Apr 2006 02:24:17 +0100

sisu (0.37.12-1) unstable; urgency=low

  * new upstream, minor, vim syntax

 -- Ralph Amissah <ralph@amissah.com>  Sun,  9 Apr 2006 18:07:12 +0100

sisu (0.37.11-1) unstable; urgency=low

  * new upstream, minor, mostly vim syntax related

 -- Ralph Amissah <ralph@amissah.com>  Sun,  9 Apr 2006 00:05:42 +0100

sisu (0.37.10-1) unstable; urgency=low

  * new upstream, small things vim related

 -- Ralph Amissah <ralph@amissah.com>  Thu,  6 Apr 2006 23:19:27 +0100

sisu (0.37.9-1) unstable; urgency=low

  * new upstream, some attention to vim syntax and ftplugin

 -- Ralph Amissah <ralph@amissah.com>  Sat,  1 Apr 2006 14:39:13 +0100

sisu (0.37.8-1) unstable; urgency=low

  * new upstream, minor adjustments,
    (ansi screen color default now off) see version_manifest

 -- Ralph Amissah <ralph@amissah.com>  Sat, 25 Mar 2006 15:38:39 +0000

sisu (0.37.7-1) unstable; urgency=low

  * new upstream, single fix

 -- Ralph Amissah <ralph@amissah.com>  Thu, 23 Mar 2006 23:19:10 +0000

sisu (0.37.6-1) unstable; urgency=low

  * new upstream, minor touches

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Thu, 23 Mar 2006 00:28:12 +0000

sisu (0.37.5-1) unstable; urgency=low

  * new upstream, several small changes, see version_manifest

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Wed, 22 Mar 2006 01:47:32 +0000

sisu (0.37.4-1) unstable; urgency=low

  * new upstream, minor fixes (in some html pages generated)

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Thu,  9 Mar 2006 18:59:34 +0000

sisu (0.37.3-1) unstable; urgency=low

  * new upstream, minor adjustment (default home page)

 -- Ralph Amissah <ralph@amissah.com>  Thu,  9 Mar 2006 01:29:51 +0000

sisu (0.37.2-1) unstable; urgency=low

  * reduced number of file extensions used in the .ss space
    .sst .ssm .ssi (& .ssd), temp/secondary files get ._sst & .-sst
    sst == sisu structured text [.s1 .s2 .s3],
    ssm == sisu structured master [.r1 .r2 .r3],
    ssi == sisu structured insert/information [.si],
    _sst == secondary file [.t1 .t2 .t3],
    -sst == downloaded sst (url) [.u1, .u2 .u3],
    ssd == sisu structured document, sisudoc.tgz
    See version manifest.

    rename 's/\.s[123]$/\.sst/' *.s{1,2,3}
    rename 's/\.r[123]$/\.ssm/' *.r{1,2,3}
    rename 's/\.si$/\.ssi/' *.si

  * edited sisu description in debian control file.

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Tue,  7 Mar 2006 22:39:51 +0000

sisu (0.37.1-1) unstable; urgency=low

  * new upstream, minor update in sisu-examples.
    edited sisu description in debian control file.

 -- Ralph Amissah <ralph@amissah.com>  Mon,  6 Mar 2006 23:57:16 +0000

sisu (0.37.0-1) unstable; urgency=low

  * new upstream, new filename extensions,
    using .ss extensions with a third identifying character:
      .sst .ssf .ssm .ssc .ssi .ssu .sss .ssd
    sst == sisu structured text, ssf == sisu structured file,
    ssm == sisu structured master, ssc == sisu structured composite,
    ssi == sisu structured insert/information,
    ssu == downloaded sst (url),
    sss == secondary file,
    ssd == sisu structured document.
    See version manifest.

 -- Ralph Amissah <ralph@amissah.com>  Sun,  5 Mar 2006 23:26:44 +0000

sisu (0.36.25-1) unstable; urgency=low

  * new upstream, minor changes

 -- Ralph Amissah <ralph@amissah.com>  Sun,  5 Mar 2006 11:52:25 +0000

sisu (0.36.24-1) unstable; urgency=low

  * new upstream, minor fixes,
    also a fix and cross-linking in debian sample markup documents

 -- Ralph Amissah <ralph@amissah.com>  Tue, 28 Feb 2006 18:54:38 +0000

sisu (0.36.23-1) unstable; urgency=low

  * new upstream, several small fixes

 -- Ralph Amissah <ralph@amissah.com>  Mon, 27 Feb 2006 00:19:09 +0000

sisu (0.36.22-1) unstable; urgency=low

  * new upstream, minor fix, (odf endnote url matching)

 -- Ralph Amissah <ralph@amissah.com>  Thu, 23 Feb 2006 19:20:22 +0000

sisu (0.36.21-1) unstable; urgency=low

  * new upstream, small fixes, metaverse auto-numbering
    headings/titles rules& html nav band, minor

 -- Ralph Amissah <ralph@amissah.com>  Wed, 22 Feb 2006 21:40:01 +0000

sisu (0.36.20-1) unstable; urgency=low

  * fix issue introduced by previous release, minor

 -- Ralph Amissah <ralph@amissah.com>  Wed, 22 Feb 2006 02:49:11 +0000

sisu (0.36.19-1) unstable; urgency=low

  * new upstream, a minor intermediate processing rule change,
    and minor fixes (see version_manifest)

 -- Ralph Amissah <ralph@amissah.com>  Wed, 22 Feb 2006 01:08:37 +0000

sisu (0.36.18-1) unstable; urgency=low

  * new upstream, minor (cgi search form samples)

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Mon, 20 Feb 2006 02:11:54 +0000

sisu (0.36.17-1) unstable; urgency=low

  * new upstream, minor

 -- Ralph Amissah <ralph@amissah.com>  Sun, 19 Feb 2006 15:40:52 +0000

sisu (0.36.16-1) unstable; urgency=low

  * new upstream, minor (cgi search form related, see manifest)

 -- Ralph Amissah <ralph@amissah.com>  Sun, 19 Feb 2006 13:01:46 +0000

sisu (0.36.15-1) unstable; urgency=low

  * new upstream, minor

 -- Ralph Amissah <ralph@amissah.com>  Sat, 18 Feb 2006 17:05:55 +0000

sisu (0.36.14-1) unstable; urgency=low

  * new upstream

 -- Ralph Amissah <ralph@amissah.com>  Sat, 18 Feb 2006 03:00:29 +0000

sisu (0.36.13-1) unstable; urgency=low

  * new upstream, minor fix

 -- Ralph Amissah <ralph@amissah.com>  Sun, 12 Feb 2006 23:16:05 +0000

sisu (0.36.12-1) unstable; urgency=low

  * new upstream, small fixes

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Thu,  9 Feb 2006 18:49:43 +0000

sisu (0.36.11-1) unstable; urgency=low

  * new upstream, minor

 -- Ralph Amissah <ralph@amissah.com>  Thu,  9 Feb 2006 05:20:07 +0000

sisu (0.36.10-1) unstable; urgency=low

  * new upstream

 -- Ralph Amissah <ralph@amissah.com>  Wed,  8 Feb 2006 18:23:38 +0000

sisu (0.36.9-1) unstable; urgency=low

  * upstream with filelist fix, see version_manifest

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Tue,  7 Feb 2006 05:13:52 +0000

sisu (0.36.8-1) unstable; urgency=low

  * new upstream, little things noted in version_manifest

 -- Ralph Amissah <ralph@amissah.com>  Mon,  6 Feb 2006 21:29:10 +0000

sisu (0.36.7-1) unstable; urgency=low

  * new upstream, minor fixes

 -- Ralph Amissah <ralph@amissah.com>  Sun,  5 Feb 2006 21:47:36 +0000

sisu (0.36.6-1) unstable; urgency=low

  * new upstream, many fixes, see version_manifest

 -- Ralph Amissah <ralph@amissah.com>  Sat,  4 Feb 2006 13:43:30 +0000

sisu (0.36.5-1) unstable; urgency=low

  * proposed new build for Debian upload, built in manner described for
    0.36.4-2, (this would prevent the need to maintain two different
    builds of the same package)
    * fewer packages are created than in the rejected Debian upload
    * it is much easier for the user to install the components they
      need than in the current accpted build
    * it is not necessary to install the likes of tetex, tetex-extra,
      latex-ucs or postgresql and various drivers or sqlite etc. if you
      are not going to use them
    the three different builds are represented by
    0.36.4-1, 0.36.4-2, and 0.36.4-3, please see changelog notes below

    * copyright file makes mention of setup.rb by Minero Aoki which is
      included in the tarball, and licensed under the Gnu Lesser GPL

    * copyright file makes mention of Rant which though not included generates
      the install file included in the tarball (Rant is by Stephan Lang and
      licensed under the Gnu Lesser GPL) [corrected erroneously referred to
      the similar Rake]

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Fri,  6 Jan 2006 21:25:15 +0000

sisu (0.36.4-3) unstable; urgency=low

  * post 0.32.0 build style:
    * sisu : basic build, no dependencies really beyond ruby
    * sisu-pdf : dependencies for sisu to generate pdfs latex related
    * sisu-postgresql : dependencies for sisu to populate a postgresql
      database including postgresql itself and various ruby drivers
    * sisu-remote : dependencies for remote placement of sisu output,
      via ssh and rsync
    * sisu-examples : markup and other examples in sisu, fairly large
    * sisu-sqlite : dependencies for sisu to populate an sqlite
      database including sqlite itself and various ruby drivers
    * sisu-vim : vim syntax highlighting and folds only of interest
      if vim/gvim is used
    ** sisu-webrick : use of ruby webrick server with sisu
    ** sisu-termsheet : a lesser used component, for producing output
       by merging termsheets/forms against standard formm documents
    ** sisu-texinfo : a lesser used component, for texinfo output
    * sisu-complete : installing the whole of sisu and its component
      parts
    may end up using 0.36.4-2 which is proposed new build for Debian

 -- Ralph Amissah <ralph@amissah.com>  Sun,  1 Jan 2006 18:20:44 +0000

sisu (0.36.4-2) unstable; urgency=low

  * proposed new build for Debian, would become future default build
    package is broken into components with different dependencies
    corresponding to different possible uses of sisu, which only are
    of interest if the functions in those components are to be used.
    For example if pdfs are not required the dependency on tetex
    including tetex-extra and latex-ucs  is unecessarily large,
    likewise if postgresql is not going to be used to have a
    dependency on postgresql is unecessary.
    On the other hand if pdfs are to be generated, there are a number
    of dependencies beyond tetex that are required which can be
    confusing, (and which have cased users grief in the past).
    Likewise for either sql database supported in the default install
    the dependencies to get them working is not straightforward.
    In this build specifying sisu-pdf will result in the dependencies
    for producing pdfs being loaded and sisu-postgresql the necessary
    dependencies for that (both large additions if not already
    installed or required). Individual components in this build are:
    * sisu : basic build, no dependencies really beyond ruby
    * sisu-pdf : dependencies for sisu to generate pdfs latex related
    * sisu-postgresql : dependencies for sisu to populate a postgresql
      database including postgresql itself and various ruby drivers
    * sisu-remote : dependencies for remote placement of sisu output,
      via ssh and rsync
    * sisu-examples : markup and other examples in sisu, fairly large
    * sisu-sqlite : dependencies for sisu to populate an sqlite
      database including sqlite itself and various ruby drivers
    * sisu-vim : vim syntax highlighting and folds only of interest
      if vim/gvim is used
    * sisu-complete : installing the whole of sisu and its component
      parts
    [it is also much easier to keep track of which dependency and which
    recommendation or suggestion belongs to which component]

 -- Ralph Amissah <ralph@amissah.com>  Sun,  1 Jan 2006 17:34:15 +0000

sisu (0.36.4-1) unstable; urgency=low

  * built old way for Debian upload (pre-0.31.5 style build.
    post 0.32.0 packages are also available in smaller component
    parts)
    * sisu : basic build, no dependencies really beyond ruby,
      all additional requirements for various components specified as
      recommendations
    * sisu-vim : vim syntax highlighting and folds only of interest
      if vim/gvim is used
    * sisu-examples : markup and other examples in sisu, fairly large

  * Debian release snapshot (check), uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Sun,  1 Jan 2006 17:27:48 +0000

sisu (0.36.3-1) unstable; urgency=low

  * New upstream, fixes related to multi-language, and sysnv change to
    initialization of constants

 -- Ralph Amissah <ralph@amissah.com>  Sat, 31 Dec 2005 15:07:18 +0000

sisu (0.36.2-1) unstable; urgency=low

  * New upstream, small fixes

 -- Ralph Amissah <ralph@amissah.com>  Fri, 30 Dec 2005 23:54:34 +0000

sisu (0.36.1-1) unstable; urgency=low

  * New upstream, minor fix
    html batch processing output file placement

 -- Ralph Amissah <ralph@amissah.com>  Thu, 29 Dec 2005 23:22:47 +0000

sisu (0.36.0-1) unstable; urgency=low

  * New upstream, change to some default settings,
    else minor refinements

 -- Ralph Amissah <ralph@amissah.com>  Thu, 29 Dec 2005 17:43:00 +0000

sisu (0.35.0-1) unstable; urgency=low

  * New upstream, multilingual document model

 -- Ralph Amissah <ralph@amissah.com>  Wed, 28 Dec 2005 01:32:32 +0000

sisu (0.34.2-1) unstable; urgency=low

  * New upstream: fix in css image path; digests added some doc info

 -- Ralph Amissah <ralph@amissah.com>  Mon, 19 Dec 2005 18:42:42 +0000

sisu (0.34.1-1) unstable; urgency=low

  * New upstream, small mostly cosmetic changes related to metaverse:
    (html and wmap output); url correction (html output); md5s for
    sourcefiles if shared

 -- Ralph Amissah <ralph@amissah.com>  Sun, 18 Dec 2005 23:00:16 +0000

sisu (0.34.0-1) unstable; urgency=low

  * New upstream: includes changes to directory structure for
    configuration, of both
    local markup directories, and
    ouput/publishing directories

 -- Ralph Amissah <ralph@amissah.com>  Sun, 18 Dec 2005 00:34:32 +0000

sisu (0.33.0-1) unstable; urgency=low

  * New upstream, (some changes to processing paths)

 -- Ralph Amissah <ralph@amissah.com>  Thu, 15 Dec 2005 02:03:37 +0000

sisu (0.32.5-1) unstable; urgency=low

  * orig.tar.gz should now be updated together with debian package
    orig.tar.gz has not been updated properly since 0.31.4, debian
    package has issue with autopackage builder

  * debian package improved, however: diffs started from scratch,
    information/history abandoned
    Reason: undetermined problem with (home brewed) automated package
    builder. automated package builder (which uses darcs and
    darcs-buildpackage) builds package normally/properly with a
    pristine directory structure, but not with accumulated debian
    build history.
    For now, the orig.tar.gz and debian package structure are
    updated, and debian history is not included.

  * directory named extra removed from source tarball,
    extra/debian/man moved to debian/man

  * debian, correction of a man page

 -- Ralph Amissah <ralph@amissah.com>  Wed, 14 Dec 2005 05:39:43 +0000

sisu (0.32.4-1) unstable; urgency=low

  * New upstream (odf images, and document metadata)

 -- Ralph Amissah <ralph@amissah.com>  Tue, 13 Dec 2005 02:11:01 +0000

sisu (0.32.3-1) unstable; urgency=low

  * New upstream, (includes minor re-fix to html endnote urls)

 -- Ralph Amissah <ralph@amissah.com>  Sun, 11 Dec 2005 13:52:15 +0000

sisu (0.32.2-1) unstable; urgency=low

  * Upstream sqlite repair

 -- Ralph Amissah <ralph@amissah.com>  Thu,  8 Dec 2005 18:54:18 +0000

sisu (0.32.1-1) unstable; urgency=low

  * Debian control, comma added to comma delimited depends list for
    sisu_complete

  * Minor cleaning of upstream, and a file dropped (hmtl_css)

 -- Ralph Amissah <ralph@amissah.com>  Sat,  3 Dec 2005 21:52:59 +0000

sisu (0.32.0-1) unstable; urgency=low

  * New upstream, minor changes

 -- Ralph Amissah <ralph@amissah.com>  Thu,  1 Dec 2005 23:33:20 +0000

sisu (0.31.5-1) unstable; urgency=low

  * New upstream

  * Debian package, complete replaces composite, remote introduced
    directory structure changed extra/debian instead of man.deb

 -- Ralph Amissah <ralph@amissah.com>  Thu,  1 Dec 2005 19:20:14 +0000

sisu (0.31.4-1) unstable; urgency=low

  * Debian packages broken down, for better control over dependencies
    several smaller packages, source package structure affected
    (control, .install, .manpages)

  * sisu-composite together with sisu-examples installs all sisu

 -- Ralph Amissah <ralph@amissah.com>  Tue, 29 Nov 2005 05:32:29 +0000

sisu (0.31.3-2) unstable; urgency=low

  * debian:control Depends: ruby (>=1.8.2)

 -- Ralph Amissah <ralph@amissah.com>  Mon, 28 Nov 2005 20:17:53 +0000

sisu (0.31.3-1) unstable; urgency=low

  * New upstream, control file:
    ruby depends made 1.8.3
    checked with pbuilder, misc:Depends removed

 -- Ralph Amissah <ralph@amissah.com>  Mon, 28 Nov 2005 03:55:19 +0000

sisu (0.31.2-1) unstable; urgency=low

  * debian autobuilding fix to external scaffolding
    [package has same contents as 0.31.1]

 -- Ralph Amissah <ralph@amissah.com>  Sat, 26 Nov 2005 17:46:55 +0000

sisu (0.31.1-1) unstable; urgency=low

  * New upstream, minor fixes
    [Note: change to automated debian build procedure]

 -- Ralph Amissah <ralph@amissah.com>  Sat, 26 Nov 2005 15:20:47 +0000

sisu (0.31.0-1) unstable; urgency=low

  * New upstream following 0.30.9 path
    for header regex: italics & bold (0.30.10 follows 0.30.8)

 -- Ralph Amissah <ralph@amissah.com>  Fri, 25 Nov 2005 23:32:54 +0000

sisu (0.30.10-1) unstable; urgency=low

  * New upstream, rollback in behavior to 0.30.8 header matching for
    bold and italics (comma delimited list), 0.30.9 changes now mapped
    to version 0.31

 -- Ralph Amissah <ralph@amissah.com>  Fri, 25 Nov 2005 22:55:37 +0000

sisu (0.30.9-1) unstable; urgency=low

  *  New upstream, adjustment to package unpack directory structure
     to match new setup.rb default man directory moved from data/man
     (install directory structure should remain the same)
     Minero Aoki's setup.rb included as an alterantive installer
     for source package

 -- Ralph Amissah <ralph@amissah.com>  Wed, 23 Nov 2005 00:25:04 +0000

sisu (0.30.8-1) unstable; urgency=low

  * New upstream, LaTeX related, use of pdflatex,
    and pdfetex with pdflatex parameters (Debian specific)

 -- Ralph Amissah <ralph@amissah.com>  Tue, 22 Nov 2005 01:25:58 +0000

sisu (0.30.7-1) unstable; urgency=low

  * New upstream, composite document fix, manual closure of file
    otherwise minor

 -- Ralph Amissah <ralph@amissah.com>  Mon, 21 Nov 2005 01:23:49 +0000

sisu (0.30.6-1) unstable; urgency=low

  * New upstream, minor

 -- Ralph Amissah <ralph@amissah.com>  Sun, 20 Nov 2005 19:46:48 +0000

sisu (0.30.5-1) unstable; urgency=low

  * New upstream, minor fixes

 -- Ralph Amissah <ralph@amissah.com>  Sun, 20 Nov 2005 02:28:08 +0000

sisu (0.30.4-1) unstable; urgency=low

  * New upstream, minor fixes and a file renamed

 -- Ralph Amissah <ralph@amissah.com>  Sat, 19 Nov 2005 23:19:08 +0000

sisu (0.30.3-1) unstable; urgency=low

  * New upstream, markup dir ./_sisu/conf replaces ./_sisu/config
    minor bugfix for pgsql (8.1)
    control file sisu reorganised
    debian control suggests keychain (added)

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Sat, 19 Nov 2005 01:25:34 +0000

sisu (0.30.2-1) unstable; urgency=low

  * New upstream, cleaning, minor

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Wed, 16 Nov 2005 00:26:57 +0000

sisu (0.30.1-1) unstable; urgency=low

  * New upstream, minor

 -- Ralph Amissah <ralph@amissah.com>  Mon, 14 Nov 2005 18:14:39 +0000

sisu (0.30.0-1) unstable; urgency=low

  * New upstream, metadata, third acronym fixed

 -- Ralph Amissah <ralph@amissah.com>  Sun, 13 Nov 2005 17:49:47 +0000

sisu (0.29.5-1) unstable; urgency=low

  * New upstream, retract latex to pdf changes for now

 -- Ralph Amissah <ralph@amissah.com>  Fri, 11 Nov 2005 07:47:51 +0000

sisu (0.29.4-1) unstable; urgency=low

  * New upstream, latex to pdf looks to use pdfetex, pdftex or pdflatex
    (there has been some debian renaming),
    opendocument.rb renamed odf.rb

 -- Ralph Amissah <ralph@amissah.com>  Fri, 11 Nov 2005 02:17:03 +0000

sisu (0.29.3-1) unstable; urgency=low

  * New upstream, new processing features, new processing flags,
    plus some flags changed (is release candidate for 0.30.0)

 -- Ralph Amissah <ralph@amissah.com>  Wed,  9 Nov 2005 06:11:53 +0000

sisu (0.29.2-1) unstable; urgency=low

  * New upstream, new directory data/sisu created to remove creaping
    dependency of sisu main package on sisu-examples for run time png
    and odf files, necessary adjustment in debian/sisu.install

 -- Ralph Amissah <ralph@amissah.com>  Mon,  7 Nov 2005 07:55:59 +0000

sisu (0.29.1-1) unstable; urgency=low

  * New upstream, control adds suggests lv (file encoding conversions)
    and rcs (as alternative to cvs, for document version number
    tracking)

 -- Ralph Amissah <ralph@amissah.com>  Sat,  5 Nov 2005 17:16:36 +0000

sisu (0.29.0-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Mon, 31 Oct 2005 18:22:28 +0000

sisu (0.28.4-1) unstable; urgency=low

  * New upstream, minor change to package description,
    for other changes see version_manifest

 -- Ralph Amissah <ralph@amissah.com>  Mon, 31 Oct 2005 17:56:13 +0000

sisu (0.28.3-1) unstable; urgency=low

  * New upstream, touch

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Sun, 23 Oct 2005 00:28:44 +0100

sisu (0.28.2-1) unstable; urgency=low

  * New upstream, character encoding related, utf-8

 -- Ralph Amissah <ralph@amissah.com>  Sat, 22 Oct 2005 23:22:14 +0100

sisu (0.28.1-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Sat, 22 Oct 2005 18:47:25 +0100

sisu (0.28.0-1) unstable; urgency=low

  * New upstream, Debian released ruby-1.8.3-2 which does not segfault
    sisu, this version number increse obsoletes emergency sisu-0.27.0
    build, that was made available, as workaround to ruby segfault
    problem

 -- Ralph Amissah <ralph@amissah.com>  Fri, 21 Oct 2005 02:40:25 +0100

sisu (0.26.4-1) unstable; urgency=low

  * New upstream, (a) control recommend added sqlite, previously
    overlooked; (b) recommend zip added used in making of open
    document (c) recommend removed incorrect libcgi_ruby
    (libfcgi-ruby1.8 remains) (d) added basic open document file
    structure as a .tgz file

 -- Ralph Amissah <ralph@amissah.com>  Tue, 18 Oct 2005 03:09:12 +0100

sisu (0.26.3-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Fri,  7 Oct 2005 02:16:59 +0100

sisu (0.26.2-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Fri, 30 Sep 2005 20:51:19 +0100

sisu (0.26.1-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Sun, 18 Sep 2005 23:36:17 +0100

sisu (0.26.0-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Sun, 18 Sep 2005 12:21:55 +0100

sisu (0.25.11-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Sat, 17 Sep 2005 01:53:12 +0100

sisu (0.25.10-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Fri, 16 Sep 2005 00:01:49 +0100

sisu (0.25.9-1) unstable; urgency=low

  * New upstream

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Wed, 14 Sep 2005 18:30:27 +0100

sisu (0.25.8-1) unstable; urgency=low

  * New upstream, pinfo added to suggests

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Wed, 14 Sep 2005 01:41:04 +0100

sisu (0.25.7-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Tue, 13 Sep 2005 07:04:45 +0100

sisu (0.25.6-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Mon, 12 Sep 2005 19:00:04 +0100

sisu (0.25.5-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Mon, 12 Sep 2005 05:14:48 +0100

sisu (0.25.4-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Mon, 12 Sep 2005 04:37:36 +0100

sisu (0.25.3-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Mon, 12 Sep 2005 03:01:02 +0100

sisu (0.25.2-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Sat, 10 Sep 2005 21:37:18 +0100

sisu (0.25.1-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Sat, 10 Sep 2005 19:33:04 +0100

sisu (0.25.0-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Sat, 10 Sep 2005 16:11:25 +0100

sisu (0.24.2-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Fri,  9 Sep 2005 18:23:08 +0100

sisu (0.24.1-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Thu,  8 Sep 2005 22:08:45 +0100

sisu (0.24.0-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Wed,  7 Sep 2005 18:55:34 +0100

sisu (0.23.1-1) unstable; urgency=low

  * New upstream, cgi (naive) search form generator added to lib

 -- Ralph Amissah <ralph@amissah.com>  Wed,  7 Sep 2005 01:33:34 +0100

sisu (0.23.0-1) unstable; urgency=low

  * New upstream, input files changed to use utf-8 or iso8859,
    new recommends: latex-ucs (required if generating pdf) and
    librmagick-ruby

 -- Ralph Amissah <ralph@amissah.com>  Tue,  6 Sep 2005 02:11:55 +0100

sisu (0.22.1-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Thu,  1 Sep 2005 02:51:35 +0100

sisu (0.22.0-1) unstable; urgency=low

  * New upstream:
    Recommends rmagick (ruby imagemagick library),
    FSF address updated.

 -- Ralph Amissah <ralph@amissah.com>  Wed, 31 Aug 2005 02:15:38 +0100

sisu (0.21.2-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Sun, 28 Aug 2005 19:43:15 +0100

sisu (0.21.1-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Sun, 28 Aug 2005 16:04:55 +0100

sisu (0.21.0-1) unstable; urgency=low

  * New upstream, some changes to directory structure

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Sun, 28 Aug 2005 00:34:37 +0100

sisu (0.20.9-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Fri, 26 Aug 2005 01:08:38 +0100

sisu (0.20.8-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Thu, 25 Aug 2005 02:08:18 +0100

sisu (0.20.7-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Wed, 24 Aug 2005 17:45:22 +0100

sisu (0.20.6-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Mon, 22 Aug 2005 21:00:25 +0100

sisu (0.20.5-1) unstable; urgency=low

  * New upstream

 -- Ralph Amissah <ralph@amissah.com>  Fri, 19 Aug 2005 15:54:26 +0100

sisu (0.20.4-1) unstable; urgency=low

  * New upstram. Removed ruby-libyaml (a bit of a story why it is there
    in the first place, as is not required for ruby >=1.8 i.e. the
    versions of ruby that sisu is written for)

 -- Ralph Amissah <ralph@amissah.com>  Thu, 18 Aug 2005 23:17:26 +0100

sisu (0.20.3-1) unstable; urgency=low

  * New upstream

  * Debian release snapshot, uploaded by Wookey

 -- Ralph Amissah <ralph@amissah.com>  Sun, 14 Aug 2005 13:54:33 +0100

sisu (0.20.2-1) unstable; urgency=low

  * New upstream (from now) signed against ralph@amissah.com
    (previous against ralph.amissah@gmail.com)

 -- Ralph Amissah <ralph@amissah.com>  Sun, 14 Aug 2005 03:11:10 +0100

sisu (0.20.1-1) unstable; urgency=low

  * signed dsc & changes files

 -- Ralph Amissah <ralph@amissah.com>  Fri, 12 Aug 2005 12:27:56 +0100

sisu (0.20.0-2) unstable; urgency=low

  * debian/control recommend postgresql (>=8.0.0). correction

 -- Ralph Amissah <ralph@amissah.com>  Thu, 11 Aug 2005 21:22:57 +0100

sisu (0.20.0-1) unstable; urgency=low

  * New upstream package, default database names changed

 -- Ralph Amissah <ralph@amissah.com>  Thu, 11 Aug 2005 20:36:01 +0100

sisu (0.18.8-1) unstable; urgency=low

  * New upstream package

 -- Ralph Amissah <ralph@amissah.com>  Wed, 10 Aug 2005 21:13:33 +0100

sisu (0.18.7-1) unstable; urgency=low

  * New upstream package: conflcting license note removed

  * Debian release snapshot, uploaded by Joachim Breitner

 -- Ralph Amissah <ralph@amissah.com>  Tue,  9 Aug 2005 02:27:27 +0100

sisu (0.18.6-1) unstable; urgency=low

  * New upstream package

 -- Ralph Amissah <ralph@amissah.com>  Mon,  8 Aug 2005 12:44:06 +0100

sisu (0.18.5-1) unstable; urgency=low

  * New upstream package

 -- Ralph Amissah <ralph@amissah.com>  Sun,  7 Aug 2005 00:17:45 +0100

sisu (0.18.4-1) unstable; urgency=low

  * New upstream package

 -- Ralph Amissah <ralph@amissah.com>  Wed,  3 Aug 2005 11:00:05 +0100

sisu (0.18.3-1) unstable; urgency=low

  * New upstream package

 -- Ralph Amissah <ralph@amissah.com>  Tue, 26 Jul 2005 19:49:18 +0100

sisu (0.18.2-1) unstable; urgency=low

  * New upstream package

 -- Ralph Amissah <ralph@amissah.com>  Mon, 25 Jul 2005 19:16:30 +0100

sisu (0.18.1-1) unstable; urgency=low

  * New upstream package

 -- Ralph Amissah <ralph@amissah.com>  Sun, 24 Jul 2005 19:46:03 +0100

sisu (0.18.0-1) unstable; urgency=low

  * New upstream package: metaverse structure change, includes md5
    digests of objects (paragraphs, tables, images, endnotes etc)

 -- Ralph Amissah <ralph@amissah.com>  Fri, 22 Jul 2005 11:41:30 +0100

sisu (0.16.25-1) unstable; urgency=low

  * change to markup for Free as in Freedom only

  * Initial Debian release, uploaded by Gunnar Wolf (at Debconf5)

 -- Ralph Amissah <ralph@amissah.com>  Sat, 16 Jul 2005 21:15:32 +0100

sisu (0.16.24-1) unstable; urgency=low

  * copyright string made more clear as 1997, 1998, 1999, 2000, 2001, 2002,
    2003, 2004, 2005 ... only question being whether it should not have been
    1996.

 -- Ralph Amissah <ralph@amissah.com>  Tue, 12 Jul 2005 20:04:21 +0100

sisu (0.16.23-1) unstable; urgency=low

  * copyright headers changed within files for Debian

  * some changes in use of ocn for segment naming in html output

  * a couple of postgresql fileds changed to text

  * cosmetic rearrangement of code

 -- Ralph Amissah <ralph@amissah.com>  Tue, 12 Jul 2005 18:47:31 +0100

sisu (0.16.22-1) unstable; urgency=low

  * metaverse fix for alternative endnote markup marker
    at end of line~^

  * texpdf fix for images, (where dimensions not
    provided) not final, may need to pass through
    imagemagick at metaverse stage

  * fix to cgi sample sisu_search.cgi

 -- Ralph Amissah <ralph@amissah.com>  Thu,  7 Jul 2005 19:04:52 +0100

sisu (0.16.21-1) unstable; urgency=low

  * minor bugfix (param screen print)

 -- Ralph Amissah <ralph@amissah.com>  Sun,  3 Jul 2005 14:33:00 +0100

sisu (0.16.20-1) unstable; urgency=low

  * separated out sisu vim files (syntax & folds)

  * touch to syntax highlighting

 -- Ralph Amissah <ralph@amissah.com>  Sun,  3 Jul 2005 12:56:13 +0100

sisu (0.16.19-1) unstable; urgency=low

  * small touches to vim syntax highlighting.

 -- Ralph Amissah <ralph@amissah.com>  Fri,  1 Jul 2005 18:37:44 +0100

sisu (0.16.18-1) unstable; urgency=low

  * some fixes to vim syntax highlighing: - changes to markup syntax
    introduced in 0.16 release broke parts of syntax highlighter,
    more no doubt to follow.

 -- Ralph Amissah <ralph@amissah.com>  Fri,  1 Jul 2005 02:35:13 +0100

sisu (0.16.17-1) unstable; urgency=low

   * separated color file out from ftplugin ... called dusk (or slate) by
     me for several years i now call it sisu... perhaps i should stick
     with slate as it is pretty appropriate... hmmm, slate

    * NB there is an issue with debuild or darcs-buildpackage after tonight's
      update, have fallen to an older installation, lintian check version
      given is from a newer install, so gives a warning.

 -- Ralph Amissah <ralph@amissah.com>  Thu, 30 Jun 2005 01:03:25 +0100

sisu (0.16.16-1) unstable; urgency=low

  * small touches to offer vim config files working the way i am used to
    with Debian install... needs testing by someone with different
    habits though.

 -- Ralph Amissah <ralph@amissah.com>  Wed, 29 Jun 2005 21:39:55 +0100

sisu (0.16.15-1) unstable; urgency=low

  * separated vim syntax and ftplugin directory...
    have still got color file in ftplugin/sisu.vim file
    which is not acceptable

 -- Ralph Amissah <ralph@amissah.com>  Wed, 29 Jun 2005 18:17:16 +0100

sisu (0.16.14-1) unstable; urgency=low

  * sisu vim ftplugin ... for folds, syntax, colors, markup
    auto installed in debian,
    (but uses shared filetype in /usr/share/vim/addons
    check how that is supposed to work)
    else (non-debian install)
    Rantfile places in /usr/share/sisu-examples/config/vim

 -- Ralph Amissah <ralph@amissah.com>  Wed, 29 Jun 2005 17:02:20 +0100

sisu (0.16.13-1) unstable; urgency=low

  * debian setup of vim syntax ok... however much vim setup still
    to automate, immediately noticable: folds for sisu not sorted;
    and permitting cursor movement up and down without following
    long lines with screen wrap; (and no clever way yet to
    contribute colors other than through sisu-examples, but
    they being user preference should be contributed with care).

  * on_markup.txt quick check & minor update

 -- Ralph Amissah <ralph@amissah.com>  Wed, 29 Jun 2005 06:01:38 +0100

sisu (0.16.12-1) unstable; urgency=low

  * home page index.html creation, path precedence set:
      ~/.sisu/skin/doc
      /etc/sisu/skin/doc
      defaults
    and content is interchangeable (so future latent break
    is less likely)

  * touch to Rantfile

 -- Ralph Amissah <ralph@amissah.com>  Mon, 27 Jun 2005 23:26:52 +0100

sisu (0.16.11-1) unstable; urgency=low

  * bugfix a default variable,
    in defaults version should be @ver
    quick fix, revist: currently index.html taken from
    ~/.sisu/skin/doc if it exists else defaults,
    /etc/sisu/skin/doc is ignored, breaking expected precedence

 -- Ralph Amissah <ralph@amissah.com>  Mon, 27 Jun 2005 18:09:13 +0100

sisu (0.16.10-1) unstable; urgency=low

  * small edits to man pages and help
    NB have taken out reference to alternative markup possibilites
    e.g. b{ for bold }b being available as well as
    *{ bold text }* (as the letter the and html equivalents are
    depreciated, having or using alternative markup styles is
    less tidy)

 -- Ralph Amissah <ralph@amissah.com>  Sun, 26 Jun 2005 23:49:31 +0100

sisu (0.16.9-1) unstable; urgency=low

  * cleaning up of man pages, largely for html presentation
    generated by rman

 -- Ralph Amissah <ralph@amissah.com>  Sun, 26 Jun 2005 03:10:51 +0100

sisu (0.16.8-1) unstable; urgency=low

  * minor edits

 -- Ralph Amissah <ralph@amissah.com>  Sat, 25 Jun 2005 17:45:12 +0100

sisu (0.16.7-1) unstable; urgency=low

  * added the man pages in html (converted to html using rman)
    http://polyglotman.sourceforge.net/rman.html

  * related rather cosmetic changes

 -- Ralph Amissah <ralph@amissah.com>  Sat, 25 Jun 2005 16:37:30 +0100

sisu (0.16.6-1) unstable; urgency=low

  * vim folds for sisu markup files updated command is :F (ruby folds :R)
    assuming the file is in place and in use

 -- Ralph Amissah <ralph@amissah.com>  Sat, 25 Jun 2005 04:24:22 +0100

sisu (0.16.5-1) unstable; urgency=low

  * some cleaning of wordmap output, regex exclusions added, not elegant
    (special issue pages include sha and md5 output, also excluded)

  * [released 0.16.6:] vim folds for sisu markup files updated command
    is :F (ruby folds :R) assuming the file is in place and in use

  * comments, url locations of samples, output, etc. added to
    markup syntax files (in addition to SiSU home which was already
    there)

  * removed from tarball markup samples eu contract
    law principles can be found at
    http://www.jus.uio.no/sisu/sample

 -- Ralph Amissah <ralph@amissah.com>  Fri, 24 Jun 2005 19:17:43 +0100

sisu (0.16.4-1) unstable; urgency=low

  * man 8 sisu post installation instructions looked at

  * an image path adjusted

